/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 1 "obj/conf/cf-parse.y" /* yacc.c:339  */

/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


/* Headers from filter/config.Y */

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }


/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_inst *e = f_new_inst(FI_EMPTY);

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      e->aux = T_PATH;
      break;
    case EAF_TYPE_INT_SET:
      e->aux = T_CLIST;
      break;
    case EAF_TYPE_EC_SET:
      e->aux = T_ECLIST;
      break;
    case EAF_TYPE_LC_SET:
      e->aux = T_LCLIST;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  struct f_inst *s = f_new_inst_da(FI_EA_SET, dyn);
  s->a1.p = e;
  return s;
}


static inline struct f_inst *
f_generate_dpair(struct f_inst *t1, struct f_inst *t2)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT)) {
    if ((t1->aux != T_INT) || (t2->aux != T_INT))
      cf_error( "Can't operate with value of non-integer type in pair constructor");

    check_u16(t1->a2.i);
    check_u16(t2->a2.i);

    rv = f_new_inst(FI_CONSTANT);
    rv->aux = T_PAIR;
    rv->a2.i = pair(t1->a2.i, t2->a2.i);
  }
  else {
    rv = f_new_inst(FI_PAIR_CONSTRUCT);
    rv->a1.p = t1;
    rv->a2.p = t2;
  }

  return rv;
}

static inline struct f_inst *
f_generate_ec(u16 kind, struct f_inst *tk, struct f_inst *tv)
{
  struct f_inst *rv;
  int c1 = 0, c2 = 0, ipv4_used = 0;
  u32 key = 0, val2 = 0;

  if (tk->fi_code == FI_CONSTANT) {
    c1 = 1;

    if (tk->aux == T_INT) {
      ipv4_used = 0; key = tk->a2.i;
    }
    else if (tk->aux == T_QUAD) {
      ipv4_used = 1; key = tk->a2.i;
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

  /* IP->Quad implicit conversion */
  else if (tk->fi_code == FI_CONSTANT_INDIRECT) {
    c1 = 1;
    struct f_val *val = tk->a1.p;

    if (val->type == T_INT) {
      ipv4_used = 0; key = val->val.i;
    }
    else if (val->type == T_QUAD) {
      ipv4_used = 1; key = val->val.i;
    }
    else if ((val->type == T_IP) && ipa_is_ip4(val->val.ip)) {
      ipv4_used = 1; key = ipa_to_u32(val->val.ip);
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

  if (tv->fi_code == FI_CONSTANT) {
    if (tv->aux != T_INT)
      cf_error("Can't operate with value of non-integer type in EC constructor");
    c2 = 1;
    val2 = tv->a2.i;
  }

  if (c1 && c2) {
    u64 ec;

    if (kind == EC_GENERIC) {
      ec = ec_generic(key, val2);
    }
    else if (ipv4_used) {
      check_u16(val2);
      ec = ec_ip4(kind, key, val2);
    }
    else if (key < 0x10000) {
      ec = ec_as2(kind, key, val2);
    }
    else {
      check_u16(val2);
      ec = ec_as4(kind, key, val2);
    }

    NEW_F_VAL;
    rv = f_new_inst(FI_CONSTANT_INDIRECT);
    rv->a1.p = val;
    val->type = T_EC;
    val->val.ec = ec;
  }
  else {
    rv = f_new_inst(FI_EC_CONSTRUCT);
    rv->aux = kind;
    rv->a1.p = tk;
    rv->a2.p = tv;
  }

  return rv;
}

static inline struct f_inst *
f_generate_lc(struct f_inst *t1, struct f_inst *t2, struct f_inst *t3)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT) && (t3->fi_code == FI_CONSTANT)) {
    if ((t1->aux != T_INT) || (t2->aux != T_INT) || (t3->aux != T_INT))
      cf_error( "LC - Can't operate with value of non-integer type in tuple constructor");

    rv = f_new_inst(FI_CONSTANT_INDIRECT);

    NEW_F_VAL;
    rv->a1.p = val;
    val->type = T_LC;
    val->val.lc = (lcomm) { t1->a2.i, t2->a2.i, t3->a2.i };
  }
  else
  {
    rv = cfg_allocz(sizeof(struct f_inst3));
    rv->lineno = ifs->lino;
    rv->fi_code = FI_LC_CONSTRUCT;
    rv->a1.p = t1;
    rv->a2.p = t2;
    INST3(rv).p = t3;
  }

  return rv;
}

static inline struct f_inst *
f_generate_path_mask(struct f_path_mask *t)
{
  for (struct f_path_mask *tt = t; tt; tt = tt->next) {
    if (tt->kind == PM_ASN_EXPR) {
      struct f_inst *mrv = f_new_inst(FI_PATHMASK_CONSTRUCT);
      mrv->a1.p = t;
      return mrv;
    }
  }

  NEW_F_VAL;
  val->type = T_PATH_MASK;
  val->val.path_mask = t;

  struct f_inst *rv = f_new_inst(FI_CONSTANT_INDIRECT);
  rv->a1.p = val;

  return rv;
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *i;
  i = f_new_inst(FI_ASSERT);
  i->a1.p = expr;

  if (end >= start)
  {
    i->a2.p = assert_copy_expr(start, end - start + 1);
  }
  else
  {
    /* this is a break of lexer buffer */
    i->a2.p = "???";
  }

  return i;
}

/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}


static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if ((ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (EMPTY_LIST(this_proto->channels))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Authentication not supported in OSPFv3");
}


/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst **this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");
}

/* Headers from sysdep/linux/netlink.Y */

/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}


#line 911 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    PO = 268,
    PC = 269,
    NUM = 270,
    ENUM = 271,
    IP4 = 272,
    IP6 = 273,
    VPN_RD = 274,
    SYM = 275,
    TEXT = 276,
    PREFIX_DUMMY = 277,
    NMA = 278,
    DEFINE = 279,
    ON = 280,
    OFF = 281,
    YES = 282,
    NO = 283,
    S = 284,
    MS = 285,
    US = 286,
    PORT = 287,
    VPN = 288,
    MPLS = 289,
    FROM = 290,
    FLOW4 = 291,
    FLOW6 = 292,
    DST = 293,
    SRC = 294,
    PROTO = 295,
    NEXT = 296,
    HEADER = 297,
    DPORT = 298,
    SPORT = 299,
    ICMP = 300,
    TYPE = 301,
    CODE = 302,
    TCP = 303,
    FLAGS = 304,
    LENGTH = 305,
    DSCP = 306,
    DONT_FRAGMENT = 307,
    IS_FRAGMENT = 308,
    FIRST_FRAGMENT = 309,
    LAST_FRAGMENT = 310,
    FRAGMENT = 311,
    LABEL = 312,
    OFFSET = 313,
    FUNCTION = 314,
    PRINT = 315,
    PRINTN = 316,
    UNSET = 317,
    RETURN = 318,
    ACCEPT = 319,
    REJECT = 320,
    ERROR = 321,
    QUITBIRD = 322,
    INT = 323,
    BOOL = 324,
    IP = 325,
    PREFIX = 326,
    RD = 327,
    PAIR = 328,
    QUAD = 329,
    EC = 330,
    LC = 331,
    SET = 332,
    STRING = 333,
    BGPMASK = 334,
    BGPPATH = 335,
    CLIST = 336,
    ECLIST = 337,
    LCLIST = 338,
    IF = 339,
    THEN = 340,
    ELSE = 341,
    CASE = 342,
    TRUE = 343,
    FALSE = 344,
    RT = 345,
    RO = 346,
    UNKNOWN = 347,
    GENERIC = 348,
    GW = 349,
    NET = 350,
    MASK = 351,
    SOURCE = 352,
    SCOPE = 353,
    DEST = 354,
    IFNAME = 355,
    IFINDEX = 356,
    PREFERENCE = 357,
    ROA_CHECK = 358,
    ASN = 359,
    IS_V4 = 360,
    IS_V6 = 361,
    LEN = 362,
    MAXLEN = 363,
    DEFINED = 364,
    ADD = 365,
    DELETE = 366,
    CONTAINS = 367,
    RESET = 368,
    PREPEND = 369,
    FIRST = 370,
    LAST = 371,
    LAST_NONAGGREGATED = 372,
    MATCH = 373,
    EMPTY = 374,
    FILTER = 375,
    WHERE = 376,
    EVAL = 377,
    BT_ASSERT = 378,
    BT_TEST_SUITE = 379,
    FORMAT = 380,
    ROUTER = 381,
    ID = 382,
    PROTOCOL = 383,
    TEMPLATE = 384,
    DISABLED = 385,
    DEBUG = 386,
    ALL = 387,
    DIRECT = 388,
    INTERFACE = 389,
    IMPORT = 390,
    EXPORT = 391,
    NONE = 392,
    VRF = 393,
    TABLE = 394,
    STATES = 395,
    ROUTES = 396,
    FILTERS = 397,
    IPV4 = 398,
    IPV6 = 399,
    VPN4 = 400,
    VPN6 = 401,
    ROA4 = 402,
    ROA6 = 403,
    SADR = 404,
    RECEIVE = 405,
    LIMIT = 406,
    ACTION = 407,
    WARN = 408,
    BLOCK = 409,
    RESTART = 410,
    DISABLE = 411,
    KEEP = 412,
    FILTERED = 413,
    PASSWORD = 414,
    PASSIVE = 415,
    TO = 416,
    EVENTS = 417,
    PACKETS = 418,
    PROTOCOLS = 419,
    INTERFACES = 420,
    ALGORITHM = 421,
    KEYED = 422,
    HMAC = 423,
    MD5 = 424,
    SHA1 = 425,
    SHA256 = 426,
    SHA384 = 427,
    SHA512 = 428,
    PRIMARY = 429,
    STATS = 430,
    COUNT = 431,
    BY = 432,
    FOR = 433,
    COMMANDS = 434,
    PREEXPORT = 435,
    NOEXPORT = 436,
    GENERATE = 437,
    BGP = 438,
    PASSWORDS = 439,
    DESCRIPTION = 440,
    SORTED = 441,
    RELOAD = 442,
    IN = 443,
    OUT = 444,
    MRTDUMP = 445,
    MESSAGES = 446,
    RESTRICT = 447,
    MEMORY = 448,
    IGP_METRIC = 449,
    CLASS = 450,
    TIMEFORMAT = 451,
    ISO = 452,
    SHORT = 453,
    LONG = 454,
    ROUTE = 455,
    BASE = 456,
    LOG = 457,
    GRACEFUL = 458,
    WAIT = 459,
    MAX = 460,
    FLUSH = 461,
    AS = 462,
    IPV4_MC = 463,
    IPV4_MPLS = 464,
    IPV6_MC = 465,
    IPV6_MPLS = 466,
    IPV6_SADR = 467,
    VPN4_MC = 468,
    VPN4_MPLS = 469,
    VPN6_MC = 470,
    VPN6_MPLS = 471,
    PRI = 472,
    SEC = 473,
    SHOW = 474,
    STATUS = 475,
    SUMMARY = 476,
    SYMBOLS = 477,
    DUMP = 478,
    RESOURCES = 479,
    SOCKETS = 480,
    NEIGHBORS = 481,
    ATTRIBUTES = 482,
    ECHO = 483,
    ENABLE = 484,
    BFD = 485,
    MIN = 486,
    IDLE = 487,
    RX = 488,
    TX = 489,
    INTERVAL = 490,
    MULTIPLIER = 491,
    MULTIHOP = 492,
    NEIGHBOR = 493,
    DEV = 494,
    LOCAL = 495,
    AUTHENTICATION = 496,
    SIMPLE = 497,
    METICULOUS = 498,
    SESSIONS = 499,
    BABEL = 500,
    METRIC = 501,
    RXCOST = 502,
    HELLO = 503,
    UPDATE = 504,
    WIRED = 505,
    WIRELESS = 506,
    BUFFER = 507,
    PRIORITY = 508,
    CHECK = 509,
    LINK = 510,
    HOP = 511,
    BABEL_METRIC = 512,
    ENTRIES = 513,
    HOLD = 514,
    TIME = 515,
    CONNECT = 516,
    RETRY = 517,
    KEEPALIVE = 518,
    STARTUP = 519,
    VIA = 520,
    SELF = 521,
    DEFAULT = 522,
    PATH = 523,
    START = 524,
    DELAY = 525,
    FORGET = 526,
    AFTER = 527,
    BGP_PATH = 528,
    BGP_LOCAL_PREF = 529,
    BGP_MED = 530,
    BGP_ORIGIN = 531,
    BGP_NEXT_HOP = 532,
    BGP_ATOMIC_AGGR = 533,
    BGP_AGGREGATOR = 534,
    BGP_COMMUNITY = 535,
    BGP_EXT_COMMUNITY = 536,
    BGP_LARGE_COMMUNITY = 537,
    ADDRESS = 538,
    RR = 539,
    RS = 540,
    CLIENT = 541,
    CLUSTER = 542,
    AS4 = 543,
    ADVERTISE = 544,
    CAPABILITIES = 545,
    PREFER = 546,
    OLDER = 547,
    MISSING = 548,
    LLADDR = 549,
    DROP = 550,
    IGNORE = 551,
    REFRESH = 552,
    INTERPRET = 553,
    COMMUNITIES = 554,
    BGP_ORIGINATOR_ID = 555,
    BGP_CLUSTER_LIST = 556,
    IGP = 557,
    GATEWAY = 558,
    RECURSIVE = 559,
    MED = 560,
    TTL = 561,
    SECURITY = 562,
    DETERMINISTIC = 563,
    SECONDARY = 564,
    ALLOW = 565,
    PATHS = 566,
    AWARE = 567,
    EXTENDED = 568,
    SETKEY = 569,
    STRICT = 570,
    BIND = 571,
    CONFEDERATION = 572,
    MEMBER = 573,
    MULTICAST = 574,
    CEASE = 575,
    HIT = 576,
    ADMINISTRATIVE = 577,
    SHUTDOWN = 578,
    PEER = 579,
    CONFIGURATION = 580,
    CHANGE = 581,
    DECONFIGURED = 582,
    CONNECTION = 583,
    REJECTED = 584,
    COLLISION = 585,
    OF = 586,
    OSPF = 587,
    V2 = 588,
    V3 = 589,
    OSPF_METRIC1 = 590,
    OSPF_METRIC2 = 591,
    OSPF_TAG = 592,
    OSPF_ROUTER_ID = 593,
    AREA = 594,
    RFC1583COMPAT = 595,
    STUB = 596,
    TICK = 597,
    COST = 598,
    COST2 = 599,
    RETRANSMIT = 600,
    TRANSMIT = 601,
    DEAD = 602,
    BROADCAST = 603,
    BCAST = 604,
    NONBROADCAST = 605,
    NBMA = 606,
    POINTOPOINT = 607,
    PTP = 608,
    POINTOMULTIPOINT = 609,
    PTMP = 610,
    CRYPTOGRAPHIC = 611,
    ELIGIBLE = 612,
    POLL = 613,
    NETWORKS = 614,
    HIDDEN = 615,
    VIRTUAL = 616,
    ONLY = 617,
    LARGE = 618,
    NORMAL = 619,
    STUBNET = 620,
    TAG = 621,
    EXTERNAL = 622,
    LSADB = 623,
    ECMP = 624,
    WEIGHT = 625,
    NSSA = 626,
    TRANSLATOR = 627,
    STABILITY = 628,
    GLOBAL = 629,
    LSID = 630,
    INSTANCE = 631,
    REAL = 632,
    NETMASK = 633,
    MERGE = 634,
    LSA = 635,
    SUPPRESSION = 636,
    RFC5838 = 637,
    TOPOLOGY = 638,
    STATE = 639,
    PIPE = 640,
    RADV = 641,
    RA = 642,
    MANAGED = 643,
    OTHER = 644,
    CONFIG = 645,
    LINGER = 646,
    MTU = 647,
    REACHABLE = 648,
    RETRANS = 649,
    TIMER = 650,
    CURRENT = 651,
    VALID = 652,
    PREFERRED = 653,
    MULT = 654,
    LIFETIME = 655,
    SKIP = 656,
    ONLINK = 657,
    AUTONOMOUS = 658,
    RDNSS = 659,
    DNSSL = 660,
    NS = 661,
    DOMAIN = 662,
    TRIGGER = 663,
    SENSITIVE = 664,
    LOW = 665,
    MEDIUM = 666,
    HIGH = 667,
    PROPAGATE = 668,
    RA_PREFERENCE = 669,
    RA_LIFETIME = 670,
    RIP = 671,
    NG = 672,
    INFINITY = 673,
    TIMEOUT = 674,
    GARBAGE = 675,
    MODE = 676,
    VERSION = 677,
    SPLIT = 678,
    HORIZON = 679,
    POISON = 680,
    REVERSE = 681,
    ZERO = 682,
    PLAINTEXT = 683,
    RIP_METRIC = 684,
    RIP_TAG = 685,
    RPKI = 686,
    REMOTE = 687,
    BIRD = 688,
    PRIVATE = 689,
    PUBLIC = 690,
    KEY = 691,
    SSH = 692,
    TRANSPORT = 693,
    USER = 694,
    EXPIRE = 695,
    STATIC = 696,
    PROHIBIT = 697,
    BLACKHOLE = 698,
    UNREACHABLE = 699,
    KERNEL = 700,
    KRT_PREFSRC = 701,
    KRT_REALM = 702,
    KRT_SCOPE = 703,
    KRT_MTU = 704,
    KRT_WINDOW = 705,
    KRT_RTT = 706,
    KRT_RTTVAR = 707,
    KRT_SSTRESH = 708,
    KRT_CWND = 709,
    KRT_ADVMSS = 710,
    KRT_REORDERING = 711,
    KRT_HOPLIMIT = 712,
    KRT_INITCWND = 713,
    KRT_RTO_MIN = 714,
    KRT_INITRWND = 715,
    KRT_QUICKACK = 716,
    KRT_LOCK_MTU = 717,
    KRT_LOCK_WINDOW = 718,
    KRT_LOCK_RTT = 719,
    KRT_LOCK_RTTVAR = 720,
    KRT_LOCK_SSTRESH = 721,
    KRT_LOCK_CWND = 722,
    KRT_LOCK_ADVMSS = 723,
    KRT_LOCK_REORDERING = 724,
    KRT_LOCK_HOPLIMIT = 725,
    KRT_LOCK_RTO_MIN = 726,
    KRT_FEATURE_ECN = 727,
    KRT_FEATURE_ALLFRAG = 728,
    SYSLOG = 729,
    TRACE = 730,
    INFO = 731,
    WARNING = 732,
    AUTH = 733,
    FATAL = 734,
    BUG = 735,
    STDERR = 736,
    SOFT = 737,
    NAME = 738,
    CONFIRM = 739,
    UNDO = 740,
    LATENCY = 741,
    WATCHDOG = 742,
    CONFIGURE = 743,
    DOWN = 744,
    PERSIST = 745,
    SCAN = 746,
    LEARN = 747,
    DEVICE = 748,
    KRT_SOURCE = 749,
    KRT_METRIC = 750
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 840 "obj/conf/cf-parse.y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct f_inst *x;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct f_path_mask *h;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;

#line 1482 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1499 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  67
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   4244

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  517
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  390
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1290
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2336

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   750

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    33,     2,     2,     2,    32,     2,     2,
     508,   509,    30,    28,   510,    29,    34,    31,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   513,   507,
      24,    23,    25,   514,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   515,     2,   516,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   511,     2,   512,    26,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    27,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1080,  1080,  1081,  1084,  1086,  1094,  1103,  1104,  1105,
    1112,  1113,  1114,  1120,  1121,  1122,  1123,  1124,  1125,  1132,
    1133,  1134,  1141,  1142,  1149,  1155,  1165,  1178,  1197,  1203,
    1209,  1217,  1225,  1231,  1231,  1232,  1232,  1233,  1233,  1236,
    1237,  1238,  1239,  1240,  1241,  1248,  1249,  1257,  1258,  1266,
    1267,  1275,  1276,  1277,  1278,  1279,  1289,  1297,  1298,  1307,
    1315,  1316,  1323,  1324,  1333,  1334,  1335,  1336,  1337,  1338,
    1339,  1340,  1344,  1345,  1349,  1350,  1351,  1352,  1353,  1354,
    1355,  1356,  1357,  1360,  1361,  1362,  1363,  1366,  1367,  1371,
    1375,  1379,  1380,  1384,  1388,  1397,  1398,  1402,  1406,  1410,
    1417,  1418,  1422,  1423,  1424,  1425,  1429,  1432,  1435,  1441,
    1445,  1446,  1447,  1451,  1455,  1461,  1462,  1463,  1464,  1467,
    1469,  1472,  1474,  1478,  1485,  1486,  1488,  1494,  1500,  1500,
    1506,  1506,  1516,  1520,  1534,  1535,  1536,  1537,  1538,  1539,
    1540,  1541,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1571,  1582,  1583,  1590,  1591,  1598,  1607,  1611,  1615,  1636,
    1637,  1641,  1653,  1653,  1669,  1670,  1673,  1674,  1678,  1681,
    1690,  1691,  1704,  1705,  1706,  1707,  1711,  1719,  1720,  1721,
    1722,  1726,  1729,  1730,  1731,  1732,  1733,  1734,  1735,  1736,
    1737,  1738,  1743,  1744,  1745,  1746,  1750,  1751,  1752,  1756,
    1757,  1758,  1759,  1760,  1761,  1762,  1763,  1768,  1769,  1770,
    1771,  1772,  1776,  1777,  1778,  1779,  1780,  1784,  1785,  1789,
    1790,  1794,  1795,  1796,  1797,  1805,  1806,  1809,  1810,  1817,
    1829,  1830,  1834,  1838,  1839,  1840,  1841,  1842,  1843,  1847,
    1848,  1849,  1850,  1851,  1852,  1853,  1854,  1855,  1856,  1860,
    1861,  1862,  1863,  1873,  1877,  1899,  1911,  1912,  1913,  1914,
    1915,  1916,  1917,  1918,  1919,  1923,  1924,  1925,  1926,  1927,
    1928,  1929,  1930,  1931,  1932,  1933,  1934,  1935,  1936,  1937,
    1938,  1939,  1941,  1942,  1943,  1945,  1947,  1949,  1951,  1952,
    1953,  1954,  1955,  1956,  1957,  1958,  1959,  1960,  1961,  1971,
    1972,  1973,  1974,  1975,  1976,  1977,  1978,  1980,  1981,  1983,
    1988,  2010,  2011,  2012,  2013,  2014,  2015,  2019,  2022,  2023,
    2024,  2032,  2038,  2046,  2047,  2051,  2056,  2064,  2072,  2077,
    2081,  2087,  2091,  2096,  2097,  2098,  2104,  2105,  2106,  2107,
    2108,  2109,  2113,  2124,  2125,  2129,  2130,  2131,  2132,  2143,
    2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,
    2168,  2169,  2172,  2184,  2185,  2189,  2195,  2199,  2208,  2217,
    2219,  2220,  2221,  2222,  2223,  2224,  2228,  2234,  2239,  2240,
    2241,  2242,  2243,  2244,  2245,  2248,  2250,  2253,  2255,  2259,
    2266,  2270,  2277,  2278,  2279,  2280,  2284,  2285,  2286,  2287,
    2288,  2292,  2293,  2299,  2300,  2307,  2308,  2309,  2310,  2314,
    2315,  2316,  2317,  2318,  2319,  2320,  2321,  2325,  2332,  2340,
    2341,  2345,  2346,  2350,  2355,  2356,  2360,  2362,  2370,  2374,
    2375,  2381,  2388,  2389,  2390,  2391,  2392,  2396,  2404,  2410,
    2411,  2412,  2416,  2417,  2421,  2422,  2423,  2424,  2425,  2426,
    2432,  2433,  2434,  2438,  2439,  2443,  2444,  2450,  2451,  2454,
    2456,  2460,  2461,  2465,  2485,  2486,  2487,  2488,  2489,  2490,
    2491,  2492,  2493,  2497,  2498,  2499,  2500,  2501,  2502,  2503,
    2504,  2505,  2506,  2512,  2515,  2518,  2521,  2525,  2526,  2529,
    2532,  2536,  2540,  2545,  2550,  2556,  2562,  2569,  2574,  2579,
    2583,  2587,  2591,  2601,  2612,  2621,  2625,  2632,  2636,  2637,
    2638,  2639,  2643,  2647,  2651,  2665,  2666,  2667,  2668,  2671,
    2672,  2673,  2678,  2679,  2680,  2681,  2682,  2683,  2684,  2685,
    2686,  2687,  2688,  2689,  2690,  2691,  2692,  2693,  2694,  2695,
    2696,  2697,  2701,  2705,  2708,  2709,  2710,  2711,  2712,  2713,
    2718,  2720,  2722,  2724,  2726,  2728,  2730,  2732,  2735,  2739,
    2745,  2746,  2747,  2751,  2752,  2758,  2760,  2762,  2764,  2766,
    2768,  2772,  2776,  2779,  2783,  2784,  2785,  2789,  2790,  2791,
    2799,  2811,  2812,  2813,  2814,  2817,  2819,  2823,  2827,  2841,
    2861,  2862,  2863,  2864,  2865,  2866,  2867,  2868,  2872,  2873,
    2874,  2875,  2876,  2877,  2880,  2882,  2885,  2887,  2891,  2894,
    2899,  2900,  2901,  2905,  2906,  2910,  2911,  2914,  2933,  2939,
    2947,  2948,  2949,  2952,  2954,  2958,  2962,  2976,  3001,  3002,
    3003,  3004,  3005,  3006,  3007,  3008,  3009,  3010,  3011,  3012,
    3013,  3014,  3015,  3018,  3020,  3023,  3025,  3030,  3035,  3038,
    3041,  3044,  3050,  3076,  3078,  3079,  3082,  3084,  3085,  3090,
    3091,  3095,  3096,  3100,  3101,  3102,  3103,  3104,  3105,  3106,
    3107,  3108,  3112,  3113,  3114,  3115,  3116,  3120,  3121,  3127,
    3128,  3129,  3130,  3131,  3132,  3133,  3134,  3135,  3136,  3137,
    3138,  3139,  3140,  3141,  3142,  3143,  3144,  3145,  3146,  3147,
    3148,  3149,  3150,  3151,  3152,  3153,  3154,  3155,  3156,  3157,
    3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,  3166,  3167,
    3168,  3169,  3170,  3171,  3175,  3176,  3177,  3178,  3179,  3180,
    3181,  3182,  3183,  3184,  3185,  3186,  3189,  3211,  3212,  3213,
    3214,  3215,  3216,  3217,  3218,  3219,  3220,  3221,  3222,  3223,
    3224,  3225,  3226,  3239,  3241,  3244,  3246,  3250,  3257,  3269,
    3270,  3271,  3274,  3288,  3289,  3293,  3294,  3298,  3308,  3311,
    3312,  3313,  3314,  3315,  3316,  3317,  3318,  3319,  3320,  3321,
    3324,  3339,  3342,  3344,  3348,  3349,  3350,  3351,  3352,  3353,
    3354,  3355,  3356,  3357,  3357,  3358,  3358,  3359,  3360,  3361,
    3365,  3366,  3370,  3378,  3380,  3384,  3385,  3386,  3390,  3391,
    3394,  3396,  3399,  3400,  3401,  3402,  3403,  3404,  3405,  3406,
    3407,  3408,  3409,  3412,  3431,  3432,  3433,  3434,  3435,  3436,
    3437,  3438,  3439,  3440,  3441,  3442,  3443,  3444,  3445,  3446,
    3447,  3448,  3449,  3450,  3451,  3452,  3453,  3454,  3455,  3456,
    3457,  3458,  3459,  3460,  3461,  3462,  3463,  3464,  3465,  3466,
    3467,  3468,  3471,  3473,  3476,  3478,  3486,  3488,  3489,  3492,
    3494,  3498,  3499,  3502,  3512,  3533,  3535,  3539,  3539,  3542,
    3544,  3547,  3549,  3553,  3558,  3561,  3564,  3569,  3572,  3577,
    3580,  3584,  3588,  3591,  3592,  3593,  3594,  3595,  3596,  3597,
    3598,  3605,  3604,  3619,  3620,  3621,  3622,  3628,  3639,  3640,
    3641,  3642,  3643,  3643,  3644,  3644,  3645,  3646,  3649,  3651,
    3655,  3659,  3682,  3683,  3684,  3685,  3686,  3687,  3688,  3689,
    3690,  3691,  3696,  3700,  3701,  3702,  3703,  3704,  3705,  3705,
    3706,  3706,  3707,  3708,  3712,  3713,  3714,  3717,  3755,  3757,
    3760,  3762,  3766,  3769,  3781,  3782,  3783,  3784,  3788,  3795,
    3803,  3805,  3808,  3810,  3814,  3818,  3828,  3833,  3834,  3835,
    3839,  3851,  3853,  3857,  3858,  3862,  3875,  3880,  3881,  3882,
    3886,  3898,  3900,  3904,  3905,  3910,  3911,  3915,  3916,  3924,
    3925,  3928,  3942,  3943,  3944,  3945,  3946,  3947,  3950,  3952,
    3956,  3960,  3984,  4014,  4015,  4016,  4017,  4018,  4019,  4020,
    4024,  4025,  4026,  4027,  4028,  4029,  4030,  4031,  4032,  4033,
    4034,  4035,  4036,  4037,  4038,  4039,  4040,  4041,  4045,  4046,
    4047,  4048,  4051,  4053,  4056,  4058,  4062,  4068,  4071,  4078,
    4085,  4087,  4089,  4093,  4094,  4095,  4096,  4097,  4098,  4099,
    4105,  4111,  4120,  4121,  4124,  4127,  4131,  4142,  4143,  4147,
    4154,  4160,  4162,  4166,  4167,  4168,  4172,  4180,  4187,  4188,
    4189,  4190,  4191,  4199,  4203,  4208,  4213,  4216,  4219,  4223,
    4229,  4230,  4233,  4244,  4245,  4249,  4254,  4255,  4256,  4257,
    4258,  4259,  4263,  4266,  4268,  4271,  4273,  4277,  4284,  4285,
    4296,  4305,  4306,  4310,  4315,  4316,  4320,  4321,  4325,  4326,
    4330,  4331,  4332,  4333,  4334,  4335,  4336,  4337,  4338,  4344,
    4345,  4355,  4356,  4357,  4358,  4366,  4369,  4376,  4379,  4382,
    4385,  4389,  4390,  4394,  4395,  4396,  4404,  4411,  4412,  4416,
    4417,  4418,  4419,  4423,  4430,  4431,  4443,  4448,  4449,  4450,
    4457,  4464,  4467,  4469,  4472,  4474,  4478,  4486,  4486,  4486,
    4486,  4486,  4486,  4486,  4486,  4486,  4486,  4486,  4486,  4486,
    4486,  4486,  4487,  4487,  4488,  4488,  4489,  4490,  4491,  4492,
    4493,  4494,  4495,  4496,  4497,  4498,  4499,  4500,  4500,  4500,
    4500,  4500,  4500,  4500,  4500,  4500,  4500,  4500,  4500,  4500,
    4500,  4500,  4500,  4500,  4500,  4500,  4500,  4500,  4500,  4500,
    4500,  4500,  4500,  4500,  4500,  4500,  4500,  4500,  4500,  4500,
    4500,  4500,  4500,  4500,  4500,  4501,  4501,  4501,  4501,  4501,
    4501,  4501,  4501,  4501,  4501,  4501,  4501,  4502,  4502,  4502,
    4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,
    4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,
    4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,
    4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,  4502,
    4502,  4502,  4502,  4502,  4502,  4502,  4503,  4503,  4503,  4504,
    4504
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "IP4", "IP6", "VPN_RD", "SYM", "TEXT", "PREFIX_DUMMY", "'='",
  "'<'", "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'",
  "'.'", "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US", "PORT",
  "VPN", "MPLS", "FROM", "FLOW4", "FLOW6", "DST", "SRC", "PROTO", "NEXT",
  "HEADER", "DPORT", "SPORT", "ICMP", "TYPE", "CODE", "TCP", "FLAGS",
  "LENGTH", "DSCP", "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT",
  "LAST_FRAGMENT", "FRAGMENT", "LABEL", "OFFSET", "FUNCTION", "PRINT",
  "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "QUITBIRD",
  "INT", "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET",
  "STRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "TRUE", "FALSE", "RT", "RO", "UNKNOWN",
  "GENERIC", "GW", "NET", "MASK", "SOURCE", "SCOPE", "DEST", "IFNAME",
  "IFINDEX", "PREFERENCE", "ROA_CHECK", "ASN", "IS_V4", "IS_V6", "LEN",
  "MAXLEN", "DEFINED", "ADD", "DELETE", "CONTAINS", "RESET", "PREPEND",
  "FIRST", "LAST", "LAST_NONAGGREGATED", "MATCH", "EMPTY", "FILTER",
  "WHERE", "EVAL", "BT_ASSERT", "BT_TEST_SUITE", "FORMAT", "ROUTER", "ID",
  "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT",
  "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "TABLE", "STATES",
  "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4", "ROA6",
  "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "PASSWORD", "PASSIVE", "TO", "EVENTS",
  "PACKETS", "PROTOCOLS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC",
  "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "PRIMARY", "STATS", "COUNT",
  "BY", "FOR", "COMMANDS", "PREEXPORT", "NOEXPORT", "GENERATE", "BGP",
  "PASSWORDS", "DESCRIPTION", "SORTED", "RELOAD", "IN", "OUT", "MRTDUMP",
  "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT",
  "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT",
  "MAX", "FLUSH", "AS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BFD", "MIN",
  "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP", "NEIGHBOR",
  "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS", "SESSIONS",
  "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS",
  "BUFFER", "PRIORITY", "CHECK", "LINK", "HOP", "BABEL_METRIC", "ENTRIES",
  "HOLD", "TIME", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP", "VIA",
  "SELF", "DEFAULT", "PATH", "START", "DELAY", "FORGET", "AFTER",
  "BGP_PATH", "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "STRICT", "BIND",
  "CONFEDERATION", "MEMBER", "MULTICAST", "CEASE", "HIT", "ADMINISTRATIVE",
  "SHUTDOWN", "PEER", "CONFIGURATION", "CHANGE", "DECONFIGURED",
  "CONNECTION", "REJECTED", "COLLISION", "OF", "OSPF", "V2", "V3",
  "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA",
  "RFC1583COMPAT", "STUB", "TICK", "COST", "COST2", "RETRANSMIT",
  "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA",
  "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC",
  "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE",
  "NORMAL", "STUBNET", "TAG", "EXTERNAL", "LSADB", "ECMP", "WEIGHT",
  "NSSA", "TRANSLATOR", "STABILITY", "GLOBAL", "LSID", "INSTANCE", "REAL",
  "NETMASK", "MERGE", "LSA", "SUPPRESSION", "RFC5838", "TOPOLOGY", "STATE",
  "PIPE", "RADV", "RA", "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU",
  "REACHABLE", "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT",
  "LIFETIME", "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL", "NS",
  "DOMAIN", "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "RIP", "NG", "INFINITY", "TIMEOUT",
  "GARBAGE", "MODE", "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE",
  "ZERO", "PLAINTEXT", "RIP_METRIC", "RIP_TAG", "RPKI", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "KEY", "SSH", "TRANSPORT", "USER", "EXPIRE",
  "STATIC", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "KERNEL",
  "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW",
  "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS",
  "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN",
  "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW",
  "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "NAME", "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN",
  "PERSIST", "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "';'",
  "'('", "')'", "','", "'{'", "'}'", "':'", "'?'", "'['", "']'", "$accept",
  "config", "conf_entries", "definition", "expr", "expr_us", "bool", "ipa",
  "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_", "net_ip6_sadr_",
  "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_", "net_mpls_",
  "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip6", "net_ip",
  "net_any", "net_or_ipa", "label_stack_start", "label_stack", "time",
  "text", "opttext", "flow_num_op", "flow_logic_op", "flow_num_type_",
  "flow_num_type", "flow_flag_type", "flow_frag_type", "flow_label_type",
  "flow_srcdst", "flow_num_opts", "flow_num_opt_ext_expr",
  "flow_num_opt_ext", "flow_bmk_opts", "flow_neg", "flow_frag_val",
  "flow_frag_opts", "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "filter_def", "$@1",
  "filter_eval", "bt_test_suite", "type", "one_decl", "decls", "declsn",
  "filter_body", "filter", "where_filter", "function_params",
  "function_body", "function_def", "$@2", "cmds", "cmds_int", "block",
  "fipa", "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind",
  "ec_item", "lc_item", "set_item", "switch_item", "set_items",
  "switch_items", "fprefix", "fprefix_set", "switch_body", "bgp_path_expr",
  "bgp_path", "bgp_path_tail", "constant", "constructor", "rtadot",
  "function_call", "symbol", "static_attr", "term", "break_command",
  "print_one", "print_list", "var_listn", "var_list", "cmd",
  "get_cf_position", "rtrid", "idval", "gr_opts", "net_type",
  "table_sorted", "table", "proto_start", "proto_name", "proto_item",
  "channel_start", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_which", "timeformat_spec",
  "timeformat_base", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_items", "password_item",
  "password_item_begin", "password_item_params", "password_algorithm",
  "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optsym", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "r_args_channel", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_EVAL", "cmd_ECHO",
  "echo_mask", "echo_size", "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART",
  "cmd_RELOAD", "cmd_RELOAD_IN", "cmd_RELOAD_OUT", "cmd_DEBUG",
  "cmd_MRTDUMP", "cmd_RESTRICT", "proto_patt", "proto_patt2",
  "bfd_proto_start", "bfd_proto_item", "bfd_proto_opts", "bfd_proto",
  "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item", "bfd_auth_type",
  "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface", "bfd_multihop",
  "bfd_neigh_iface", "bfd_neigh_local", "bfd_neigh_multihop",
  "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS", "babel_proto_start",
  "babel_proto_item", "babel_proto_opts", "babel_proto",
  "babel_iface_start", "babel_iface_finish", "babel_iface_item",
  "babel_iface_opts", "babel_iface_opt_list", "babel_iface",
  "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start",
  "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list",
  "bgp_cease_flag", "bgp_proto", "bgp_afi", "bgp_channel_start",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "ospf_variant",
  "ospf_proto_start", "ospf_proto", "ospf_af_mc", "ospf_channel_start",
  "ospf_channel", "ospf_proto_item", "ospf_area_start", "ospf_area",
  "ospf_area_opts", "ospf_area_item", "$@3", "$@4", "ospf_stubnet",
  "ospf_stubnet_start", "ospf_stubnet_opts", "ospf_stubnet_item",
  "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@5", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "pipe_proto_start", "$@6", "pipe_proto",
  "radv_proto_start", "radv_proto_item", "$@7", "$@8", "radv_proto_opts",
  "radv_proto", "radv_iface_start", "radv_iface_item", "$@9", "$@10",
  "radv_preference", "radv_iface_finish", "radv_iface_opts",
  "radv_iface_opt_list", "radv_iface", "radv_prefix_start",
  "radv_prefix_item", "radv_prefix_finish", "radv_prefix_opts",
  "radv_prefix_opt_list", "radv_prefix", "radv_rdnss_node",
  "radv_rdnss_start", "radv_rdnss_item", "radv_rdnss_finish",
  "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node", "radv_dnssl_start",
  "radv_dnssl_item", "radv_dnssl_finish", "radv_dnssl_opts", "radv_dnssl",
  "radv_mult", "radv_sensitive", "rip_variant", "rip_proto_start",
  "rip_proto_item", "rip_proto_opts", "rip_proto", "rip_iface_start",
  "rip_iface_finish", "rip_iface_item", "rip_auth", "rip_iface_opts",
  "rip_iface_opt_list", "rip_iface", "cmd_SHOW_RIP_INTERFACES",
  "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start", "rpki_proto",
  "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_sys_item", "log_config", "syslog_name",
  "log_file", "log_mask", "log_mask_list", "log_cat", "mrtdump_base",
  "debug_unix", "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT",
  "cmd_CONFIGURE_CONFIRM", "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cfg_name", "cfg_timeout", "kern_proto_start",
  "kern_mp_limit", "kern_item", "kif_proto_start", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", "conf", "dynamic_attr", "proto",
  "cli_cmd", "kern_proto", "kif_proto", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    61,    60,    62,   126,   278,    43,    45,
      42,    47,    37,    33,    46,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,    59,    40,    41,
      44,   123,   125,    58,    63,    91,    93
};
# endif

#define YYPACT_NINF -1825

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1825)))

#define YYTABLE_NINF -324

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-324)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
      70,  2305,   295,   641,  2368,   524,   524,   524,   732,   524,
     358,  3330,  1053,    63,   524,   275,   380, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,   410,
   -1825, -1825, -1825,   433,   482,  2368,   -23,   385, -1825, -1825,
    -109, -1825,   375, -1825, -1825, -1825, -1825,   535,   815,   331,
     373,  -175, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
     407, -1825,  2995, -1825, -1825,   458,  3550,   458, -1825,   458,
   -1825,   458,  3636,   458,  3253,    93,  3284,   458, -1825,   458,
   -1825,   458, -1825,   458,  3521, -1825, -1825, -1825,   458,   458,
   -1825, -1825,  3200,  1822,    50, -1825, -1825,   624,   632,   595,
     182, -1825,   591,   534,  2368,   657,   239,   256, -1825, -1825,
   -1825,   280,   286,   330,   335,   370,   376,   379,  1324,   128,
     520,   617, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,  2315,
   -1825,  3977, -1825, -1825, -1825,   103,   921,   921,   524,   524,
     902,   207, -1825,   539,   196,   949, -1825,   953, -1825,   704,
     450,   676,   228,   947,   968,   973,   986,  1013,  1017,  1026,
    1029,  1058, -1825, -1825,  1089,   977,   921, -1825,  1046,  1046,
    1070,  1078,   660, -1825,  1064, -1825, -1825,  4098,  1086,   173,
     103,   320,   267, -1825, -1825, -1825,   207,   587, -1825, -1825,
   -1825, -1825,   243,   605,   625, -1825, -1825,   -92,   912,   320,
     320,  1109, -1825, -1825, -1825, -1825,   475, -1825, -1825,   712,
   -1825, -1825, -1825, -1825, -1825, -1825,  1101,  1131,   648,  1032,
     727,   103, -1825,   849,   849,   207,   906, -1825, -1825,   667,
     674,   681,   711,   721,   723,   729, -1825, -1825,   105,   958,
     751,  1266,     2,    37,    65,    97,  1019,   849,   727,  1106,
     599,   727,   201,   894,   894,  1033,  1037,   325,  1045,  1051,
     614,  1068,  1057,   812,  1030,   727,  1055,  1044,  1103,  1105,
    1052,  1067,   -34,   727,  1059,   232, -1825,   866, -1825,   869,
     882,   887,    81,   727,  1271,   320,   727,  1257,  1038,   727,
   -1825,  1081, -1825,   674, -1825,   915,   925, -1825, -1825,   320,
    1311,  1174,  1421,  1288,  1306, -1825,   950,   954,   957,   959,
     960,   970,  1249,  1208,  1335, -1825,   979,   980,   609,   978,
     985,   991,  1322,   320,  1168,  1341,   727,  1230,   727, -1825,
   -1825, -1825,  1001,  1004, -1825,  1239, -1825, -1825,  1005,    34,
   -1825,    50,  2368,    50,    50,  1499, -1825,  1501, -1825,  1504,
     624,  1483, -1825, -1825,   873,  1490,   720,  1493,  1496, -1825,
   -1825, -1825,  1421,  2368,  2368,  2368,  2368,  2368,  2368, -1825,
   -1825,  1518, -1825,  1024,   347, -1825, -1825,  1483, -1825,  1021,
   -1825, -1825,   168, -1825,  1524, -1825, -1825, -1825, -1825,   122,
   -1825,   274,  1520,  1522, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,  2368,
    2368,  2368,  2368,  2368,  2368,  2368,  2368,  2368,  2368,  2368,
    2368,  2368,  2368,  2284, -1825, -1825,  1016,  1535, -1825,  1545,
    1550,  1552,  1553, -1825, -1825, -1825,    47,  1554, -1825, -1825,
    1095,  1557, -1825,  1558, -1825,  3878, -1825,  1153,   947,   947,
     947,   947,   947, -1825,   947,   947, -1825,   288,   290,  1559,
     947,   947,  1560, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
      72, -1825, -1825,  1561,  1565,  1567,   660, -1825, -1825,   320,
    1570,  2368,  1066,  4082,  1071, -1825, -1825, -1825, -1825,  2368,
    1075, -1825, -1825, -1825,  2368, -1825, -1825, -1825, -1825, -1825,
     320, -1825, -1825,  1076, -1825,   320,   935, -1825,   849, -1825,
   -1825,  1089,  1079,   320,  1091, -1825, -1825,  1390, -1825, -1825,
     458, -1825,  1568, -1825, -1825,    81, -1825, -1825, -1825, -1825,
   -1825, -1825,   727, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825,  1318,  1319,   894, -1825,  1084, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825,    76,  1092,  1094,   307,  1285,   727,
    1394,  1097, -1825,  1104, -1825, -1825, -1825,  1566,    17,  1566,
     164,   727,   320,  1331,  1337,   320,  1339,   320,   320,   727,
    1342,   727,  1474,   727,  1110,   727,   727,   727,   727,   727,
     727,  1397,   727,  1111,   727,   727,  1113, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825,   727, -1825,  1454,   320,   727, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825,  3774,  2368, -1825, -1825,
     294,  1459, -1825, -1825,   294, -1825, -1825, -1825,   294,  1421,
   -1825, -1825, -1825, -1825, -1825, -1825,   632,   595, -1825, -1825,
   -1825,   727,  1421, -1825, -1825, -1825,  1204, -1825,   894, -1825,
   -1825, -1825,   279,  1354, -1825,  1124, -1825, -1825,   727, -1825,
     727,   320, -1825,   320, -1825, -1825, -1825, -1825, -1825,   320,
   -1825,  1617, -1825, -1825,  1251, -1825, -1825, -1825, -1825,  1587,
    1622,   148, -1825,  1129, -1825,  1513,  1621, -1825, -1825, -1825,
     697,  1516,   203,   412,   542,  1074,  1923, -1825,  2368, -1825,
    2368,  1134,    21,  1142,  1983, -1825, -1825,  1640,   134,   223,
   -1825,   595, -1825,  1438,  1439,  4014,  4014,  4014,  4126,  4126,
    4014,  4014,  4014,  4014,  4014,  1062,  1062,  1496,  1496, -1825,
   -1825, -1825,  1155, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825,   127, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825,   231, -1825, -1825,  1662, -1825,
   -1825, -1825,  3774,  1647, -1825, -1825,   309, -1825, -1825, -1825,
   -1825,   982, -1825, -1825, -1825, -1825,  1652, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825,  1667,   921,   921,   921,   921,   921,
     921,  1108,   947,   921,   947,   921, -1825,   921,   921, -1825,
    1089, -1825, -1825, -1825, -1825,  1674, -1825, -1825,  3119,  2432,
    4082, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825,   292,  1171,  1177, -1825,
   -1825,   849, -1825,  1172,  2100, -1825,  2237, -1825, -1825,  1668,
    1209,  1214, -1825,   453, -1825,  1183, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825,  1663, -1825,  1181,  1190,   337, -1825,
    1358,  2612,   320,   320,  1191, -1825,   727,    84, -1825, -1825,
     320,  1193,  1194,   727,  1196,   727, -1825, -1825,  1675, -1825,
     320,   320, -1825, -1825,   320,   320, -1825,  1201,  1202,   320,
     320,  1203,   320,  1205,  1206,  1216,   320,  1217,    81,  1218,
   -1825,  1222,  1223,  1226,  1227,  1229,  1231,   254,  1232, -1825,
    1233,  1234, -1825,  3569, -1825, -1825,   320, -1825, -1825, -1825,
    1503, -1825, -1825, -1825,  4098, -1825,  1531, -1825,   727, -1825,
   -1825,  1240,  3334,  3391,  3173,  1245,  1248, -1825,  1566,  1666,
    1700,   727,   320,   727,   279,  2024, -1825, -1825,  1584, -1825,
   -1825,  1181,  1210, -1825,    50, -1825,  1735, -1825,  2368, -1825,
    1725,  1727, -1825, -1825, -1825,  2368, -1825,  2368,  2368,  2368,
    2368, -1825,  1152,   465,  1384,  2368,  1606,  2368, -1825,  1252,
   -1825, -1825,  2368, -1825, -1825, -1825,  1744,  1746,  2368,  1016,
   -1825,    47, -1825, -1825, -1825, -1825, -1825, -1825,   624,   386,
    1247, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,  1729,
   -1825,  1763,  1765,  1767,  1770,  1772,  1774, -1825, -1825,  1764,
      81, -1825, -1825,    81, -1825,    81,   921,  1775,   921,  1777,
    1779,  1784, -1825, -1825, -1825, -1825,  1281,  1280, -1825, -1825,
   -1825,  4082,  2202,  1284,  1181, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825,  1773, -1825, -1825, -1825,
    1294, -1825, -1825,   894, -1825, -1825,  1297, -1825, -1825, -1825,
   -1825,  1300,  1298,  1304, -1825,  1305,   622, -1825,  1315,  1316,
   -1825, -1825,  1320, -1825,  1326, -1825,   166, -1825, -1825,   167,
   -1825, -1825, -1825, -1825,  1328,  1329, -1825,  1330, -1825, -1825,
   -1825,  1333, -1825,  1334, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825,  1344, -1825, -1825, -1825,  1551,  1495,  1659,  1521,
    1679,   129,   727,  1786, -1825, -1825,  1345, -1825, -1825,   727,
     615,   571, -1825,  1576,   899, -1825, -1825,   443, -1825,  1346,
   -1825,  1444,   879, -1825, -1825, -1825,  1003, -1825, -1825, -1825,
    1003,  1694, -1825, -1825, -1825,  1347, -1825,   727,   320, -1825,
   -1825, -1825,  1349,   320,  1680,  1680,  1314,   -32,  1680, -1825,
   -1825, -1825,  1355, -1825, -1825, -1825, -1825,  1700, -1825, -1825,
    1833, -1825, -1825, -1825,    14, -1825, -1825,  1357,  2368, -1825,
   -1825, -1825, -1825,  2368,  2368,  1843,  1360, -1825,  2315,  1362,
    2041, -1825, -1825,   320, -1825, -1825, -1825, -1825,  1840, -1825,
    1845, -1825,  1187,   963,  1186,  2542,  2605,  2642,  2671,  2368,
   -1825,  2368,   805,    19,  4098,  1366,   814,    16,  1368,  1857,
    1983, -1825, -1825,  2701, -1825, -1825,  1862,   624,  1483,  3918,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
    1884, -1825,  1885, -1825, -1825, -1825,  4082, -1825, -1825,  1377,
      91, -1825, -1825,   961,   990, -1825, -1825, -1825, -1825, -1825,
    1380, -1825,   222, -1825, -1825, -1825, -1825, -1825,   320, -1825,
   -1825,  1731,  1555, -1825,    71,  1556,  1572,   989,   523, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825,   547,   663,   727,   316,  1421, -1825, -1825, -1825,
    1628, -1825, -1825, -1825, -1825,   320,   320,   727,   320, -1825,
    1385,    81, -1825, -1825, -1825, -1825,  1387,  1400,   320, -1825,
   -1825,   320,  1401, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
    1402, -1825, -1825, -1825,    38,    10, -1825,   727, -1825, -1825,
   -1825,  1752, -1825, -1825, -1825, -1825,   320,   320, -1825, -1825,
   -1825,  1873, -1825, -1825, -1825,   320, -1825,  1833,  1904,  2368,
     873, -1825,  3147,  3486,   104,  2368, -1825,  1897,   725, -1825,
    4098,  1411,  1418, -1825,  -226,  1911,  1898, -1825, -1825, -1825,
   -1825,  1875, -1825, -1825,  1310,  1869, -1825, -1825, -1825, -1825,
   -1825,   269,  1907,  1907,   899,  1423, -1825, -1825,   269,  1907,
    1907,  1907,  1003,  1434,  2368, -1825, -1825, -1825, -1825,  2831,
    2869, -1825,  1912,  2368, -1825,  2170, -1825,  1914,  2368,  1938,
    2208,  2330,  1443, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825,   624,  1483, -1825, -1825, -1825, -1825,  1380, -1825, -1825,
    1941,   849,  1717,  1458,  1463,  1651,  1737, -1825, -1825, -1825,
   -1825, -1825, -1825,   622, -1825, -1825, -1825,   894, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825,   727,  1181,  1471, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825,  1473, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825,  1478,   320, -1825, -1825, -1825, -1825,  1479, -1825,
   -1825,  3174,  1476,  2538, -1825,  1609, -1825,  3203,  2368,  2368,
    2368,  1188,  2041, -1825,   894, -1825,  1491, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825,  1990,   320,  1364, -1825,  1489, -1825,    31,   320,  1283,
      77, -1825, -1825,  1364,    31,    77,    31,  1931, -1825,  2896,
   -1825, -1825,  1510,  1511,   868,    27,  1512,   884,  1497,  1515,
      28,  1519,    29, -1825, -1825,  1220, -1825, -1825, -1825,   894,
    1756, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,  1444,
   -1825, -1825,    73,  -106,    85,  1998,   741, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,  1523,  2202,
    1925, -1825,    69, -1825,  4098,  3230,  3257,  1525,  1526,  1527,
    1529,  1534, -1825, -1825, -1825,   320, -1825, -1825,   320,  1650,
     320, -1825,  1907,  1907,  1999, -1825, -1825, -1825, -1825, -1825,
    1907,  1907,  2014, -1825, -1825, -1825, -1825,  2001,  2368, -1825,
   -1825, -1825,  2007,  2368, -1825,  2368,  2032, -1825,  2368, -1825,
   -1825,   849,   727,  1532,  1162,  1800,   320,   320,   656, -1825,
   -1825, -1825,  1536,  1539, -1825,   727, -1825,  1307, -1825, -1825,
    3732, -1825, -1825, -1825,   416,   727,   320,   727, -1825,  1542,
   -1825,   320,   479,   320,   320,  1769,   261, -1825, -1825,  1546,
    1641,  1644,   727,   727,   727, -1825,  1569,  1398, -1825,   248,
     371,  3123, -1825,   541,  1573,  1578,  1609,   185, -1825, -1825,
    1021, -1825, -1825,  2056, -1825, -1825, -1825, -1825,   319,  1563,
   -1825, -1825,  2368,  2368,  2368, -1825,  2368, -1825,  1489,   320,
   -1825,   320,   320,   320,  1283,  1283, -1825,  1564,  1575,  1582,
    1571,  1583,  1574,  1594, -1825, -1825,  1894,  1819,  1820,  1821,
   -1825, -1825, -1825,  1238, -1825,  1890, -1825,  1258, -1825, -1825,
     320,  1812,  1159,   320,  1830,   567,   320,  1860,  1871,  1852,
   -1825,  1625,  1615,   320,  1624,   727,  1870,   573,   492,   320,
     320,  1872,  1745,  1824,  1778,   727,   320,   320,  1863,   318,
    1754,   320,  1766,  1787, -1825, -1825,  1638, -1825,   320,  1642,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
     320,   320, -1825, -1825,   320,   320, -1825, -1825, -1825, -1825,
      99,   132,  1750,   -57,  1747,   -45,   727,  1751,  1880,  1753,
    1886,  1905,  1906, -1825,  1653,   306,   894, -1825,  1657,   306,
    2144, -1825,  1660,   320,   727,   727,  1908,   724,   238,   320,
    1899,   -30,   894,  1856,  1794,  1913,  1921,   339,   322,  1741,
    1742, -1825, -1825,  1671,  1748,  1757,   849, -1825,  1688, -1825,
   -1825, -1825, -1825,  2923,   284,   300,   185,  1689,  2957,  3029,
    3056,  3092, -1825,  2166,  2173, -1825, -1825, -1825, -1825, -1825,
   -1825,  2368, -1825,  2368, -1825,  1693,  1699,   320,   320,   320,
   -1825, -1825,  1253,  2180,   177,   320,  2180,  1261,   314,  1695,
   -1825,  1293, -1825, -1825, -1825,   320,   320,   320,   320,   320,
   -1825, -1825,   320,   320,   727, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825,   172,   320,   320,
   -1825, -1825, -1825, -1825, -1825, -1825,   727,  1816,   719,   727,
   -1825, -1825, -1825,   320,   320, -1825,   727, -1825,   320,   727,
   -1825, -1825, -1825, -1825, -1825,  1789,  1789,  1939, -1825,   715,
    1940,   320,  1966,   320,  1968,   320,   715,   320, -1825,   727,
     320,   320,  2054,   727,    38,   727,    10, -1825,   320, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825,   320,   320,   320, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825,   320,   727,   727, -1825,   843,   320,   320,   320, -1825,
   -1825,   727, -1825,   727,   727, -1825,  1783,  1785, -1825, -1825,
   -1825, -1825,  2368, -1825, -1825, -1825, -1825,  1712,  1713,  1724,
    1726,   320,   320,  1730,  1732, -1825,  1894, -1825, -1825, -1825,
   -1825, -1825, -1825,  1728,  2180,  2180,  1733,  1736,   876,  1020,
    1780,  2180,  2180, -1825,   894,   894, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825,   119, -1825, -1825, -1825, -1825, -1825,
   -1825,   727,  1861, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
     727, -1825, -1825,   320, -1825, -1825, -1825, -1825,   320,  1789,
     320, -1825,   320, -1825, -1825,  1789, -1825, -1825, -1825,   320,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825,  1878, -1825, -1825, -1825, -1825, -1825, -1825, -1825,   849,
     849,  2923, -1825, -1825, -1825, -1825, -1825, -1825, -1825,  2368,
   -1825,  1258,  1781,  1782,  1258,  1258, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825,  1258,  1791,  1792, -1825,
   -1825, -1825,  1876, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825,  1749, -1825,  1258,
    1258, -1825, -1825, -1825,  1258,  1258, -1825,  1795,  2368, -1825,
   -1825, -1825, -1825, -1825,  1743, -1825
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     0,   253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1131,     0,  1237,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,  1245,  1246,  1247,  1248,  1249,
    1250,  1251,  1252,  1253,  1254,  1255,  1256,  1257,  1258,  1259,
    1260,  1261,  1262,  1263,  1264,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,  1272,  1273,  1274,  1275,  1276,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,  1284,  1285,     3,     1,     2,     0,
     359,   357,   358,     0,     0,   253,     0,     0,   363,   364,
       0,   350,   351,   353,   354,   355,   356,     0,     0,     0,
       0,     0,  1157,  1158,  1159,  1160,  1161,  1162,  1163,  1164,
       0,  1165,     0,  1167,  1168,   365,   369,   365,  1226,   365,
    1227,   365,   369,   365,   369,     0,   369,   365,  1231,   365,
    1232,   365,  1233,   365,   369,  1169,  1170,  1171,   365,   365,
       5,  1166,   369,   369,   238,   239,   248,   170,   171,   244,
     255,   242,     0,     0,   253,     0,     0,     0,   240,   241,
     285,     0,     0,     0,     0,     0,     0,     0,   253,     0,
      33,    34,    43,    35,    36,    37,    38,    44,    39,    40,
      41,   245,   128,   129,    42,   243,   252,   283,   284,     0,
     282,     0,   574,   576,   575,     0,    63,    63,     0,     0,
       0,     0,   573,   578,     0,     0,   492,     0,   543,     0,
       0,   488,     0,   488,     0,     0,     0,     0,     0,     0,
       0,     0,   561,   560,     0,   563,    63,  1132,  1131,  1131,
       0,     0,  1133,  1130,     0,   162,   130,   132,     0,     0,
       0,     0,    18,   352,    61,    60,     0,     0,   406,   405,
     407,   408,     0,     0,  1102,  1105,  1103,     0,     0,     0,
       0,     0,   431,   652,   580,   619,   759,   901,   907,   989,
    1039,  1067,  1136,  1146,   762,   991,   366,     0,     0,     0,
      18,     0,   437,     0,     0,     0,     0,  1225,   376,     0,
     387,     0,     0,     0,     0,     0,   734,   735,     0,     0,
       0,     0,   724,   725,     0,     0,     0,     0,    18,     0,
       0,    18,     0,   656,   653,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    18,     0,     0,     0,     0,
       0,     0,     0,    18,     0,     0,  1228,     0,   736,   755,
       0,     0,     0,    18,     0,     0,    18,     0,     0,    18,
    1229,   765,   769,   387,   770,     0,     0,   779,   903,     0,
       0,     0,     0,     0,     0,  1230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1234,     0,     0,  1086,  1095,
       0,     0,     0,     0,     0,     0,    18,     0,    18,  1235,
    1139,  1140,     0,     0,  1150,     0,  1236,  1147,     0,   238,
     255,   238,   253,   238,   238,     0,   230,     0,    25,     0,
       0,     0,    28,    29,   253,     0,     0,     0,   280,    32,
     123,   123,     0,   253,   253,   253,   253,   253,   253,   192,
     193,     0,   195,     0,     0,   172,   174,   171,   176,   253,
      33,    34,   221,   173,   210,   207,   208,   209,   217,     0,
     225,     0,     0,     0,  1172,   256,   259,   257,   258,   260,
     261,   262,   263,   264,  1173,  1174,  1176,  1179,  1178,  1175,
    1177,  1180,  1181,  1182,  1185,  1186,  1183,  1184,  1187,  1188,
    1189,  1190,  1191,  1192,  1193,  1194,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,  1211,  1212,  1213,  1214,  1215,  1216,  1217,  1218,
    1219,  1220,  1221,  1222,  1223,  1224,   286,   287,   558,   253,
     253,   253,   253,   253,   253,   253,   253,   253,   253,   253,
     253,   253,   253,     0,   440,   439,     0,     0,    62,     0,
       0,     0,     0,   568,   451,   450,     0,     0,   577,   579,
     578,     0,   489,     0,   484,     0,   483,     0,   488,   488,
     488,   488,   488,   487,   488,   488,   892,   488,   488,     0,
     488,   488,     0,   556,   552,   557,   553,   550,   551,   554,
     555,  1115,  1110,  1113,  1111,  1112,  1114,  1116,  1117,  1118,
       0,  1108,   564,     0,     0,     0,  1133,  1127,  1128,  1134,
       0,   253,     0,   151,     0,   345,   347,   348,   427,   253,
       0,   403,     7,     9,   253,   404,    14,    16,    15,    17,
       0,    13,  1121,     0,  1120,   409,     0,   417,     0,  1104,
    1106,     0,     0,     0,     0,  1124,  1123,   360,   760,   761,
     365,   990,     0,   367,   432,     0,   370,   371,   418,   375,
     374,   372,    18,   433,   385,   389,   434,   435,   585,   623,
     672,     0,     0,     0,   687,     0,   728,   726,   729,   727,
     730,   732,   731,   733,     0,     0,     0,    18,     0,    18,
       0,     0,   688,     0,    19,    20,    21,    22,     0,    22,
       0,    18,     0,     0,     0,     0,     0,     0,     0,    18,
       0,    18,     0,    18,     0,    18,    18,    18,    18,    18,
      18,     0,    18,     0,    18,    18,     0,   673,   753,   757,
     674,   763,   780,   771,    18,   777,   774,     0,    18,   772,
     766,   767,   389,   764,   782,   383,   151,   253,   394,   395,
       0,     0,   393,   378,     0,   379,   391,   377,     0,     0,
     904,   905,   918,   998,  1041,  1068,     0,     0,    50,    49,
    1082,    18,     0,  1069,  1070,  1088,     0,  1087,     0,  1091,
    1089,  1090,  1080,  1083,  1093,     0,  1287,  1289,    18,  1099,
      18,     0,  1141,     0,  1143,  1286,  1288,   418,  1148,     0,
    1290,     0,   233,   235,     0,   236,   237,   232,    24,    26,
       0,   321,   324,     0,   299,     0,     0,   300,   124,   125,
       0,     0,     0,     0,     0,     0,     0,   194,   253,   265,
     253,     0,     0,     0,   181,   222,   223,     0,     0,     0,
     246,     0,   247,     0,     0,   277,   275,   273,   270,   271,
     272,   274,   276,   278,   279,   266,   267,   268,   269,   289,
     290,   291,     0,   294,   288,   292,   293,   296,   297,   298,
     444,   445,   446,   448,   449,   447,     0,   442,   571,   567,
     565,   569,   570,   455,   456,     0,   453,   572,     0,   485,
     490,   491,   151,     0,   499,   520,     0,   501,   500,   505,
     506,     0,   519,   521,   493,   498,     0,   542,   549,   545,
     546,   547,   548,   544,     0,    63,    63,    63,    63,    63,
      63,     0,   488,    63,   488,    63,   884,    63,    63,  1097,
       0,   562,   559,   566,  1129,     0,  1135,  1125,     0,     0,
     151,   134,   135,   136,   138,   137,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,     0,     0,     0,   131,
     155,     0,   418,     0,     0,   343,     0,  1122,  1119,     0,
     411,   414,  1101,     0,  1100,     0,    10,    11,    12,   361,
     362,   902,   368,   373,   421,   424,   438,     0,     0,   390,
     369,   369,     0,     0,     0,   679,    18,    18,   711,   713,
       0,     0,     0,    18,     0,    18,   723,   689,     0,   656,
       0,     0,   677,   653,     0,     0,   675,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     710,     0,     0,     0,     0,     0,     0,     0,     0,   712,
       0,     0,   683,     0,   758,   773,     0,   778,   776,   768,
       0,   156,   157,   392,   158,   402,   396,   381,    18,   382,
     380,     0,   369,   369,   369,     0,     0,  1075,    22,  1084,
       0,    18,     0,    18,  1081,   253,  1073,  1144,  1137,  1098,
    1142,   426,  1154,  1149,   238,   231,     0,    26,   253,   310,
       0,     0,   119,   121,   307,   253,   281,   253,   253,   253,
     253,   309,     0,     0,   253,   253,   253,   253,   175,     0,
     170,   171,   253,   211,   218,   226,     0,     0,   253,     0,
     441,     0,   452,   486,   497,   504,   495,   496,   517,   518,
       0,   514,   515,   516,   510,   508,   509,   494,   507,   502,
     618,     0,     0,     0,     0,     0,     0,   891,   900,     0,
       0,   895,   898,     0,   893,     0,    63,     0,    63,     0,
       0,     0,  1109,  1126,     6,   160,   153,     0,   163,   150,
     149,   151,   253,     0,   428,   344,   346,     8,   410,   412,
     413,   415,   416,  1107,   349,   422,    63,   418,   436,   388,
       0,   588,   588,     0,   587,   581,     0,   626,   625,   620,
     621,     0,     0,     0,   698,     0,     0,   659,     0,     0,
     719,   718,     0,   708,     0,    23,     0,   657,   658,     0,
     654,   655,   722,   685,     0,     0,   702,     0,   697,   696,
     691,     0,   681,     0,   682,   694,   714,   693,   692,   721,
     695,   715,     0,   717,   690,   684,     0,     0,     0,     0,
       0,     0,    18,     0,   756,   737,     0,   775,   874,    18,
       0,    18,   793,     0,     0,   795,   785,    18,   781,     0,
     799,   875,     0,   401,   384,   906,     0,   921,   912,   914,
       0,     0,   920,   908,   909,     0,  1001,    18,     0,  1000,
     992,   993,     0,     0,  1052,  1052,     0,     0,  1052,  1040,
    1043,  1044,     0,  1047,  1071,  1072,  1074,     0,    56,    57,
    1076,  1079,  1078,  1077,     0,   315,   316,     0,   253,   312,
     313,   314,   311,   253,   253,     0,     0,  1096,     0,     0,
     253,  1092,  1094,     0,  1145,  1152,  1156,   234,     0,   322,
       0,   301,     0,     0,     0,     0,     0,     0,     0,   253,
     249,   253,     0,     0,   181,     0,     0,     0,     0,     0,
       0,    30,    31,     0,   443,   454,     0,   511,   512,     0,
     651,   648,   649,   650,   886,   885,   896,   899,   894,   897,
       0,   887,     0,   889,  1037,  1038,     0,   159,   152,     0,
     253,   166,   133,   419,     0,   423,   425,   386,   418,   582,
     606,   583,   610,   584,   586,   418,   622,   624,     0,   703,
     705,     0,     0,   663,     0,     0,     0,     0,     0,   661,
     706,   720,   707,   709,   678,   676,   701,   700,   686,   699,
     680,   716,     0,    18,    18,     0,     0,   744,   745,   746,
       0,   754,   418,   798,   786,     0,     0,    18,     0,   784,
       0,     0,    48,    47,   802,   797,   801,     0,     0,   791,
     783,     0,   809,   397,   398,   399,   400,    46,    45,   953,
     962,   911,   418,   910,     0,     0,   916,    18,   919,   418,
     997,   994,   996,   999,  1054,  1053,     0,     0,    21,  1056,
    1055,  1045,  1059,  1060,  1048,     0,  1042,  1085,     0,   253,
     253,   253,     0,     0,     0,   253,   342,     0,     0,   334,
     317,   319,     0,  1138,     0,     0,     0,    76,    87,    88,
      74,     0,    77,    78,     0,     0,    81,    82,    85,   126,
      83,     0,   100,   100,     0,     0,    86,   127,     0,   100,
     100,   100,     0,     0,   253,   304,   305,   303,   306,     0,
       0,   190,     0,   253,   188,   253,   184,     0,   253,   182,
     253,   253,     0,   295,   513,   539,   537,   538,   522,   525,
     529,   532,   535,   536,   523,   524,   526,   527,   528,   530,
     531,   533,   534,   540,   541,   503,   888,   890,   154,   161,
     167,    53,    54,    55,    51,    52,   420,   606,   604,   589,
       0,     0,   613,   645,     0,     0,     0,   667,   665,   666,
     669,   668,   670,     0,   660,   740,   739,     0,   749,   750,
     751,   747,   741,   742,   743,   752,    18,   877,   881,   788,
     789,   787,   790,   862,   823,   803,   862,   792,   876,   810,
     960,   959,   950,   966,   965,   973,   913,   975,   976,   983,
     915,   917,  1034,     0,  1050,  1049,  1046,  1057,     0,  1051,
      58,     0,     0,     0,   328,   253,   227,     0,   253,   253,
     253,     0,   253,   333,     0,  1155,     0,    27,   302,    75,
      79,    80,    84,    70,    68,    66,    65,    67,    69,    64,
      71,    93,     0,   110,    95,    91,   101,   111,     0,     0,
     112,   109,   120,   115,   116,   117,   118,   113,   122,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   589,     0,   609,   611,   612,     0,
     615,   643,   627,   704,   664,   671,   662,   738,   748,   875,
     879,   883,     0,     0,     0,   812,     0,   964,   948,   947,
     971,   981,  1032,  1002,   995,  1061,   327,   254,     0,   253,
     325,   168,     0,   331,   342,     0,     0,     0,     0,     0,
       0,     0,   320,  1151,  1153,     0,    89,    73,    72,     0,
       0,    72,   100,   100,     0,   102,   103,   104,   105,   106,
     100,   100,     0,   308,   205,   189,   187,     0,   253,   185,
     203,   183,     0,   253,   201,   253,   199,   198,   253,   196,
     608,     0,    18,     0,     0,     0,     0,     0,     0,   607,
     597,   458,   462,     0,   614,    18,   617,   628,   647,   878,
       0,   794,   865,   863,   866,    18,     0,    18,   800,     0,
     796,     0,     0,     0,     0,     0,     0,   808,   822,     0,
       0,     0,    18,    18,    18,   963,     0,     0,   952,   967,
     977,     0,  1036,     0,     0,     0,   253,   253,   177,   180,
     253,   335,   179,   215,   212,   213,   214,   219,     0,     0,
     330,   329,   253,   253,   253,   336,   253,    94,    92,     0,
      96,     0,     0,     0,     0,     0,   114,     0,     0,     0,
       0,     0,     0,     0,   463,   595,   459,     0,     0,     0,
     590,   594,   598,     0,   599,     0,   596,   464,   605,   616,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     646,     0,     0,     0,     0,    18,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    18,     0,     0,     0,     0,
       0,     0,     0,     0,   882,   861,     0,   867,     0,     0,
     806,   807,   805,   804,   816,   819,   820,   821,   813,   814,
       0,     0,   817,   811,     0,     0,   954,   955,   956,   961,
       0,     0,     0,     0,     0,     0,    18,     0,     0,     0,
       0,   938,   940,   951,     0,     0,     0,   970,     0,     0,
       0,   980,     0,     0,    18,    18,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1035,  1027,     0,     0,     0,     0,  1066,     0,   332,
     169,   326,   229,   181,     0,     0,   253,     0,     0,     0,
       0,     0,    90,     0,     0,    97,   108,   107,   204,   186,
     202,   253,   200,   253,   197,     0,     0,     0,     0,     0,
     600,   601,     0,     0,     0,     0,     0,     0,     0,     0,
     629,     0,   632,   633,   631,     0,     0,     0,     0,     0,
     638,   630,     0,     0,    18,   644,   831,   832,   833,   834,
     835,   836,   837,   838,   828,   869,   860,     0,     0,     0,
     855,   849,   850,   851,   825,   842,    18,     0,    18,    18,
     844,   824,   827,     0,     0,   829,    18,   826,     0,    18,
     880,   868,   864,   815,   818,   987,   987,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   925,    18,
       0,     0,     0,    18,     0,    18,     0,   949,     0,   985,
     969,   968,   974,   972,   979,   978,   984,   982,  1008,  1006,
    1025,     0,     0,     0,  1020,  1028,  1031,  1030,  1029,  1026,
    1003,     0,    18,    18,  1007,    18,     0,     0,     0,  1004,
    1005,    18,  1009,    18,    18,  1033,     0,     0,  1065,  1058,
    1062,   178,   253,   216,   220,   228,   341,     0,     0,     0,
       0,     0,     0,     0,     0,   457,   459,   591,   592,   593,
     602,   603,    59,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   461,     0,     0,   636,   637,   430,   429,
     639,   634,   635,   640,     0,   853,   852,   854,   857,   856,
     845,    18,     0,   858,   843,   841,   830,   840,   846,   839,
      18,   957,   958,     0,   944,   945,   946,   934,     0,   987,
       0,   924,     0,   927,   933,   987,   926,   928,   929,     0,
     942,   939,   943,   941,   986,  1018,  1019,  1021,  1014,  1024,
    1013,     0,  1022,  1017,  1015,  1016,  1010,  1011,  1012,     0,
       0,     0,   338,   339,   337,   340,    99,    98,   191,   253,
     460,   464,     0,     0,   464,   464,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   464,     0,     0,   641,
     642,   848,   871,   870,   847,   859,   988,   935,   936,   932,
     923,   922,   931,   930,  1023,  1064,  1063,     0,   469,   464,
     464,   471,   470,   472,   464,   464,   872,     0,   253,   467,
     468,   465,   466,   873,     0,   206
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1825, -1825, -1825, -1825,  -155,  -247,   -48,  -299,  -639, -1825,
    -127,  -130,  1373,  1391,  1404, -1825, -1825, -1825,  -153, -1825,
   -1825,  -238, -1183, -1161,  1758, -1825, -1825,   971, -1255,   -89,
    -170,   522,  -747, -1825,   981,   987,   988, -1825,   993,   764,
     526,   536,  -441,  -867,  -422,   773, -1825, -1825, -1825, -1825,
    1901, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825,  -895,  1145,   939,  1716,  1441,  1790, -1825,  1399, -1825,
   -1825, -1391, -1825,   468,  -157,  1500,   303, -1071, -1650,  2165,
   -1617, -1561,  1506,   311, -1825, -1825,  1517, -1825, -1825, -1825,
   -1825,  -341, -1825, -1825, -1034, -1825,  -123,  1023,    -3, -1825,
   -1825,   675,  1264,   857, -1045,   596, -1825,  -324, -1825,   158,
   -1825, -1825, -1825,   -50,   -94, -1825,  -726, -1825,  2009,  1620,
     -99,  -405,  2002, -1825,  -289, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825,  1195,  -619,  -525, -1825, -1825, -1697, -1825, -1825,
   -1825, -1825,   195, -1825,  1265,   225, -1825,  1256, -1135,   183,
   -1824, -1825,  -475, -1825, -1825, -1825, -1825, -1825,  -158, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
     859,  1828, -1825, -1825, -1825, -1825,  1198,   668, -1825, -1825,
   -1825,   794, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825,  1381,  1393, -1825, -1825,   780, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,   760,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825,   661, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825,   263, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825,   430,   417, -1825, -1825, -1825,
   -1825,   268,   414, -1825, -1825, -1825, -1825,   272,   425, -1742,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,  -414,   924,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,  1643,
   -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825,  1788,  1498, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825,  1246,  1831, -1825, -1825, -1825, -1825, -1825, -1825,
   -1825, -1825, -1825, -1825, -1825, -1264, -1825, -1825, -1825, -1825
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,    93,   611,   625,   612,  1624,   989,   398,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,  1449,  1812,   750,  1576,  1289,  1290,  2193,   237,
     529,  1672,  1763,  1510,  1511,  1512,  1513,  1521,  1514,  1673,
    1674,  1675,  1677,  1678,  1769,  1680,  1515,  1523,  1322,  1323,
     798,  1072,  1073,   172,   173,   174,    94,   593,    95,    96,
     936,   937,   938,  1147,  1032,  1033,   732,   920,   940,    97,
     592,  1369,  1370,  1740,   175,   434,  1853,   812,   435,   813,
     436,   437,   438,  1857,   439,  1858,   440,   441,  1742,   394,
     176,   395,   177,   178,   179,  1309,   180,   506,  1334,  1310,
    1491,  1492,   792,   793,  1371,  1648,    98,   600,    99,   278,
     960,   101,   102,   268,   279,   280,   357,   968,   645,   969,
     281,   737,   733,  1253,  1037,   103,   242,   243,   104,   964,
    1375,  1166,   965,  1061,  1062,   942,   943,  2060,   105,   106,
     638,   282,   527,   856,   857,   537,   865,   866,  1800,  2035,
    1801,  1802,  2049,  2200,    17,    18,    19,    20,   559,    21,
      22,    23,   545,  1117,  1118,   886,  1565,    24,   547,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,   215,
     583,    35,    36,    37,    38,    39,    40,    41,    42,    43,
     185,   541,   107,  1176,   970,   108,  1378,  1706,  1803,  1896,
    1705,  1579,  1379,  1381,  1582,  1710,  1806,  1383,    44,   109,
    1181,   971,   110,  1385,  1808,  1911,  1807,  1712,  1386,    45,
      46,    47,    48,   111,   680,   678,  1188,  1398,  1399,   112,
     328,   329,  1236,  1023,   709,  1024,   330,   264,   113,   114,
     721,   343,   344,   345,   346,   347,  1030,  1249,  1430,  1437,
    1435,  1436,  1723,  1819,  1250,  1725,  1829,  1251,  1936,  1722,
    1813,  1814,  1939,  2214,  2327,  2303,  1422,  1442,  1608,  1719,
    1810,  1721,  1423,    49,    50,    51,    52,    53,    54,    55,
      56,   901,   115,   630,   116,   117,  1265,  1454,  1455,  1042,
     118,  1452,  1974,  2124,  2126,  2237,  1838,  1837,  1729,  1453,
    1450,  1836,  1727,  1726,  1621,  1451,  1625,  1730,  1978,  2132,
    1839,  1626,  1629,  1731,  1982,  2136,  1840,  1630,  2130,  2231,
     265,   119,  1272,  1043,   120,  1459,  1842,  2003,  2149,  1841,
    1733,  1460,    57,    58,   121,   122,  1044,  1282,  1466,  1283,
    1471,  1474,  1637,  1638,  1843,  2008,  2169,   123,   124,   762,
     763,   368,   369,  1312,  1055,   765,    59,   382,   125,   619,
     247,   622,   580,   581,   126,   127,    60,    61,    62,    63,
      64,    65,   222,   590,   128,  1314,   383,   129,   388,   777,
    1656,  1494,  1316,   778,   130,   507,   131,    66,   132,   133
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     246,   181,   433,   626,   677,   679,   432,   800,   712,   403,
    1311,   396,   402,  1333,  1335,  1337,  1338,   530,   327,   966,
     342,  1308,   356,  1538,  1146,   367,  1533,  1472,  1085,   431,
     366,  1627,   430,   381,  1778,  1785,  1788,  1479,   380,   387,
     993,   781,  1757,  1761,  1488,   562,   584,   656,   782,   389,
     783,   620,   785,   786,   390,   674,   675,   283,   676,   284,
     990,   285,  2036,   331,   391,   389,   230,   358,  2116,   359,
     390,   360,   227,   361,     1,  1847,   605,  1456,   370,   371,
     391,   231,   658,  1434,  1848,  1849,  1090,  1091,  1757,  1761,
     400,   401,  1854,  1432,   624,   624,   595,  -165,   596,   602,
     212,   597,   400,   401,   603,  1432,  -165,  -165,  -165,  -165,
     660,  1294,   509,   510,   511,   512,   513,   401,  1308,  1447,
     606,   607,   608,   609,   749,  1855,  1815,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   674,   675,   523,   676,
     524,   408,   662,   425,   426,   137,   427,   673,   428,   425,
     426,  1090,  1091,   976,   428,   424,   509,   510,   511,   512,
     513,   100,  1295,  1296,  1297,  1298,  1299,  1300,  1301,  1302,
     706,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     715,  1856,   523,  1654,   639,   640,  1303,   602,   595,  1304,
     596,  -164,   603,   597,   725,  1587,   815,   816,   863,   542,
    -164,  -164,  -164,  -164,  1305,  1294,   213,   994,   665,   990,
     994,   509,   510,   511,   512,   513,   602,   701,   769,   598,
    2080,   603,   636,  2194,  2113,  1306,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   991,  2152,   523,   425,   426,
    1090,  1091,  1170,   428,   534,  2109,   525,   602,  1816,   864,
     666,   702,   603,   671,  1580,   249,  1295,  1296,  1297,  1298,
    1299,  1300,  1301,  1302,   615,  1817,   396,   694,   396,   602,
     396,   396,   341,  1417,   603,   703,   602,  1663,  1664,  1665,
    1303,   603,   602,  1304,   602,   713,  1655,   603,   716,   603,
    2144,   719,  1666,  1667,  1668,    67,   217,  1235,  1305,  1848,
    1849,  1090,  1091,   606,   607,   608,   609,   749,   553,   602,
     553,   963,  1149,   250,   603,  1848,  1849,  1090,  1091,  1306,
     651,   602,   602,  1154,  1050,  1570,   603,   603,   772,  1106,
     774,  1035,   657,   602,  1041,   602,  1308,   602,   603,  1687,
     603,  2114,   603,   606,   607,   608,   609,  1046,  1845,  2195,
     535,   234,   235,  1681,   974,   509,   510,   511,   512,   513,
    2201,   192,  2036,   947,  2232,  1854,  2117,   659,  1669,  1670,
     514,   515,   516,   517,   518,   519,   520,   521,   522,  1738,
    1150,   523,   995,   223,   991,   995,  2145,   652,   232,   784,
     894,   895,   896,   897,   898,   661,   899,   900,  1855,   903,
     905,   791,   907,   908,   560,  1588,  1818,   977,  2153,  1286,
     801,   802,   803,   804,   805,   806,  1473,   399,  2146,   621,
     509,   510,   511,   512,   513,   601,   814,   663,   543,   610,
     224,   902,  1346,   904,   916,   514,   515,   516,   517,   518,
     519,   520,   521,   522,  1418,  1039,   523,  1643,  1951,  1040,
     349,   616,  1107,   225,  1856,   624,  2012,  1048,   602,  1049,
     949,   613,  1693,   603,  1695,   561,   637,  1697,   955,  1700,
    1702,  1146,  1581,   509,   510,   511,   512,   513,   266,   606,
     607,   608,   609,   350,   351,   228,  2202,   352,   514,   515,
     516,   517,   518,   519,   520,   521,   522,  2309,   353,   523,
     641,  2107,   226,  2312,   267,  2094,   825,   826,   827,   828,
     829,   830,   831,   832,   833,   834,   835,   836,   837,   838,
    1051,  1628,  1480,   229,   992,  1539,  1540,   998,  1534,   952,
    1001,  1086,  1003,  1004,  2110,   233,  1779,  1786,  1789,   248,
     218,  1762,   392,  2111,   182,   183,  2215,  2216,   393,  1623,
     509,   510,   511,   512,   513,   234,   235,   251,   392,   538,
     539,   705,  1027,   406,   393,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   214,  1036,   523,  1850,   980,  1036,
     961,  1851,   910,  1036,   911,  1811,   602,  1770,   918,   599,
    1828,   603,   604,  1602,   967,  1186,   944,  1820,   683,  -165,
    1741,   946,   549,  -165,   348,  2147,   684,   606,   607,   608,
     609,  1308,   400,   401,   526,  1646,  1059,   403,  1060,   982,
     402,   984,  1603,  1604,  1063,  2175,   550,  1945,  2056,  2057,
     981,  2301,   819,   997,  2078,  2057,   429,  1099,   820,  1100,
    2081,  1005,  1092,  1007,    68,  1009,  1679,  1011,  1012,  1013,
    1014,  1015,  1016,  1679,  1018,   397,  1020,  1021,  1068,  1975,
    1052,   433,   433,   399,   407,  1976,  1025,   184,   432,  2159,
    1028,   996,   409,  1404,  1405,  1935,    69,  2148,   602,   817,
     604,   599,   540,   603,  1213,   755,    70,   551,    71,    72,
     404,   431,  1053,  -164,   430,  2161,   553,  -164,  2160,   606,
     607,   608,   609,  1045,  1391,  1308,  2002,  1878,   672,   604,
     236,    73,  1880,  1077,  1881,  1595,  2128,  1883,   536,   552,
    1057,   405,  1058,  1317,  1034,  1121,  1122,  1123,  1124,  1125,
    1126,   429,  1946,  1137,   602,  1139,   442,  1140,  1141,   603,
     604,  1101,   602,  1102,  1136,  2082,  1138,   603,  1650,   795,
     410,  1113,   182,   183,  1112,   606,   607,   608,   609,  1651,
    1977,  1221,   604,   606,   607,   608,   609,   411,   219,   604,
     220,   221,    74,  2058,    75,   604,    76,   604,    77,  2058,
      78,    79,  1979,    80,   821,  2142,  2057,  1937,   412,  1980,
     822,  2197,  2172,  1938,   413,    81,    82,    83,    84,    85,
      86,  1741,   604,  1607,  1892,  1082,  1357,  1083,  1850,  1358,
     668,  1359,  1308,  1308,   604,   604,   244,  1182,  1183,   628,
     629,   554,  1392,   245,  1596,  1189,   604,  1438,   604,  2015,
     604,  2059,  2016,   443,  1893,  1197,  1198,  2079,   414,  1200,
    1201,  1597,    87,   415,  1204,  1205,  1947,  1207,    88,  1169,
     796,  1211,  1153,  1577,    89,    90,   809,   810,   602,  2083,
    1583,  1467,  1222,   603,  1475,   186,   187,   190,   191,   234,
     235,  1237,  1180,   216,  1382,   184,  1175,  1179,   416,   606,
     607,   608,   609,  1981,   417,   756,   134,   418,   135,   136,
     137,   138,   139,   140,   141,  1871,  1872,  1292,   669,   687,
     688,   142,   143,  1874,  1875,   533,   144,  1598,  1599,  1894,
    1895,   674,   675,   555,   676,   757,   400,   401,   145,  1432,
     146,   147,  1078,   670,   758,  1428,  1759,  1622,  1185,  1187,
    2058,   188,   189,  1771,  1632,  1192,  1759,  1194,  1771,  2282,
    2283,   396,   528,  1264,  1271,  1281,  2297,  2298,  1263,  1270,
    1280,   604,   544,  1393,   238,  1394,   546,  1395,  1396,   548,
    2183,  1397,  2184,   910,  2222,  1163,  1360,   553,  1362,  1425,
    1426,   563,   148,   149,  1330,  1331,   564,  1469,   -62,   -62,
     403,   -62,  1308,   402,  2004,  2005,   150,   151,  2143,   565,
    1254,  2006,   582,   152,   153,   154,  1374,  1427,   155,  1108,
    1109,  1110,  1111,  1291,   156,  1293,  1497,  1571,  1572,   157,
    1573,  1605,  1498,  1499,  1500,  1501,   566,  1502,  1503,  1504,
     567,   401,  1505,  1447,  1506,  1507,   239,   240,   241,   568,
    1508,  1516,   569,  1593,   134,  1594,   135,   136,   137,   138,
     139,   140,   141,  1443,  1444,  1445,  1446,   531,   532,   142,
     143,   811,  1079,  2007,   144,   556,  2286,  2287,  2288,  2289,
    2290,   570,   759,   760,   761,   791,   145,   217,   146,   147,
     557,   558,  1324,   587,  1325,  1326,  1327,  1328,  1684,   604,
    1686,   588,   509,   510,   511,   512,   513,   591,  2261,  1340,
     589,  1433,   521,   522,   614,  1343,   523,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   594,  1614,   523,   691,
     692,  1127,   617,  1462,   431,   538,   539,   430,  1464,   618,
     148,   149,   419,   420,   421,   422,  1448,   623,  1128,   627,
    1448,   956,   957,   958,   150,   151,  2234,  2235,  2236,    91,
     631,   152,   153,   154,   950,   951,   155,   632,    92,  1830,
    1831,   633,   156,  1832,  1833,  1834,   887,   157,  1493,   634,
     509,   510,   511,   512,   513,  1129,   571,   850,   851,   852,
     635,   604,   642,   888,   643,   514,   515,   516,   517,   518,
     519,   520,   521,   522,  1419,   644,   523,  1470,   646,   853,
     854,  1424,   855,  1429,   509,   510,   511,   512,   513,  1439,
    2291,  2292,  2293,  2294,  2295,   204,  1074,  1075,  2317,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   647,  1461,
     523,   674,   675,   889,   676,  1047,   205,   604,   206,   207,
    1497,   572,   648,  1584,   649,   604,  1498,  1499,  1500,  1501,
     650,  1502,  1503,  1504,  1575,  1130,  1505,  1574,  1506,  1507,
    1159,  1160,   653,  1835,  1508,  1161,  1162,  2334,   654,   509,
     510,   511,   512,   513,  1347,  1348,   400,   746,   747,   748,
    1609,  1610,   667,  1612,   514,   515,   516,   517,   518,   519,
     520,   521,   522,  1617,   890,   523,  1618,   655,   208,   209,
     210,   211,   891,   892,   145,  1482,   146,   147,  1717,   681,
    1483,  1484,   664,   893,  2043,   726,   727,  1490,   682,  1747,
    1748,  1634,  1635,  1749,  1531,  1532,   685,   728,  1750,  1751,
    1639,   686,   729,  1536,  1537,   689,  1529,   693,  1530,  1591,
    1592,   674,   675,  2044,  1468,   235,   734,   134,   690,   135,
     136,   137,   138,   139,   140,   141,  1765,  1766,  1767,  1768,
    1900,   604,   142,   143,   696,  1753,  1671,   144,   695,  1901,
     697,  1433,   698,  1671,  1902,  1600,  1601,  1660,  1661,   145,
     699,   146,   147,   707,  1131,  1757,  1758,  1776,  1777,  1611,
     708,   158,  -323,   700,   431,  1132,   704,   430,   159,   710,
    1791,  1792,  1448,  1781,  1782,   717,  2045,   134,   711,   135,
     136,   137,   138,   139,   140,   141,  1887,  1888,   714,  1631,
    1804,   720,   142,   143,  1332,  1793,   718,   144,  2040,  2041,
    2052,  2053,   723,   148,   149,   419,   420,   421,   422,   145,
    2046,   146,   147,  2190,  2191,  2047,   724,   150,   151,  2198,
    2199,   736,   726,   727,   152,   153,   154,  2204,  2205,   155,
     738,  2048,  2026,  2027,   728,   156,   739,   740,  1133,   729,
     157,   741,  1794,  1795,   585,   586,  1796,  1797,   742,  1903,
     743,   744,  1798,   730,   751,  1517,  1641,   791,  1734,   731,
    1960,   745,  1647,   148,   149,   752,   753,   754,   768,   764,
     770,   771,  1708,  1134,  1135,   269,   766,   150,   151,   270,
     271,   773,   767,  1171,   152,   153,   154,   273,   775,   155,
     779,   776,   780,   787,   790,   156,   788,  1756,   794,   789,
     157,  1689,   797,  1764,   509,   510,   511,   512,   513,   158,
     523,   818,   573,   807,   808,   823,   159,   824,   858,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   859,  1890,
     523,  1904,  1905,   860,   274,   861,   862,   867,  1718,   275,
     869,   870,   906,   909,   912,  1906,  1907,  1908,   913,  1433,
     914,  1433,  1909,   917,   919,   574,   575,   576,   577,   578,
     579,   941,   945,   948,  1080,  1852,   954,   959,   962,   972,
     973,   975,   431,   983,   431,   430,   985,   430,   988,   978,
    1867,   979,   999,  1671,   986,  1671,  1172,  1173,  1000,  1961,
    1002,   987,  1008,  1006,  1962,  1017,  1026,  1010,  1019,   134,
    1022,   135,   136,   137,   138,   139,   140,   141,  1038,  1294,
     756,  1056,  1064,  1066,   142,   143,  1336,  1067,  1069,   144,
    1963,   624,  1891,  1070,  1084,  1744,  1745,  1746,  1238,  1490,
    1071,   145,  1087,   146,   147,  1089,  1096,  1097,  1663,  1664,
    1665,  1941,  1329,  1098,  1964,  1103,  1944,  1105,  1948,  1949,
    1120,  1952,  1119,  1666,  1667,  1668,  1965,  1143,  1151,  1155,
    1295,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1152,  1158,
    1164,  1167,  1165,  2154,  1252,  1195,  1524,  1168,  1184,  1509,
    1190,  1191,  1884,  1193,  1303,   148,   149,  1304,  1202,  1203,
    1206,  1287,  1208,  1209,  2022,  1288,  2023,  2024,  2025,   150,
     151,  1315,  1305,  1210,  1212,  1214,   152,   153,   154,  1215,
    1216,   155,  1799,  1217,  1218,  1239,  1219,   156,  1220,  1223,
    1224,  1225,   157,  1306,  1885,  2050,  1313,  1255,  2054,  1669,
    1670,  2061,  1284,  1318,  1320,  1285,  1321,  1899,  2074,  1341,
    1065,  1342,  1339,  1349,  2084,  2085,  1350,  1940,  1351,  1942,
    1352,  2091,  2092,  1353,  2095,  1354,  2097,  1355,  1361,  1356,
    1363,  1240,  1364,  2101,  1956,  1957,  1958,  1365,  1366,  1367,
    2187,  2188,  2189,  1372,  1373,  2103,  2104,  1966,  1967,  2105,
    2106,  1377,  1968,  1969,  1384,  1970,  2318,  1387,  1388,  2321,
    2322,  1389,  1390,  1971,  1972,  2211,  2212,  1413,  1412,  1910,
    2129,  2323,  1400,  1401,  2129,  1414,  1415,  1402,  2138,  1416,
    1448,  1441,   158,  1403,  2150,  1406,  1407,  1408,  1420,   159,
    1409,  1410,  1431,  2162,  2329,  2330,  1457,  2013,  1465,  2331,
    2332,  1411,  1421,  1440,  1458,  1241,  1463,  1852,  1852,  2018,
    2019,  2020,  1476,  2021,  1478,  1481,  1485,  2076,  1486,  1489,
    1174,  1495,  1542,  1242,  1496,  1243,  1535,  2090,  1541,  1244,
    1544,  1245,   624,   624,   624,  1246,  1247,  1566,  1567,  1569,
    2196,  1578,   158,  1585,  1589,  1606,  1613,  1586,  1615,   159,
    2206,  2207,  2208,  2209,  2210,  2299,  2300,   624,   624,  1590,
    1973,  1616,  1619,  1620,  1633,  2302,  1273,  2168,  2118,  1640,
    1649,  1652,  2217,  2218,  2219,  1653,  1657,  1658,  1659,  1662,
    1682,   509,   510,   511,   512,   513,  2139,  2140,  2225,  2226,
    1676,  1688,  1692,  2228,  1696,  1698,   514,   515,   516,   517,
     518,   519,   520,   521,   522,  1703,  2239,   523,  2241,   269,
    2243,  1707,  2245,   270,   271,  2247,  2248,   384,  1709,  1711,
    1713,   273,  1715,  2254,  2066,  2067,  2068,  2069,  2070,  2071,
    2072,  2073,  1720,  1714,  1728,  1737,  2255,  2256,  2257,  1732,
    1735,   509,   510,   511,   512,   513,  2258,  1755,  1754,  1760,
    1772,  2263,  2264,  2265,  1805,  1783,   514,   515,   516,   517,
     518,   519,   520,   521,   522,  1248,  2213,   523,   274,  1774,
    1775,  1780,  1846,   275,  1784,  1076,  2276,  2277,  1787,  1876,
    1873,  1877,  1844,  1862,  1863,  1864,  1865,  1879,  2220,  1882,
    2223,  2224,  1866,  1886,  1294,  1889,  1898,  1897,  2227,  1943,
    1950,  2229,  1954,  1953,   134,  1955,   135,   136,   137,   138,
     139,   140,   141,  2014,  1791,  2037,  2038,  2039,  2042,   142,
     143,  2246,  2017,  2028,   144,  2250,  1959,  2252,  2307,  2051,
    2009,  2031,  2033,  2308,  2029,  2310,   145,  2311,   146,   147,
    2010,  2030,  2032,  2055,  2313,  1295,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  2034,  2259,  2260,  2062,  2262,   509,   510,
     511,   512,   513,  2266,   158,  2267,  2268,  2063,  2064,  1303,
    1739,   159,  1304,   514,   515,   516,   517,   518,   519,   520,
     521,   522,  2065,  2077,   523,  2075,  2087,  1305,  2086,  2089,
     148,   149,  2088,  2096,  2093,  2100,  2099,  2098,  2112,  2102,
    2115,  2120,  2119,  2122,   150,   151,  2123,  2125,  1306,  2121,
    2127,   152,   153,   154,  2133,  1627,   155,  2137,  1791,  2271,
    2151,  2141,   156,  2304,  2155,  2156,  2163,   157,  2165,  2164,
    2315,  2316,  2306,   134,  2157,   135,   136,   137,   138,   139,
     140,   141,  2158,  1793,  2166,  2170,  2176,  2181,   142,   143,
    1694,  2192,  2167,   144,  2182,  2185,  2186,  2203,  2221,  2230,
    2233,  2238,  2240,  1821,  2242,   145,  2249,   146,   147,  2272,
    2273,   134,  1294,   135,   136,   137,   138,   139,   140,   141,
    2269,  2274,  2270,  2275,  2305,  2281,   142,   143,  1699,  2278,
    2284,   144,  2279,  2285,  2326,   509,   510,   511,   512,   513,
    1822,  2314,  2335,   145,  1114,   146,   147,  1823,  1477,  2328,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   148,
     149,   523,  1115,  1295,  1296,  1297,  1298,  1299,  1300,  1301,
    1302,  1869,  1683,   150,   151,  1116,  1870,  2296,  2319,  2320,
     152,   153,   154,  1685,  1868,   155,  1368,  1303,  2324,  2325,
    1304,   156,  2333,   884,  1518,  1568,   157,   148,   149,   939,
    1519,  1520,   799,  1104,  2011,  1305,  1522,  2173,  1093,  1148,
     444,   150,   151,   423,   385,  1094,  2174,  1752,   152,   153,
     154,  1487,  1319,   155,   386,   885,  1306,  1642,  1095,   156,
    1859,   839,  1029,   134,   157,   135,   136,   137,   138,   139,
     140,   141,   722,   735,  1824,  1825,  1826,  1345,   142,   143,
    1701,   445,  1376,   144,  1344,   840,   446,   841,   868,  2280,
    1380,  1704,  1790,  1716,  1199,   145,  1724,   146,   147,  2244,
    1809,   134,  1196,   135,   136,   137,   138,   139,   140,   141,
    2108,   842,  2251,  2131,  2135,  1636,   142,   143,  2253,   843,
     844,   144,   845,   846,  2134,     0,  1054,     0,  1142,   953,
     847,   848,   849,   145,     0,   146,   147,   915,     0,     0,
     447,   448,     0,   449,   450,   451,   452,   453,     0,   148,
     149,     0,  1081,     0,     0,     0,     0,     0,     4,     0,
       0,     0,     0,   150,   151,     0,     0,     5,     0,     0,
     152,   153,   154,     0,     0,   155,     0,     0,     0,     0,
       0,   156,     0,     0,     0,     0,   157,   148,   149,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     0,     0,
       0,   150,   151,     0,     0,     0,     0,     0,   152,   153,
     154,     0,  1088,   155,     0,     0,     0,     0,     0,   156,
       0,     0,     0,     8,   157,     0,     9,     0,    10,     0,
    1827,   921,   922,   923,   924,   925,   926,   927,   928,   929,
     454,   930,   931,   932,   933,   934,   935,     0,     0,     0,
       0,     0,     0,     0,     0,    11,  1307,     0,     0,    12,
       0,     0,     0,   444,    13,    14,     0,     0,  -318,   158,
     509,   510,   511,   512,   513,     0,   159,     0,     0,     0,
       0,     0,     0,     0,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,     0,     0,     0,
       0,     0,     0,   455,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,  1156,
       0,     0,     0,   509,   510,   511,   512,   513,     0,     0,
       0,     0,     0,     0,     0,     0,   466,   467,   514,   515,
     516,   517,   518,   519,   520,   521,   522,     0,     0,   523,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     509,   510,   511,   512,   513,     0,     0,    70,     0,    71,
      72,   468,   469,   470,   471,   514,   515,   516,   517,   518,
     519,   520,   521,   522,     0,     0,   523,     0,   158,   509,
     510,   511,   512,   513,     0,   159,     0,     0,     0,     0,
       0,     0,     0,     0,   514,   515,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,     0,     0,     0,   509,
     510,   511,   512,   513,  -164,     0,   158,     0,     0,     0,
       0,     0,     0,   159,   514,   515,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,     0,     0,     0,     0,
     472,   473,     0,   454,     0,     0,  1157,     0,     0,   269,
       0,     0,     0,   270,   271,   474,   475,  1177,     0,     0,
       0,   273,     0,     0,     0,     0,    81,    82,    83,    84,
      85,    86,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,     0,     0,     0,    15,    16,   455,     0,   274,     0,
       0,     0,     0,   275,     0,     0,     0,     0,     0,     0,
     504,   505,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,     0,     0,     0,     0,     0,     0,   158,   509,
     510,   511,   512,   513,     0,   159,     0,     0,     0,   466,
     467,     0,     0,     0,   514,   515,   516,   517,   518,   519,
     520,   521,   522,     0,     0,   523,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   158,   509,   510,   511,
     512,   513,     0,   159,   468,   469,   470,   471,     0,     0,
       0,     0,   514,   515,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   509,   510,   511,   512,   513,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   509,   510,   511,   512,   513,     0,     0,     0,     0,
       0,  1145,     0,     0,     0,     0,   514,   515,   516,   517,
     518,   519,   520,   521,   522,     0,     0,   523,     0,     0,
       0,     0,     0,   472,   473,   509,   510,   511,   512,   513,
       0,     0,     0,     0,     0,     0,     0,     0,   474,   475,
     514,   515,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,     0,     0,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   509,   510,   511,
     512,   513,     0,   504,   505,     0,     0,     0,     0,     0,
       0,  1525,   514,   515,   516,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   509,   510,   511,   512,   513,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     509,   510,   511,   512,   513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1526,   514,   515,   516,   517,   518,
     519,   520,   521,   522,  1178,     0,   523,   509,   510,   511,
     512,   513,     0,     0,     0,     0,     0,     0,     0,   252,
       0,     0,   514,   515,   516,   517,   518,   519,   520,   521,
     522,  1527,     0,   523,     0,   509,   510,   511,   512,   513,
       0,     0,     0,     0,     0,     0,  1983,     0,     0,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,     0,
    1528,   523,   509,   510,   511,   512,   513,     0,     0,   253,
       0,     0,     0,     0,     0,     0,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,     0,     0,   523,     0,
    1543,   509,   510,   511,   512,   513,  1273,     0,    70,     0,
      71,    72,     0,     0,     0,     0,   514,   515,   516,   517,
     518,   519,   520,   521,   522,     0,   254,   523,   509,   510,
     511,   512,   513,     0,     0,    70,     0,    71,    72,     0,
       0,   255,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   509,   510,   511,   512,   513,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,     0,
       0,   523,     0,  1791,  1984,     0,     0,     0,    70,     0,
      71,    72,     0,     0,     0,     0,     0,     0,     0,     0,
     269,     0,     0,     0,   270,   271,     0,     0,  1793,     0,
       0,     0,   273,     0,     0,     0,     0,    81,    82,    83,
      84,    85,    86,     0,     0,     0,     0,   269,   256,     0,
    1690,   270,   271,     0,     0,     0,     0,     0,     0,   273,
       0,     0,     0,     0,    81,    82,    83,    84,    85,    86,
       0,     0,     0,     0,  1985,     0,     0,  1986,  1987,   274,
       0,     0,     0,     0,   275,  1988,     0,     0,  1691,    70,
    1989,    71,    72,  1990,     0,     0,     0,     0,  1991,     0,
     269,   257,   258,     0,   270,   271,   274,   349,     0,     0,
       0,   275,   273,     0,     0,  1773,     0,    81,    82,    83,
      84,    85,    86,     0,   372,     0,  1256,  1992,     0,     0,
       0,   269,   259,     0,     0,   270,   271,     0,     0,     0,
     350,   351,  2171,   273,   352,     0,    70,   260,    71,    72,
    1993,     0,     0,     0,     0,   353,  1274,   261,     0,   274,
       0,   262,     0,     0,   275,     0,     0,   373,     0,     0,
       0,     0,     0,     0,     0,     0,  2177,     0,     0,     0,
       0,   269,     0,     0,     0,   270,   271,     0,     0,  1257,
     274,  1275,     0,   273,     0,   275,     0,     0,    81,    82,
      83,    84,    85,    86,   509,   510,   511,   512,   513,   263,
       0,     0,     0,  1994,     0,   193,   194,     0,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,     0,     0,     0,     0,     0,     0,     0,   269,     0,
     274,     0,   270,   271,   195,   275,  1266,     0,  2178,     0,
     273,   196,     0,     0,     0,    81,    82,    83,    84,    85,
      86,     0,     0,  1995,  1996,  1997,  1998,  1999,     0,  2000,
       0,   197,     0,   198,     0,  2179,    70,     0,    71,    72,
       0,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1645,     0,     0,     0,   200,   274,     0,     0,
     374,     0,   275,     0,     0,    70,     0,    71,    72,     0,
       0,  2180,     0,   332,   333,   334,   335,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1276,     0,     0,   354,
       0,  1226,  1277,     0,  1278,     0,  1144,     0,     0,     0,
       0,     0,     0,   336,     0,  2001,     0,     0,     0,     0,
     337,     0,     0,   338,     0,     0,   339,     0,     0,     0,
       0,     0,     0,     0,  1644,     0,   375,     0,   269,     0,
       0,     0,   270,   271,     0,     0,     0,     0,     0,     0,
     273,     0,     0,   201,     0,    81,    82,    83,    84,    85,
      86,  1736,   349,   286,   287,  1279,     0,   269,     0,     0,
    1227,   270,   271,     0,     0,   272,     0,     0,     0,   273,
       0,   376,   377,   378,    81,    82,    83,    84,    85,    86,
    1743,     0,   379,   288,     0,   350,   351,   274,     0,   352,
       0,     0,   275,     0,     0,     0,     0,     0,     0,     0,
     353,     0,   362,     0,     0,     0,     0,  1860,     0,     0,
       0,     0,     0,     0,   289,     0,   274,     0,     0,  1258,
    1259,   275,     0,  1260,     0,     0,     0,   202,  1261,     0,
       0,     0,     0,     0,  1861,   340,     0,     0,     0,     0,
       0,  1267,     0,   269,     0,     0,     0,   270,   271,     0,
     290,   291,   203,  1228,     0,   273,   363,     0,     0,  1912,
     292,   293,   294,   295,  1031,     0,   355,     0,     0,     0,
       0,     0,     0,   296,     0,     0,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   276,     0,     0,     0,     0,
    1268,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   274,     0,   364,     0,     0,   275,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,     0,     0,     0,
     299,     0,     0,   921,   922,   923,   924,   925,   926,   927,
     928,   929,     0,   930,   931,   932,   933,   934,   935,     0,
       0,     0,     0,  1229,     0,     0,   300,   301,     0,     0,
       0,   871,  1230,  1231,   302,   303,     0,   304,     0,  1232,
       0,     0,     0,  1233,     0,   400,   746,   747,   748,     0,
       0,   305,  1791,  1269,     0,     0,   306,     0,   307,     0,
     308,   309,     0,     0,   310,   311,   312,     0,     0,     0,
       0,     0,     0,   145,     0,   146,   147,  1793,     0,     0,
       0,   313,   314,     0,     0,     0,     0,   315,   316,     0,
       0,     0,     0,     0,     0,   317,     0,  1913,     0,   318,
       0,     0,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,  1545,   325,  1546,  1547,     0,     0,  1914,
       0,     0,     0,  1915,     0,     0,  1916,  1917,     0,     0,
     508,     0,     0,     0,  1918,   509,   510,   511,   512,   513,
       0,  1919,     0,     0,     0,     0,  1920,  1921,  1922,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   872,
     727,   523,     0,     0,     0,     0,     0,   873,     0,     0,
       0,   874,  -324,  -324,  -324,   875,     0,     0,   876,     0,
       0,     0,     0,   365,     0,     0,     0,  -324,  -324,  -324,
    -324,  -324,   519,   520,   521,   522,     0,   877,   523,  1923,
       0,     0,     0,     0,     0,     0,     0,     0,  1924,     0,
       0,     0,   277,   878,   879,   880,     0,   881,     0,   882,
     883,     0,  1548,  1549,  1550,  1551,  1552,  1553,     0,     0,
       0,  1234,     0,     0,  1925,     0,  1926,     0,  1927,  1928,
    1929,     0,     0,     0,     0,     0,  1930,     0,     0,     0,
       0,  1931,     0,     0,     0,     0,   509,   510,   511,   512,
     513,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
    1933,   514,   515,   516,   517,   518,   519,   520,   521,   522,
       0,     0,   523,     0,   509,   510,   511,  1554,  1555,  1556,
    1557,  1558,  1559,  1560,  1561,  1562,  1563,  1564,   326,   514,
     515,   516,   517,   518,   519,   520,   521,   522,     0,     0,
     523,   921,   922,   923,   924,   925,   926,   927,   928,   929,
       0,   930,   931,   932,   933,   934,   935,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1934
};

static const yytype_int16 yycheck[] =
{
      89,     4,   159,   250,   303,   304,   159,   412,   332,   139,
    1055,   134,   139,  1084,  1085,  1086,  1087,   187,   112,   638,
     114,  1055,   116,     7,   919,   124,     7,    59,     7,   159,
     124,    21,   159,   132,     7,     7,     7,    23,   132,   133,
     679,     7,    11,    12,  1308,   203,   216,    45,   389,    15,
     391,   143,   393,   394,    20,    17,    18,   107,    20,   109,
      43,   111,  1886,   113,    30,    15,   175,   117,   113,   119,
      20,   121,    75,   123,     4,     6,   231,  1260,   128,   129,
      30,   190,    45,  1244,    15,    16,    17,    18,    11,    12,
      17,    18,  1742,    20,   249,   250,    15,     6,    17,    15,
      37,    20,    17,    18,    20,    20,    15,    16,    17,    18,
      45,    20,     8,     9,    10,    11,    12,    18,  1152,    20,
      36,    37,    38,    39,   362,  1742,   232,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    17,    18,    34,    20,
      37,   144,    45,    15,    16,    17,    18,   302,    20,    15,
      16,    17,    18,    77,    20,   158,     8,     9,    10,    11,
      12,     3,    71,    72,    73,    74,    75,    76,    77,    78,
     325,    23,    24,    25,    26,    27,    28,    29,    30,    31,
     335,  1742,    34,   409,   273,   274,    95,    15,    15,    98,
      17,     6,    20,    20,   349,   124,    28,    29,   151,     3,
      15,    16,    17,    18,   113,    20,   143,    43,   297,    43,
      43,     8,     9,    10,    11,    12,    15,   251,   373,    46,
    1917,    20,   270,    46,   281,   134,    23,    24,    25,    26,
      27,    28,    29,    30,    31,   218,   266,    34,    15,    16,
      17,    18,   968,    20,    37,   113,   143,    15,   354,   202,
     298,   285,    20,   301,    32,   430,    71,    72,    73,    74,
      75,    76,    77,    78,    21,   371,   389,   315,   391,    15,
     393,   394,   114,   144,    20,   323,    15,     8,     9,    10,
      95,    20,    15,    98,    15,   333,   512,    20,   336,    20,
    1987,   339,    23,    24,    25,     0,    21,  1023,   113,    15,
      16,    17,    18,    36,    37,    38,    39,   545,    20,    15,
      20,   635,    20,   488,    20,    15,    16,    17,    18,   134,
     215,    15,    15,   942,    45,  1370,    20,    20,   376,    20,
     378,    37,   330,    15,   739,    15,  1370,    15,    20,  1522,
      20,   398,    20,    36,    37,    38,    39,   752,  1739,   172,
     143,    20,    21,  1514,   653,     8,     9,    10,    11,    12,
      46,     3,  2186,   610,  2106,  2015,   411,   330,    99,   100,
      23,    24,    25,    26,    27,    28,    29,    30,    31,  1643,
      88,    34,   218,     3,   218,   218,   148,   282,   497,   392,
     548,   549,   550,   551,   552,   330,   554,   555,  2015,   557,
     558,   404,   560,   561,   176,   334,   512,   331,   438,  1048,
     413,   414,   415,   416,   417,   418,   448,    31,   180,   511,
       8,     9,    10,    11,    12,   230,   429,   330,   232,   162,
      20,   143,    46,   143,   589,    23,    24,    25,    26,    27,
      28,    29,    30,    31,   315,   734,    34,  1481,   187,   738,
     113,   208,   143,    20,  2015,   610,  1847,   756,    15,   758,
     615,   236,  1533,    20,  1535,   237,   271,  1538,   623,  1540,
    1541,  1366,   250,     8,     9,    10,    11,    12,    20,    36,
      37,    38,    39,   146,   147,   508,   172,   150,    23,    24,
      25,    26,    27,    28,    29,    30,    31,  2239,   161,    34,
     275,   402,    20,  2245,    46,   187,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     241,   511,   508,   138,   507,   509,   510,   682,   509,   618,
     685,   510,   687,   688,   402,   160,   509,   509,   509,   166,
     265,   510,   508,   411,    20,    21,   374,   375,   514,   511,
       8,     9,    10,    11,    12,    20,    21,   150,   508,    20,
      21,   329,   717,    29,   514,    23,    24,    25,    26,    27,
      28,    29,    30,    31,   511,   730,    34,   508,   271,   734,
     630,   512,   510,   738,   512,   512,    15,   510,   591,   508,
    1725,    20,   508,   277,   642,   511,   599,   512,   273,   508,
    1645,   604,   152,   512,   511,   367,   281,    36,    37,    38,
      39,  1645,    17,    18,   511,   511,   771,   747,   773,   667,
     747,   669,   306,   307,   779,  2016,   176,   148,    61,    62,
     323,   512,   510,   681,    61,    62,   508,   510,   516,   512,
     148,   689,   508,   691,     3,   693,  1513,   695,   696,   697,
     698,   699,   700,  1520,   702,    31,   704,   705,   510,   411,
     381,   818,   819,    31,   130,   417,   714,   143,   821,   330,
     718,   507,    15,   507,   507,  1810,    35,   439,    15,   511,
     508,   508,   143,    20,  1008,    76,    45,   237,    47,    48,
     508,   821,   413,   508,   821,   373,    20,   512,   359,    36,
      37,    38,    39,   751,    82,  1739,  1841,  1778,   507,   508,
     175,    70,  1783,   510,  1785,   168,   410,  1788,   511,   269,
     768,   130,   770,  1064,   727,   895,   896,   897,   898,   899,
     900,   508,   253,   903,    15,   905,   216,   907,   908,    20,
     508,   510,    15,   512,   902,   253,   904,    20,    23,    29,
     511,   881,    20,    21,   881,    36,    37,    38,    39,    34,
     512,   507,   508,    36,    37,    38,    39,   511,   493,   508,
     495,   496,   131,   206,   133,   508,   135,   508,   137,   206,
     139,   140,   411,   142,   510,    61,    62,   371,   508,   418,
     516,  2046,   508,   377,   508,   154,   155,   156,   157,   158,
     159,  1846,   508,  1422,   148,   808,  1130,   810,   508,  1133,
     211,  1135,  1846,  1847,   508,   508,   485,   972,   973,   344,
     345,   145,   200,   492,   277,   980,   508,   384,   508,   510,
     508,   264,   513,   216,   178,   990,   991,   264,   508,   994,
     995,   294,   201,   508,   999,  1000,   367,  1002,   207,   512,
     130,  1006,   941,  1378,   213,   214,   509,   510,    15,   367,
    1385,  1275,  1017,    20,  1278,     6,     7,     8,     9,    20,
      21,  1026,   971,    14,  1173,   143,   970,   971,   508,    36,
      37,    38,    39,   512,   508,   276,    13,   508,    15,    16,
      17,    18,    19,    20,    21,  1762,  1763,  1052,   299,   285,
     286,    28,    29,  1770,  1771,     3,    33,   244,   245,   253,
     254,    17,    18,   237,    20,   306,    17,    18,    45,    20,
      47,    48,   510,   324,   315,   354,  1673,  1452,   976,   977,
     206,   199,   200,  1680,  1459,   983,  1683,   985,  1685,  2194,
    2195,  1064,    21,  1042,  1043,  1044,  2201,  2202,  1042,  1043,
    1044,   508,     3,   331,   139,   333,     3,   335,   336,   255,
    2031,   339,  2033,   510,   245,   512,  1136,    20,  1138,   354,
     355,     3,    99,   100,   509,   510,     3,  1276,    17,    18,
    1110,    20,  2016,  1110,   443,   444,   113,   114,   264,     3,
    1038,   450,    15,   120,   121,   122,  1166,   382,   125,    17,
      18,    19,    20,  1051,   131,  1053,    43,    17,    18,   136,
      20,  1416,    49,    50,    51,    52,     3,    54,    55,    56,
       3,    18,    59,    20,    61,    62,   211,   212,   213,     3,
      67,    68,     3,   510,    13,   512,    15,    16,    17,    18,
      19,    20,    21,   164,   165,   166,   167,   188,   189,    28,
      29,    30,   510,   512,    33,   379,   180,   181,   182,   183,
     184,     3,   453,   454,   455,  1068,    45,    21,    47,    48,
     394,   395,  1075,     3,  1077,  1078,  1079,  1080,  1519,   508,
    1521,     3,     8,     9,    10,    11,    12,    23,   245,  1092,
     430,  1244,    30,    31,   507,  1098,    34,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    20,  1431,    34,   297,
     298,     3,   507,  1268,  1244,    20,    21,  1244,  1273,   494,
      99,   100,   101,   102,   103,   104,  1256,   215,    20,    20,
    1260,    40,    41,    42,   113,   114,   421,   422,   423,   498,
     428,   120,   121,   122,   209,   210,   125,    46,   507,   408,
     409,    20,   131,   412,   413,   414,     3,   136,  1313,   511,
       8,     9,    10,    11,    12,    57,    77,   151,   152,   153,
     138,   508,   266,    20,   507,    23,    24,    25,    26,    27,
      28,    29,    30,    31,  1232,   511,    34,  1276,   507,   173,
     174,  1239,   176,  1241,     8,     9,    10,    11,    12,  1247,
     180,   181,   182,   183,   184,   152,   509,   510,  2279,    23,
      24,    25,    26,    27,    28,    29,    30,    31,   507,  1267,
      34,    17,    18,    70,    20,    21,   173,   508,   175,   176,
      43,   142,   511,  1388,   511,   508,    49,    50,    51,    52,
     511,    54,    55,    56,  1374,   137,    59,  1374,    61,    62,
      41,    42,   294,   512,    67,    41,    42,  2328,   507,     8,
       9,    10,    11,    12,    17,    18,    17,    18,    19,    20,
    1425,  1426,   166,  1428,    23,    24,    25,    26,    27,    28,
      29,    30,    31,  1438,   131,    34,  1441,    21,   235,   236,
     237,   238,   139,   140,    45,  1298,    47,    48,  1597,   266,
    1303,  1304,   283,   150,    46,   131,   132,  1310,   271,   121,
     122,  1466,  1467,   125,   509,   510,   271,   143,   130,   131,
    1475,   270,   148,   509,   510,   257,  1329,   297,  1331,   340,
     341,    17,    18,    75,    20,    21,   162,    13,   281,    15,
      16,    17,    18,    19,    20,    21,    63,    64,    65,    66,
      43,   508,    28,    29,   310,  1654,  1511,    33,   303,    52,
     257,  1514,   257,  1518,    57,  1413,  1414,    57,    58,    45,
     318,    47,    48,   507,   266,    11,    12,   509,   510,  1427,
     511,   508,   509,   316,  1514,   277,   327,  1514,   515,   507,
     170,   171,  1522,   509,   510,   138,   138,    13,   511,    15,
      16,    17,    18,    19,    20,    21,   244,   245,   137,  1457,
    1709,   330,    28,    29,    30,   195,   378,    33,   180,   181,
     261,   262,   507,    99,   100,   101,   102,   103,   104,    45,
     172,    47,    48,   180,   181,   177,   511,   113,   114,   178,
     179,    20,   131,   132,   120,   121,   122,   154,   155,   125,
     162,   193,  1874,  1875,   143,   131,   150,   507,   350,   148,
     136,   507,   242,   243,   218,   219,   246,   247,   511,   162,
     511,   511,   252,   162,   266,   512,  1479,  1480,  1633,   168,
      82,   511,  1485,    99,   100,   150,   507,   507,   166,   511,
     322,   150,  1581,   385,   386,   137,   511,   113,   114,   141,
     142,   271,   511,   145,   120,   121,   122,   149,   507,   125,
     271,   507,   507,    14,    31,   131,    15,  1672,    28,    15,
     136,  1524,    29,  1678,     8,     9,    10,    11,    12,   508,
      34,     7,   443,    15,   510,    15,   515,    15,     3,    23,
      24,    25,    26,    27,    28,    29,    30,    31,     3,  1796,
      34,   244,   245,     3,   196,     3,     3,     3,  1606,   201,
       3,     3,     3,     3,     3,   258,   259,   260,     3,  1722,
       3,  1724,   265,     3,   508,   486,   487,   488,   489,   490,
     491,   510,   507,   507,   510,  1742,   507,   197,    20,   271,
     271,   507,  1722,   308,  1724,  1722,   202,  1724,    32,   507,
    1755,   507,   271,  1758,   507,  1760,   248,   249,   271,   211,
     271,   507,   138,   271,   216,   218,   162,   507,   507,    13,
     507,    15,    16,    17,    18,    19,    20,    21,   169,    20,
     276,   507,    15,    46,    28,    29,    30,    15,   509,    33,
     242,  1796,  1797,   130,   510,  1648,  1649,  1650,   145,  1652,
      29,    45,   510,    47,    48,    15,   218,   218,     8,     9,
      10,  1816,   510,   508,   266,     3,  1821,    20,  1823,  1824,
       3,  1826,    20,    23,    24,    25,   278,     3,   507,   507,
      71,    72,    73,    74,    75,    76,    77,    78,   511,    21,
     507,   510,    29,  1992,   163,    20,   510,   507,   507,   512,
     507,   507,  1791,   507,    95,    99,   100,    98,   507,   507,
     507,    45,   507,   507,  1869,    15,  1871,  1872,  1873,   113,
     114,   511,   113,   507,   507,   507,   120,   121,   122,   507,
     507,   125,   512,   507,   507,   232,   507,   131,   507,   507,
     507,   507,   136,   134,  1792,  1900,   162,   507,  1903,    99,
     100,  1906,   507,    18,    29,   507,    29,  1805,  1913,    15,
     509,    15,   510,    34,  1919,  1920,     3,  1815,     3,  1817,
       3,  1926,  1927,     3,  1929,     3,  1931,     3,     3,    15,
       3,   278,     3,  1938,  1832,  1833,  1834,     3,   507,   509,
    2037,  2038,  2039,   509,    21,  1950,  1951,   399,   400,  1954,
    1955,   507,   404,   405,   507,   407,  2281,   507,   510,  2284,
    2285,   507,   507,   415,   416,  2062,  2063,   322,   267,   512,
    1975,  2296,   507,   507,  1979,   166,   305,   507,  1983,   150,
    1960,   387,   508,   507,  1989,   507,   507,   507,    52,   515,
     507,   507,   266,  1998,  2319,  2320,   152,  1850,   168,  2324,
    2325,   507,   507,   507,   507,   352,   507,  2014,  2015,  1862,
    1863,  1864,   507,  1866,    31,   508,    23,  1915,   508,   507,
     512,    31,    15,   370,    29,   372,   510,  1925,   510,   376,
      18,   378,  2037,  2038,  2039,   382,   383,     3,     3,   512,
    2045,   511,   508,   162,   338,   267,   511,   342,   511,   515,
    2055,  2056,  2057,  2058,  2059,  2204,  2205,  2062,  2063,   337,
     512,   511,   511,   511,   162,  2214,    43,  2006,  1966,    15,
      23,   510,  2077,  2078,  2079,   507,    15,    29,    53,    60,
     507,     8,     9,    10,    11,    12,  1984,  1985,  2093,  2094,
      33,   507,    30,  2098,    30,     7,    23,    24,    25,    26,
      27,    28,    29,    30,    31,   512,  2111,    34,  2113,   137,
    2115,    20,  2117,   141,   142,  2120,  2121,   145,   251,   511,
     507,   149,   235,  2128,   359,   360,   361,   362,   363,   364,
     365,   366,   511,   332,   511,   509,  2141,  2142,  2143,   511,
     511,     8,     9,    10,    11,    12,  2151,     7,   507,   510,
      69,  2156,  2157,  2158,   248,   508,    23,    24,    25,    26,
      27,    28,    29,    30,    31,   512,  2064,    34,   196,   509,
     509,   509,    97,   201,   509,   509,  2181,  2182,   509,    15,
      31,    30,   509,   508,   508,   508,   507,    30,  2086,     7,
    2088,  2089,   508,   511,    20,   245,   507,   511,  2096,   507,
     281,  2099,   411,   507,    13,   411,    15,    16,    17,    18,
      19,    20,    21,     7,   170,   246,   246,   246,   178,    28,
      29,  2119,   509,   509,    33,  2123,   507,  2125,  2233,   267,
     507,   510,   508,  2238,   509,  2240,    45,  2242,    47,    48,
     512,   509,   509,   263,  2249,    71,    72,    73,    74,    75,
      76,    77,    78,   509,  2152,  2153,   246,  2155,     8,     9,
      10,    11,    12,  2161,   508,  2163,  2164,   246,   266,    95,
     511,   515,    98,    23,    24,    25,    26,    27,    28,    29,
      30,    31,   507,   263,    34,   511,   391,   113,   266,   361,
      99,   100,   318,   389,   281,   507,   359,   381,   398,   507,
     403,   271,   401,   267,   113,   114,   251,   251,   134,   406,
     507,   120,   121,   122,   507,    21,   125,   507,   170,  2172,
     271,   263,   131,  2221,   318,   381,   435,   136,   507,   437,
    2269,  2270,  2230,    13,   271,    15,    16,    17,    18,    19,
      20,    21,   271,   195,   446,   507,   507,    31,    28,    29,
      30,    21,   445,    33,    31,   512,   507,   512,   392,   420,
     271,   271,   246,   215,   246,    45,   162,    47,    48,   507,
     507,    13,    20,    15,    16,    17,    18,    19,    20,    21,
     447,   507,   447,   507,   373,   507,    28,    29,    30,   509,
     507,    33,   510,   507,   368,     8,     9,    10,    11,    12,
     252,   373,   509,    45,   881,    47,    48,   259,  1287,   510,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    99,
     100,    34,   881,    71,    72,    73,    74,    75,    76,    77,
      78,  1759,  1518,   113,   114,   881,  1760,   507,   507,   507,
     120,   121,   122,  1520,  1758,   125,  1151,    95,   507,   507,
      98,   131,   507,   545,  1323,  1366,   136,    99,   100,   593,
    1323,  1323,   411,   872,  1846,   113,  1323,  2014,   818,   920,
       5,   113,   114,   158,   502,   819,  2015,  1652,   120,   121,
     122,  1308,  1068,   125,   512,   545,   134,  1480,   821,   131,
    1744,    57,   722,    13,   136,    15,    16,    17,    18,    19,
      20,    21,   343,   351,   356,   357,   358,  1101,    28,    29,
      30,    46,  1167,    33,  1099,    81,    51,    83,   540,  2186,
    1172,  1577,  1704,  1593,   993,    45,  1616,    47,    48,  2116,
    1719,    13,   989,    15,    16,    17,    18,    19,    20,    21,
    1960,   107,  2124,  1976,  1980,  1471,    28,    29,  2126,   115,
     116,    33,   118,   119,  1979,    -1,   763,    -1,   910,   621,
     126,   127,   128,    45,    -1,    47,    48,   586,    -1,    -1,
     105,   106,    -1,   108,   109,   110,   111,   112,    -1,    99,
     100,    -1,   509,    -1,    -1,    -1,    -1,    -1,   133,    -1,
      -1,    -1,    -1,   113,   114,    -1,    -1,   142,    -1,    -1,
     120,   121,   122,    -1,    -1,   125,    -1,    -1,    -1,    -1,
      -1,   131,    -1,    -1,    -1,    -1,   136,    99,   100,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,    -1,    -1,    -1,    -1,   120,   121,
     122,    -1,   509,   125,    -1,    -1,    -1,    -1,    -1,   131,
      -1,    -1,    -1,   198,   136,    -1,   201,    -1,   203,    -1,
     512,    79,    80,    81,    82,    83,    84,    85,    86,    87,
     205,    89,    90,    91,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,   512,    -1,    -1,   234,
      -1,    -1,    -1,     5,   239,   240,    -1,    -1,   507,   508,
       8,     9,    10,    11,    12,    -1,   515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    34,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   509,
      -1,    -1,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   311,   312,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    45,    -1,    47,
      48,   346,   347,   348,   349,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    34,    -1,   508,     8,
       9,    10,    11,    12,    -1,   515,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    34,    -1,    -1,    -1,     8,
       9,    10,    11,    12,   512,    -1,   508,    -1,    -1,    -1,
      -1,    -1,    -1,   515,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    34,    -1,    -1,    -1,    -1,
     425,   426,    -1,   205,    -1,    -1,   509,    -1,    -1,   137,
      -1,    -1,    -1,   141,   142,   440,   441,   145,    -1,    -1,
      -1,   149,    -1,    -1,    -1,    -1,   154,   155,   156,   157,
     158,   159,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,    -1,    -1,   499,   500,   268,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
     505,   506,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,    -1,    -1,    -1,    -1,    -1,   508,     8,
       9,    10,    11,    12,    -1,   515,    -1,    -1,    -1,   311,
     312,    -1,    -1,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,     8,     9,    10,
      11,    12,    -1,   515,   346,   347,   348,   349,    -1,    -1,
      -1,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,   509,    -1,    -1,    -1,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    34,    -1,    -1,
      -1,    -1,    -1,   425,   426,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,   441,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    34,    -1,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,     9,    10,
      11,    12,    -1,   505,   506,    -1,    -1,    -1,    -1,    -1,
      -1,   509,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   509,    23,    24,    25,    26,    27,
      28,    29,    30,    31,   512,    -1,    34,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
      -1,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      31,   509,    -1,    34,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    -1,    -1,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
     509,    34,     8,     9,    10,    11,    12,    -1,    -1,   194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    34,    -1,
     509,     8,     9,    10,    11,    12,    43,    -1,    45,    -1,
      47,    48,    -1,    -1,    -1,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,   241,    34,     8,     9,
      10,    11,    12,    -1,    -1,    45,    -1,    47,    48,    -1,
      -1,   256,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    34,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    34,    -1,   170,   171,    -1,    -1,    -1,    45,    -1,
      47,    48,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     137,    -1,    -1,    -1,   141,   142,    -1,    -1,   195,    -1,
      -1,    -1,   149,    -1,    -1,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,    -1,    -1,   137,   343,    -1,
     509,   141,   142,    -1,    -1,    -1,    -1,    -1,    -1,   149,
      -1,    -1,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,    -1,    -1,   241,    -1,    -1,   244,   245,   196,
      -1,    -1,    -1,    -1,   201,   252,    -1,    -1,   509,    45,
     257,    47,    48,   260,    -1,    -1,    -1,    -1,   265,    -1,
     137,   396,   397,    -1,   141,   142,   196,   113,    -1,    -1,
      -1,   201,   149,    -1,    -1,   509,    -1,   154,   155,   156,
     157,   158,   159,    -1,   214,    -1,    82,   294,    -1,    -1,
      -1,   137,   427,    -1,    -1,   141,   142,    -1,    -1,    -1,
     146,   147,   509,   149,   150,    -1,    45,   442,    47,    48,
     317,    -1,    -1,    -1,    -1,   161,   273,   452,    -1,   196,
      -1,   456,    -1,    -1,   201,    -1,    -1,   257,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   509,    -1,    -1,    -1,
      -1,   137,    -1,    -1,    -1,   141,   142,    -1,    -1,   145,
     196,   308,    -1,   149,    -1,   201,    -1,    -1,   154,   155,
     156,   157,   158,   159,     8,     9,    10,    11,    12,   504,
      -1,    -1,    -1,   380,    -1,   175,   176,    -1,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,
     196,    -1,   141,   142,   204,   201,   145,    -1,   509,    -1,
     149,   211,    -1,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   430,   431,   432,   433,   434,    -1,   436,
      -1,   231,    -1,   233,    -1,   509,    45,    -1,    47,    48,
      -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   256,   196,    -1,    -1,
     390,    -1,   201,    -1,    -1,    45,    -1,    47,    48,    -1,
      -1,   509,    -1,   350,   351,   352,   353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,   335,
      -1,    52,   449,    -1,   451,    -1,   507,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,   512,    -1,    -1,    -1,    -1,
     387,    -1,    -1,   390,    -1,    -1,   393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,    -1,   456,    -1,   137,    -1,
      -1,    -1,   141,   142,    -1,    -1,    -1,    -1,    -1,    -1,
     149,    -1,    -1,   343,    -1,   154,   155,   156,   157,   158,
     159,   507,   113,    47,    48,   512,    -1,   137,    -1,    -1,
     121,   141,   142,    -1,    -1,   145,    -1,    -1,    -1,   149,
      -1,   501,   502,   503,   154,   155,   156,   157,   158,   159,
     507,    -1,   512,    77,    -1,   146,   147,   196,    -1,   150,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,   211,    -1,    -1,    -1,    -1,   507,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   196,    -1,    -1,   415,
     416,   201,    -1,   419,    -1,    -1,    -1,   427,   424,    -1,
      -1,    -1,    -1,    -1,   507,   512,    -1,    -1,    -1,    -1,
      -1,   380,    -1,   137,    -1,    -1,    -1,   141,   142,    -1,
     144,   145,   452,   214,    -1,   149,   265,    -1,    -1,    57,
     154,   155,   156,   157,    20,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,   170,   171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   265,    -1,    -1,    -1,    -1,
     429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   196,    -1,   313,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
     214,    -1,    -1,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    -1,
      -1,    -1,    -1,   304,    -1,    -1,   240,   241,    -1,    -1,
      -1,     3,   313,   314,   248,   249,    -1,   251,    -1,   320,
      -1,    -1,    -1,   324,    -1,    17,    18,    19,    20,    -1,
      -1,   265,   170,   512,    -1,    -1,   270,    -1,   272,    -1,
     274,   275,    -1,    -1,   278,   279,   280,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    47,    48,   195,    -1,    -1,
      -1,   295,   296,    -1,    -1,    -1,    -1,   301,   302,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,   215,    -1,   313,
      -1,    -1,   316,   317,    -1,   319,    -1,   321,    -1,    -1,
      -1,   325,   326,    45,   328,    47,    48,    -1,    -1,   237,
      -1,    -1,    -1,   241,    -1,    -1,   244,   245,    -1,    -1,
       3,    -1,    -1,    -1,   252,     8,     9,    10,    11,    12,
      -1,   259,    -1,    -1,    -1,    -1,   264,   265,   266,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,   131,
     132,    34,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
      -1,   143,     8,     9,    10,   147,    -1,    -1,   150,    -1,
      -1,    -1,    -1,   512,    -1,    -1,    -1,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,   169,    34,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,
      -1,    -1,   512,   185,   186,   187,    -1,   189,    -1,   191,
     192,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
      -1,   512,    -1,    -1,   352,    -1,   354,    -1,   356,   357,
     358,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,
      -1,   369,    -1,    -1,    -1,    -1,     8,     9,    10,    11,
      12,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     388,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    34,    -1,     8,     9,    10,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   512,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   518,   519,   133,   142,   166,   167,   198,   201,
     203,   230,   234,   239,   240,   499,   500,   671,   672,   673,
     674,   676,   677,   678,   684,   686,   687,   688,   689,   690,
     691,   692,   693,   694,   695,   698,   699,   700,   701,   702,
     703,   704,   705,   706,   725,   736,   737,   738,   739,   790,
     791,   792,   793,   794,   795,   796,   797,   849,   850,   873,
     883,   884,   885,   886,   887,   888,   904,     0,     3,    35,
      45,    47,    48,    70,   131,   133,   135,   137,   139,   140,
     142,   154,   155,   156,   157,   158,   159,   201,   207,   213,
     214,   498,   507,   520,   573,   575,   576,   586,   623,   625,
     626,   628,   629,   642,   645,   655,   656,   709,   712,   726,
     729,   740,   746,   755,   756,   799,   801,   802,   807,   838,
     841,   851,   852,   864,   865,   875,   881,   882,   891,   894,
     901,   903,   905,   906,    13,    15,    16,    17,    18,    19,
      20,    21,    28,    29,    33,    45,    47,    48,    99,   100,
     113,   114,   120,   121,   122,   125,   131,   136,   508,   515,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   570,   571,   572,   591,   607,   609,   610,   611,
     613,   615,    20,    21,   143,   707,   707,   707,   199,   200,
     707,   707,     3,   175,   176,   204,   211,   231,   233,   241,
     256,   343,   427,   452,   152,   173,   175,   176,   235,   236,
     237,   238,    37,   143,   511,   696,   707,    21,   265,   493,
     495,   496,   889,     3,    20,    20,    20,   615,   508,   138,
     175,   190,   497,   160,    20,    21,   175,   546,   139,   211,
     212,   213,   643,   644,   485,   492,   546,   877,   166,   430,
     488,   150,   144,   194,   241,   256,   343,   396,   397,   427,
     442,   452,   456,   504,   754,   837,    20,    46,   630,   137,
     141,   142,   145,   149,   196,   201,   265,   512,   626,   631,
     632,   637,   658,   630,   630,   630,    47,    48,    77,   108,
     144,   145,   154,   155,   156,   157,   167,   170,   171,   214,
     240,   241,   248,   249,   251,   265,   270,   272,   274,   275,
     278,   279,   280,   295,   296,   301,   302,   309,   313,   316,
     317,   319,   321,   325,   326,   328,   512,   631,   747,   748,
     753,   630,   350,   351,   352,   353,   380,   387,   390,   393,
     512,   626,   631,   758,   759,   760,   761,   762,   511,   113,
     146,   147,   150,   161,   335,   512,   631,   633,   630,   630,
     630,   630,   211,   265,   313,   512,   631,   637,   868,   869,
     630,   630,   214,   257,   390,   456,   501,   502,   503,   512,
     631,   637,   874,   893,   145,   502,   512,   631,   895,    15,
      20,    30,   508,   514,   606,   608,   613,    31,   526,    31,
      17,    18,   527,   528,   508,   130,    29,   130,   615,    15,
     511,   511,   508,   508,   508,   508,   508,   508,   508,   101,
     102,   103,   104,   596,   615,    15,    16,    18,    20,   508,
     527,   528,   535,   591,   592,   595,   597,   598,   599,   601,
     603,   604,   216,   216,     5,    46,    51,   105,   106,   108,
     109,   110,   111,   112,   205,   268,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   311,   312,   346,   347,
     348,   349,   425,   426,   440,   441,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   505,   506,   614,   902,     3,     8,
       9,    10,    11,    12,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    34,    37,   143,   511,   659,    21,   547,
     547,   707,   707,     3,    37,   143,   511,   662,    20,    21,
     143,   708,     3,   232,     3,   679,     3,   685,   255,   152,
     176,   237,   269,    20,   145,   237,   379,   394,   395,   675,
     176,   237,   675,     3,     3,     3,     3,     3,     3,     3,
       3,    77,   142,   443,   486,   487,   488,   489,   490,   491,
     879,   880,    15,   697,   547,   889,   889,     3,     3,   430,
     890,    23,   587,   574,    20,    15,    17,    20,    46,   508,
     624,   659,    15,    20,   508,   521,    36,    37,    38,    39,
     162,   521,   523,   662,   507,    21,   208,   507,   494,   876,
     143,   511,   878,   215,   521,   522,   522,    20,   344,   345,
     800,   428,    46,    20,   511,   138,   523,   659,   657,   546,
     546,   662,   266,   507,   511,   635,   507,   507,   511,   511,
     511,   215,   282,   294,   507,    21,    45,   330,    45,   330,
      45,   330,    45,   330,   283,   546,   523,   166,   211,   299,
     324,   523,   507,   521,    17,    18,    20,   524,   742,   524,
     741,   266,   271,   273,   281,   271,   270,   285,   286,   257,
     281,   297,   298,   297,   523,   303,   310,   257,   257,   318,
     316,   251,   285,   523,   327,   329,   521,   507,   511,   751,
     507,   511,   624,   523,   137,   521,   523,   138,   378,   523,
     330,   757,   635,   507,   511,   521,   131,   132,   143,   148,
     162,   168,   583,   639,   162,   639,    20,   638,   162,   150,
     507,   507,   511,   511,   511,   511,    18,    19,    20,   538,
     541,   266,   150,   507,   507,    76,   276,   306,   315,   453,
     454,   455,   866,   867,   511,   872,   511,   511,   166,   521,
     322,   150,   523,   271,   523,   507,   507,   896,   900,   271,
     507,     7,   608,   608,   615,   608,   608,    14,    15,    15,
      31,   615,   619,   620,    28,    29,   130,    29,   567,   567,
     638,   615,   615,   615,   615,   615,   615,    15,   510,   509,
     510,    30,   594,   596,   615,    28,    29,   511,     7,   510,
     516,   510,   516,    15,    15,   615,   615,   615,   615,   615,
     615,   615,   615,   615,   615,   615,   615,   615,   615,    57,
      81,    83,   107,   115,   116,   118,   119,   126,   127,   128,
     151,   152,   153,   173,   174,   176,   660,   661,     3,     3,
       3,     3,     3,   151,   202,   663,   664,     3,   708,     3,
       3,     3,   131,   139,   143,   147,   150,   169,   185,   186,
     187,   189,   191,   192,   541,   583,   682,     3,    20,    70,
     131,   139,   140,   150,   675,   675,   675,   675,   675,   675,
     675,   798,   143,   675,   143,   675,     3,   675,   675,     3,
     510,   512,     3,     3,     3,   890,   521,     3,   615,   508,
     584,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      89,    90,    91,    92,    93,    94,   577,   578,   579,   581,
     585,   510,   652,   653,   615,   507,   615,   522,   507,   521,
     209,   210,   546,   879,   507,   521,    40,    41,    42,   197,
     627,   630,    20,   624,   646,   649,   650,   523,   634,   636,
     711,   728,   271,   271,   524,   507,    77,   331,   507,   507,
     271,   323,   523,   308,   523,   202,   507,   507,    32,   525,
      43,   218,   507,   525,    43,   218,   507,   523,   521,   271,
     271,   521,   271,   521,   521,   523,   271,   523,   138,   523,
     507,   523,   523,   523,   523,   523,   523,   218,   523,   507,
     523,   523,   507,   750,   752,   523,   162,   521,   523,   636,
     763,    20,   581,   582,   615,    37,   521,   641,   169,   641,
     641,   638,   806,   840,   853,   523,   638,    21,   524,   524,
      45,   241,   381,   413,   866,   871,   507,   523,   523,   521,
     521,   650,   651,   521,    15,   509,    46,    15,   510,   509,
     130,    29,   568,   569,   509,   510,   509,   510,   510,   510,
     510,   509,   615,   615,   510,     7,   510,   510,   509,    15,
      17,    18,   508,   592,   599,   603,   218,   218,   508,   510,
     512,   510,   512,     3,   582,    20,    20,   143,    17,    18,
      19,    20,   527,   528,   529,   530,   531,   680,   681,    20,
       3,   547,   547,   547,   547,   547,   547,     3,    20,    57,
     137,   266,   277,   350,   385,   386,   675,   547,   675,   547,
     547,   547,   880,     3,   507,   509,   578,   580,   585,    20,
      88,   507,   511,   546,   650,   507,   509,   509,    21,    41,
      42,    41,    42,   512,   507,    29,   648,   510,   507,   512,
     633,   145,   248,   249,   512,   631,   710,   145,   512,   631,
     637,   727,   521,   521,   507,   523,   511,   523,   743,   521,
     507,   507,   523,   507,   523,    20,   742,   521,   521,   741,
     521,   521,   507,   507,   521,   521,   507,   521,   507,   507,
     507,   521,   507,   624,   507,   507,   507,   507,   507,   507,
     507,   507,   521,   507,   507,   507,    52,   121,   214,   304,
     313,   314,   320,   324,   512,   633,   749,   521,   145,   232,
     278,   352,   370,   372,   376,   378,   382,   383,   512,   764,
     771,   774,   163,   640,   523,   507,    82,   145,   415,   416,
     419,   424,   512,   631,   637,   803,   145,   380,   429,   512,
     631,   637,   839,    43,   273,   308,   443,   449,   451,   512,
     631,   637,   854,   856,   507,   507,   525,    45,    15,   543,
     544,   523,   521,   523,    20,    71,    72,    73,    74,    75,
      76,    77,    78,    95,    98,   113,   134,   512,   611,   612,
     616,   621,   870,   162,   892,   511,   899,   608,    18,   619,
      29,    29,   565,   566,   615,   615,   615,   615,   615,   510,
     509,   510,    30,   594,   615,   594,    30,   594,   594,   510,
     615,    15,    15,   615,   661,   664,    46,    17,    18,    34,
       3,     3,     3,     3,     3,     3,    15,   624,   624,   624,
     547,     3,   547,     3,     3,     3,   507,   509,   579,   588,
     589,   621,   509,    21,   547,   647,   649,   507,   713,   719,
     713,   720,   524,   724,   507,   730,   735,   507,   510,   507,
     507,    82,   200,   331,   333,   335,   336,   339,   744,   745,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   267,   322,   166,   305,   150,   144,   315,   523,
      52,   507,   783,   789,   523,   354,   355,   382,   354,   523,
     765,   266,    20,   535,   540,   767,   768,   766,   384,   523,
     507,   387,   784,   164,   165,   166,   167,    20,   528,   539,
     817,   822,   808,   816,   804,   805,   539,   152,   507,   842,
     848,   523,   521,   507,   521,   168,   855,   855,    20,   524,
     546,   857,    59,   448,   858,   855,   507,   544,    31,    23,
     508,   508,   615,   615,   615,    23,   508,   614,   902,   507,
     615,   617,   618,   521,   898,    31,    29,    43,    49,    50,
      51,    52,    54,    55,    56,    59,    61,    62,    67,   512,
     550,   551,   552,   553,   555,   563,    68,   512,   551,   552,
     553,   554,   555,   564,   510,   509,   509,   509,   509,   615,
     615,   509,   510,     7,   509,   510,   509,   510,     7,   509,
     510,   510,    15,   509,    18,    45,    47,    48,   154,   155,
     156,   157,   158,   159,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   683,     3,     3,   580,   512,
     621,    17,    18,    20,   527,   528,   542,   651,   511,   718,
      32,   250,   721,   651,   521,   162,   342,   124,   334,   338,
     337,   340,   341,   510,   512,   168,   277,   294,   244,   245,
     523,   523,   277,   306,   307,   638,   267,   650,   785,   521,
     521,   523,   521,   511,   624,   511,   511,   521,   521,   511,
     511,   821,   651,   511,   524,   823,   828,    21,   511,   829,
     834,   523,   651,   162,   521,   521,   856,   859,   860,   521,
      15,   615,   620,   611,   507,    96,   511,   615,   622,    23,
      23,    34,   510,   507,   409,   512,   897,    15,    29,    53,
      57,    58,    60,     8,     9,    10,    23,    24,    25,    99,
     100,   521,   548,   556,   557,   558,    33,   559,   560,   560,
     562,   540,   507,   556,   559,   562,   559,   539,   507,   615,
     509,   509,    30,   594,    30,   594,    30,   594,     7,    30,
     594,    30,   594,   512,   718,   717,   714,    20,   546,   251,
     722,   511,   734,   507,   332,   235,   745,   524,   523,   786,
     511,   788,   776,   769,   776,   772,   820,   819,   511,   815,
     824,   830,   511,   847,   521,   511,   507,   509,   902,   511,
     590,   621,   605,   507,   615,   615,   615,   121,   122,   125,
     130,   131,   618,   524,   507,     7,   521,    11,    12,   549,
     510,    12,   510,   549,   521,    63,    64,    65,    66,   561,
     510,   549,    69,   509,   509,   509,   509,   510,     7,   509,
     509,   509,   510,   508,   509,     7,   509,   509,     7,   509,
     714,   170,   171,   195,   242,   243,   246,   247,   252,   512,
     665,   667,   668,   715,   524,   248,   723,   733,   731,   784,
     787,   512,   540,   777,   778,   232,   354,   371,   512,   770,
     512,   215,   252,   259,   356,   357,   358,   512,   665,   773,
     408,   409,   412,   413,   414,   512,   818,   814,   813,   827,
     833,   846,   843,   861,   509,   588,    97,     6,    15,    16,
     508,   512,   591,   593,   595,   597,   598,   600,   602,   622,
     507,   507,   508,   508,   508,   507,   508,   521,   558,   548,
     557,   560,   560,    31,   560,   560,    15,    30,   594,    30,
     594,   594,     7,   594,   546,   523,   511,   244,   245,   245,
     522,   521,   148,   178,   253,   254,   716,   511,   507,   523,
      43,    52,    57,   162,   244,   245,   258,   259,   260,   265,
     512,   732,    57,   215,   237,   241,   244,   245,   252,   259,
     264,   265,   266,   317,   326,   352,   354,   356,   357,   358,
     364,   369,   380,   388,   512,   665,   775,   371,   377,   779,
     523,   521,   523,   507,   521,   148,   253,   367,   521,   521,
     281,   187,   521,   507,   411,   411,   523,   523,   523,   507,
      82,   211,   216,   242,   266,   278,   399,   400,   404,   405,
     407,   415,   416,   512,   809,   411,   417,   512,   825,   411,
     418,   512,   831,    43,   171,   241,   244,   245,   252,   257,
     260,   265,   294,   317,   380,   430,   431,   432,   433,   434,
     436,   512,   665,   844,   443,   444,   450,   512,   862,   507,
     512,   590,   588,   615,     7,   510,   513,   509,   615,   615,
     615,   615,   521,   521,   521,   521,   561,   561,   509,   509,
     509,   510,   509,   508,   509,   666,   667,   246,   246,   246,
     180,   181,   178,    46,    75,   138,   172,   177,   193,   669,
     521,   267,   261,   262,   521,   263,    61,    62,   206,   264,
     654,   521,   246,   246,   266,   507,   359,   360,   361,   362,
     363,   364,   365,   366,   521,   511,   523,   263,    61,   264,
     654,   148,   253,   367,   521,   521,   266,   391,   318,   361,
     523,   521,   521,   281,   187,   521,   389,   521,   381,   359,
     507,   521,   507,   521,   521,   521,   521,   402,   822,   113,
     402,   411,   398,   281,   398,   403,   113,   411,   523,   401,
     271,   406,   267,   251,   810,   251,   811,   507,   410,   521,
     835,   823,   826,   507,   835,   829,   832,   507,   521,   523,
     523,   263,    61,   264,   654,   148,   180,   367,   439,   845,
     521,   271,   266,   438,   524,   318,   381,   271,   271,   330,
     359,   373,   521,   435,   437,   507,   446,   445,   546,   863,
     507,   509,   508,   593,   600,   588,   507,   509,   509,   509,
     509,    31,    31,   594,   594,   512,   507,   522,   522,   522,
     180,   181,    21,   545,    46,   172,   521,   545,   178,   179,
     670,    46,   172,   512,   154,   155,   521,   521,   521,   521,
     521,   522,   522,   523,   780,   374,   375,   521,   521,   521,
     523,   392,   245,   523,   523,   521,   521,   523,   521,   523,
     420,   836,   836,   271,   421,   422,   423,   812,   271,   521,
     246,   521,   246,   521,   812,   521,   523,   521,   521,   162,
     523,   828,   523,   834,   521,   521,   521,   521,   521,   523,
     523,   245,   523,   521,   521,   521,   523,   523,   523,   447,
     447,   615,   507,   507,   507,   507,   521,   521,   509,   510,
     666,   507,   545,   545,   507,   507,   180,   181,   182,   183,
     184,   180,   181,   182,   183,   184,   507,   545,   545,   524,
     524,   512,   524,   782,   523,   373,   523,   521,   521,   836,
     521,   521,   836,   521,   373,   546,   546,   594,   669,   507,
     507,   669,   669,   669,   507,   507,   368,   781,   510,   669,
     669,   669,   669,   507,   594,   509
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   517,   518,   518,   519,   519,   520,   521,   521,   521,
     522,   522,   522,   523,   523,   523,   523,   523,   523,   524,
     524,   524,   525,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   535,   536,   536,   537,   537,   538,
     538,   538,   538,   538,   538,   539,   539,   540,   540,   541,
     541,   542,   542,   542,   542,   542,   543,   544,   544,   545,
     546,   546,   547,   547,   548,   548,   548,   548,   548,   548,
     548,   548,   549,   549,   550,   550,   550,   550,   550,   550,
     550,   550,   550,   551,   552,   553,   554,   555,   555,   556,
     556,   556,   556,   557,   557,   558,   558,   559,   559,   559,
     560,   560,   561,   561,   561,   561,   562,   562,   562,   563,
     563,   563,   563,   564,   564,   564,   564,   564,   564,   565,
     565,   566,   566,   567,   568,   569,   570,   571,   572,   572,
     574,   573,   575,   576,   577,   577,   577,   577,   577,   577,
     577,   577,   577,   577,   577,   577,   577,   577,   577,   577,
     578,   579,   579,   580,   580,   581,   582,   582,   583,   584,
     584,   585,   587,   586,   588,   588,   589,   589,   590,   590,
     591,   591,   592,   592,   592,   592,   592,   593,   593,   593,
     593,   594,   595,   595,   595,   595,   595,   595,   595,   595,
     595,   595,   596,   596,   596,   596,   597,   597,   597,   598,
     598,   598,   598,   598,   598,   598,   598,   599,   599,   599,
     599,   599,   600,   600,   600,   600,   600,   601,   601,   602,
     602,   603,   603,   603,   603,   604,   604,   605,   605,   605,
     606,   606,   607,   608,   608,   608,   608,   608,   608,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   610,
     610,   610,   610,   611,   612,   613,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   615,   615,   615,   615,   615,
     615,   615,   615,   615,   615,   615,   615,   615,   615,   615,
     615,   615,   615,   615,   615,   615,   615,   615,   615,   615,
     615,   615,   615,   615,   615,   615,   615,   615,   615,   615,
     615,   615,   615,   615,   615,   615,   615,   615,   615,   615,
     615,   616,   616,   616,   616,   616,   616,   617,   618,   618,
     618,   619,   619,   620,   620,   621,   621,   621,   621,   621,
     621,   621,   621,   621,   621,   621,   621,   621,   621,   621,
     621,   621,   622,   623,   623,   624,   624,   624,   624,   625,
     626,   626,   626,   626,   626,   626,   626,   626,   626,   626,
     627,   627,   628,   629,   629,   630,   630,   630,   630,   631,
     631,   631,   631,   631,   631,   631,   632,   633,   633,   633,
     633,   633,   633,   633,   633,   634,   634,   635,   635,   636,
     637,   638,   639,   639,   639,   639,   640,   640,   640,   640,
     640,   641,   641,   642,   642,   643,   643,   643,   643,   644,
     644,   644,   644,   644,   644,   644,   644,   645,   646,   647,
     647,   648,   648,   649,   650,   650,   651,   652,   653,   654,
     654,   655,   656,   656,   656,   656,   656,   657,   658,   659,
     659,   659,   660,   660,   661,   661,   661,   661,   661,   661,
     662,   662,   662,   663,   663,   664,   664,   665,   665,   666,
     666,   667,   667,   668,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   671,   672,   673,   674,   675,   675,   676,
     677,   678,   679,   679,   679,   679,   679,   679,   679,   679,
     679,   679,   679,   679,   679,   679,   679,   680,   680,   680,
     680,   680,   680,   680,   680,   681,   681,   681,   681,   682,
     682,   682,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   684,   685,   685,   685,   685,   685,   685,   685,
     686,   687,   688,   689,   690,   691,   692,   693,   694,   695,
     696,   696,   696,   697,   697,   698,   699,   700,   701,   702,
     703,   704,   705,   706,   707,   707,   707,   708,   708,   708,
     709,   710,   710,   710,   710,   711,   711,   712,   713,   714,
     715,   715,   715,   715,   715,   715,   715,   715,   716,   716,
     716,   716,   716,   716,   717,   717,   718,   718,   719,   720,
     721,   721,   721,   722,   722,   723,   723,   724,   725,   726,
     727,   727,   727,   728,   728,   729,   730,   731,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   733,   733,   734,   734,   735,   736,   737,
     738,   739,   740,   741,   741,   741,   742,   742,   742,   743,
     743,   744,   744,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   748,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   750,   750,   751,   751,   752,   753,   754,
     754,   754,   755,   756,   756,   757,   757,   758,   759,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     761,   762,   763,   763,   764,   764,   764,   764,   764,   764,
     764,   764,   764,   765,   764,   766,   764,   764,   764,   764,
     767,   767,   768,   769,   769,   770,   770,   770,   771,   771,
     772,   772,   773,   773,   773,   773,   773,   773,   773,   773,
     773,   773,   773,   774,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   776,   776,   777,   778,   779,   779,   779,   780,
     780,   781,   781,   782,   783,   784,   784,   786,   785,   787,
     787,   788,   788,   789,   790,   791,   792,   793,   794,   795,
     796,   797,   798,   798,   798,   798,   798,   798,   798,   798,
     798,   800,   799,   801,   801,   801,   801,   802,   803,   803,
     803,   803,   804,   803,   805,   803,   803,   803,   806,   806,
     807,   808,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   810,   809,
     811,   809,   809,   809,   812,   812,   812,   813,   814,   814,
     815,   815,   816,   817,   818,   818,   818,   818,   818,   819,
     820,   820,   821,   821,   822,   823,   824,   825,   825,   825,
     826,   827,   827,   828,   828,   829,   830,   831,   831,   831,
     832,   833,   833,   834,   834,   835,   835,   836,   836,   837,
     837,   838,   839,   839,   839,   839,   839,   839,   840,   840,
     841,   842,   843,   844,   844,   844,   844,   844,   844,   844,
     844,   844,   844,   844,   844,   844,   844,   844,   844,   844,
     844,   844,   844,   844,   844,   844,   844,   844,   845,   845,
     845,   845,   846,   846,   847,   847,   848,   849,   850,   851,
     852,   853,   853,   854,   854,   854,   854,   854,   854,   854,
     854,   854,   855,   855,   856,   857,   857,   858,   858,   859,
     860,   861,   861,   862,   862,   862,   863,   864,   865,   865,
     865,   865,   865,   865,   866,   866,   866,   866,   866,   866,
     867,   867,   868,   869,   869,   869,   869,   869,   869,   869,
     869,   869,   870,   871,   871,   872,   872,   873,   874,   874,
     875,   876,   876,   877,   877,   877,   878,   878,   879,   879,
     880,   880,   880,   880,   880,   880,   880,   880,   880,   881,
     881,   882,   882,   882,   882,   883,   884,   885,   886,   887,
     888,   889,   889,   890,   890,   890,   891,   892,   892,   893,
     893,   893,   893,   893,   893,   893,   894,   895,   895,   895,
     896,   897,   898,   898,   899,   899,   900,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   902,   902,   902,   902,   902,   902,   902,   902,
     902,   902,   902,   902,   902,   902,   902,   902,   902,   902,
     902,   902,   902,   902,   902,   902,   902,   902,   902,   902,
     902,   902,   902,   902,   902,   902,   902,   902,   902,   902,
     902,   902,   902,   902,   902,   902,   902,   902,   902,   902,
     902,   902,   902,   902,   902,   903,   903,   903,   903,   903,
     903,   903,   903,   903,   903,   903,   903,   904,   904,   904,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   904,   904,   904,   904,   905,   905,   905,   906,
     906
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     5,     1,     3,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     0,     2,     2,     2,     3,     7,     2,     2,
       5,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     2,
       2,     1,     1,     1,     2,     1,     1,     1,     1,     2,
       4,     1,     3,     1,     3,     1,     3,     4,     6,     6,
       0,     1,     1,     1,     1,     1,     2,     4,     4,     2,
       2,     2,     2,     2,     4,     2,     2,     2,     2,     0,
       3,     0,     3,     0,     0,     0,     6,     6,     1,     1,
       0,     4,     2,     6,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     0,     3,     1,     3,     1,     1,     1,     2,     3,
       2,     4,     0,     5,     0,     1,     1,     2,     1,     3,
       1,     1,     1,     1,     1,     3,     1,     1,     3,     1,
       1,     1,     5,     7,     5,     7,     9,     7,     5,     7,
       5,    11,     1,     1,     2,     1,     7,     9,     7,     7,
       9,     7,     9,     7,     9,     7,    15,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     3,     1,     3,     1,
       3,     1,     2,     2,     6,     1,     3,     0,     4,     3,
       1,     3,     3,     2,     4,     2,     2,     2,     0,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     1,     5,
       7,     7,     1,     0,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     4,     1,     1,     1,     1,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     6,     3,     3,     3,     3,
       3,     5,     7,     6,     6,     6,     6,     4,     8,     4,
       4,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       3,     1,     3,     0,     1,     4,     6,     4,     3,     5,
       5,     4,     6,     3,     2,     5,     5,     8,     8,     8,
       8,     7,     0,     4,     5,     1,     3,     1,     1,     5,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     4,     1,     1,     0,     1,     2,     3,     0,
       2,     2,     2,     3,     2,     2,     1,     2,     2,     2,
       3,     3,     3,     2,     4,     0,     3,     0,     3,     0,
       3,     1,     2,     1,     1,     1,     0,     2,     2,     2,
       2,     2,     1,     3,     3,     1,     1,     1,     1,     2,
       4,     3,     4,     4,     3,     4,     4,     3,     0,     1,
       2,     0,     1,     3,     1,     3,     1,     0,     2,     2,
       2,     2,     3,     3,     3,     3,     5,     0,     3,     1,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     1,     1,     4,     1,     0,
       3,     4,     1,     2,     0,     5,     5,     5,     5,     4,
       4,     4,     4,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     4,     5,     1,     0,     3,
       4,     4,     0,     2,     3,     3,     3,     3,     2,     2,
       2,     2,     3,     5,     3,     2,     2,     1,     1,     1,
       1,     2,     2,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     0,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     4,
       1,     1,     3,     0,     1,     4,     4,     4,     3,     4,
       4,     4,     4,     2,     1,     1,     1,     1,     0,     1,
       2,     1,     2,     2,     2,     0,     3,     5,     0,     0,
       2,     4,     4,     4,     2,     2,     2,     1,     1,     1,
       2,     2,     3,     3,     0,     3,     0,     3,     4,     3,
       0,     2,     2,     0,     2,     0,     2,     4,     5,     2,
       1,     1,     2,     0,     3,     5,     0,     0,     0,     2,
       2,     2,     2,     2,     3,     3,     3,     3,     2,     3,
       3,     4,     4,     0,     3,     0,     3,     4,     6,     6,
       6,     6,     2,     0,     3,     3,     0,     3,     3,     1,
       3,     1,     3,     1,     3,     2,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     4,     6,     4,     6,     4,
       6,     5,     5,     4,     5,     5,     6,     3,     3,     4,
       5,     5,     5,     5,     5,     5,     5,     5,     5,     6,
       6,     6,     5,     6,     8,     6,     6,     6,     5,     6,
       4,     4,     4,     4,     5,     5,     6,     5,     5,     5,
       6,     5,     5,     4,     1,     1,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     4,     3,
       3,     3,     3,     3,     2,     2,     2,     3,     4,     3,
       3,     3,     3,     0,     3,     0,     3,     0,     3,     1,
       2,     2,     2,     3,     3,     0,     1,     2,     3,     1,
       1,     2,     2,     3,     2,     4,     3,     2,     3,     1,
       2,     4,     0,     3,     2,     1,     2,     3,     3,     3,
       3,     2,     3,     0,     5,     0,     5,     2,     2,     1,
       4,     1,     1,     0,     3,     2,     2,     2,     5,     2,
       0,     3,     0,     2,     2,     3,     2,     2,     3,     2,
       2,     2,     1,     3,     2,     2,     2,     2,     2,     2,
       3,     2,     2,     2,     2,     2,     2,     2,     2,     3,
       3,     3,     2,     3,     2,     3,     3,     4,     4,     2,
       2,     2,     3,     3,     3,     2,     3,     3,     3,     4,
       2,     1,     0,     2,     3,     1,     0,     1,     2,     0,
       2,     0,     1,     3,     0,     0,     2,     0,     3,     0,
       3,     0,     3,     3,     4,     6,     6,     6,     7,     6,
       7,     5,     0,     2,     3,     2,     3,     3,     2,     3,
       2,     0,     4,     2,     3,     3,     5,     2,     1,     1,
       2,     2,     0,     3,     0,     3,     2,     3,     0,     3,
       5,     0,     4,     4,     3,     2,     3,     3,     3,     3,
       4,     4,     4,     3,     3,     4,     4,     2,     0,     3,
       0,     3,     3,     3,     1,     1,     1,     0,     0,     3,
       0,     3,     4,     1,     2,     2,     2,     4,     4,     0,
       0,     3,     0,     3,     3,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     2,     0,     2,     1,
       2,     2,     1,     1,     2,     4,     2,     2,     0,     3,
       5,     0,     0,     2,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     3,     3,     4,     3,     2,     2,     1,     1,     1,
       1,     1,     0,     3,     0,     3,     4,     6,     6,     2,
       5,     0,     3,     1,     1,     2,     3,     1,     2,     3,
       3,     3,     0,     1,     2,     1,     1,     2,     6,     0,
       0,     0,     3,     4,     4,     2,     0,     2,     3,     3,
       3,     5,     5,     4,     3,     2,     3,     3,     3,     3,
       1,     2,     2,     2,     3,     5,     1,     2,     2,     2,
       2,     2,     1,     0,     2,     0,     3,     4,     3,     2,
       4,     2,     0,     1,     2,     1,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     3,     4,     3,     3,     4,     5,     3,     3,     4,
       2,     0,     1,     0,     1,     2,     2,     0,     2,     1,
       1,     2,     3,     2,     3,     4,     2,     1,     2,     3,
       0,     2,     0,     3,     0,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     2,
       2,     1,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 1080 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { return 0; }
#line 4851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 3:
#line 1081 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { return 0; }
#line 4857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1094 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_alloc(sizeof(struct f_val));
     *val = f_eval((yyvsp[-1].x), cfg_mem);
     if (val->type == T_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val);
   }
#line 4868 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1104 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = f_eval_int((yyvsp[-1].x)); }
#line 4874 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1105 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 4882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1112 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 4888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1113 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 4894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1114 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 4900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1120 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 4906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1121 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 4912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1122 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 4918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1123 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 4924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1124 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 4930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1125 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 4936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1132 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 4942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1133 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 4948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1134 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 4957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1141 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 4963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1142 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 4969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1149 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 4978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1156 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 4991 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1166 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 5007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1179 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 5029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1198 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1204 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1210 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1218 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1226 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 5078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1236 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 5084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1249 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1258 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1267 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 5114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1277 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 5120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1278 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 5126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1279 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network expected");
   }
#line 5139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1290 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 5149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1298 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 5160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1307 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 5170 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1316 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 5179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1324 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 5185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1333 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 5191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1334 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 5197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1335 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 5203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1336 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 5209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1337 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 5215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1338 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 5221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1339 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 5227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1340 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 5233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1344 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 5239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1345 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 5245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1349 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 5251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1350 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 5257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1351 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 5263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1352 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 5269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1353 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 5275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1354 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 5281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1355 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 5287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1356 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 5293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1357 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 5299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1360 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 5305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1361 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 5311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1362 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 5317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1363 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_LABEL); }
#line 5323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1366 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 5329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1367 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 5335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1371 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 5344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1375 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 5353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1384 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 5362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1388 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 5373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1402 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 5382 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1406 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 5391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1410 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 5400 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1417 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 5406 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1418 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 5412 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1422 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 5418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1423 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 5424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1424 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 5430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1425 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 5436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1429 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 5444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1432 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 5452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1435 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 5460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1441 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 5469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1451 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 5478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1455 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 5489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1478 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 5500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1485 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 5506 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1486 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 5512 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1489 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 5521 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1495 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 5530 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1506 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 5536 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1507 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyvsp[-2].s)->def = (yyvsp[0].f);
     (yyvsp[0].f)->name = (yyvsp[-2].s)->name;
     DBG( "We have new filter defined (%s)\n", (yyvsp[-2].s)->name );
     cf_pop_scope();
   }
#line 5547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1516 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { f_eval_int((yyvsp[0].x)); }
#line 5553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1520 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (!((yyvsp[-3].s)->class & SYM_FUNCTION))
    cf_error("Function expected");

  struct f_bt_test_suite *t = cfg_alloc(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->def;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 5569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1534 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 5575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1535 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 5581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1536 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 5587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1537 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 5593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1538 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 5599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1539 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 5605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1540 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 5611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1541 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 5617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1542 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 5623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1543 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 5629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1544 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 5635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1545 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 5641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1546 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 5647 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1547 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 5653 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1548 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 5659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1549 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 5683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1571 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct f_val * val = cfg_alloc(sizeof(struct f_val));
     val->type = T_VOID;
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), val);
     DBG( "New variable %s type %x\n", (yyvsp[0].s)->name, (yyvsp[-1].i) );
     (yyvsp[0].s)->aux2 = NULL;
     (yyval.s)=(yyvsp[0].s);
   }
#line 5696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1582 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 5702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1583 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.s) = (yyvsp[-2].s);
     (yyval.s)->aux2 = (yyvsp[0].s);
   }
#line 5711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1590 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.s) = (yyvsp[0].s); }
#line 5717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1591 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.s) = (yyvsp[-2].s);
     (yyval.s)->aux2 = (yyvsp[0].s);
   }
#line 5726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1598 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     f->name = NULL;
     f->root = (yyvsp[0].x);
     (yyval.f) = f;
   }
#line 5737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1607 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != SYM_FILTER) cf_error("No such filter.");
     (yyval.f) = (yyvsp[0].s)->def;
   }
#line 5746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1615 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN ACCEPT; REJECT;' */
     struct filter *f = cfg_alloc(sizeof(struct filter));
     struct f_inst *i, *acc, *rej;
     acc = f_new_inst(FI_PRINT_AND_DIE);	/* ACCEPT */
     acc->a1.p = NULL;
     acc->a2.i = F_ACCEPT;
     rej = f_new_inst(FI_PRINT_AND_DIE);	/* REJECT */
     rej->a1.p = NULL;
     rej->a2.i = F_REJECT;
     i = f_new_inst(FI_CONDITION);			/* IF */
     i->a1.p = (yyvsp[0].x);
     i->a2.p = acc;
     i->next = rej;
     f->name = NULL;
     f->root = i;
     (yyval.f) = f;
  }
#line 5769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1636 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { DBG( "Have function parameters\n" ); (yyval.s)=(yyvsp[-1].s); }
#line 5775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1637 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.s)=NULL; }
#line 5781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1641 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)) {
       /* Prepend instruction to clear local variables */
       (yyval.x) = f_new_inst(FI_CLEAR_LOCAL_VARS);
       (yyval.x)->a1.p = (yyvsp[-3].s);
       (yyval.x)->next = (yyvsp[-1].x);
     } else
       (yyval.x) = (yyvsp[-1].x);
   }
#line 5795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1653 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 5804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1656 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyvsp[-3].s)->def = (yyvsp[0].x);
     (yyvsp[-3].s)->aux2 = (yyvsp[-1].s);
     DBG("Hmm, we've got one function here - %s\n", (yyvsp[-3].s)->name);
     cf_pop_scope();
   }
#line 5815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1669 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 5821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1670 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x)->next; (yyvsp[0].x)->next = NULL; }
#line 5827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1673 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyvsp[0].x)->next = (yyvsp[0].x); }
#line 5833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1674 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyvsp[0].x)->next = (yyvsp[-1].x)->next ; (yyvsp[-1].x)->next = (yyvsp[0].x); }
#line 5839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1678 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[0].x);
   }
#line 5847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1681 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 5855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1690 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 5861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1691 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 5867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1704 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 5873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1705 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 5879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1706 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 5885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1707 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.v) = f_eval((yyvsp[-1].x), cfg_mem);
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 5894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1711 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if (!cf_symbol_is_constant((yyvsp[0].s))) cf_error("%s: constant expected", (yyvsp[0].s)->name);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(struct f_val *)((yyvsp[0].s)->def);
   }
#line 5904 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1719 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 5910 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1720 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int((yyvsp[-1].x)); }
#line 5916 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1721 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 5922 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1722 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 5928 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1726 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int((yyvsp[0].x)); }
#line 5934 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1729 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 5940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1730 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 5946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1731 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 5952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1732 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 5958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1733 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 5964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1734 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 5970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1735 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 5976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1736 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 5982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1737 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 5988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1739 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 5994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1743 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = EC_RT; }
#line 6000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1744 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = EC_RO; }
#line 6006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1745 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 6012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1746 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = EC_GENERIC; }
#line 6018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1750 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].i), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1751 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].i), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1752 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].i), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 6036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1756 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1757 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1758 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1759 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1760 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1761 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1762 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 6078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1764 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 6084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1771 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1772 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1779 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1780 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1785 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1790 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1794 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 6126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1795 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 6132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1796 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 6138 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1797 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 6148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1805 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, sizeof(struct f_trie_node)); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1806 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1809 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 6166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1810 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 6178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1817 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 6190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1829 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1830 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 6202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1834 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.h) = (yyvsp[-1].h); }
#line 6208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1838 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASN; (yyval.h)->val = (yyvsp[-1].i); }
#line 6214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1839 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASN_RANGE; (yyval.h)->val = (yyvsp[-3].i); (yyval.h)->val2 = (yyvsp[-1].i); }
#line 6220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1840 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASTERISK; }
#line 6226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1841 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_QUESTION; }
#line 6232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1842 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASN_EXPR; (yyval.h)->val = (uintptr_t) (yyvsp[-1].x); }
#line 6238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1843 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.h) = NULL; }
#line 6244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1847 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_INT;  (yyval.x)->a2.i = (yyvsp[0].i); }
#line 6250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1848 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_BOOL; (yyval.x)->a2.i = 1;  }
#line 6256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1849 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_BOOL; (yyval.x)->a2.i = 0;  }
#line 6262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1850 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_STRING; (yyval.x)->a2.p = (yyvsp[0].t); }
#line 6268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1851 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { NEW_F_VAL; (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); (yyval.x)->a1.p = val; *val = (yyvsp[0].v); }
#line 6274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1852 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { NEW_F_VAL; (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); val->type = T_RD; val->val.ec = (yyvsp[0].i64); (yyval.x)->a1.p = val; }
#line 6280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1853 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { NEW_F_VAL; (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); val->type = T_NET; val->val.net = (yyvsp[0].net_ptr); (yyval.x)->a1.p = val; }
#line 6286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1854 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { DBG( "We've got a set here..." ); (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_SET; (yyval.x)->a2.p = build_tree((yyvsp[-1].e)); DBG( "ook\n" ); }
#line 6292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1855 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_PREFIX_SET;  (yyval.x)->a2.p = (yyvsp[-1].trie); }
#line 6298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1856 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = (yyvsp[0].i) >> 16; (yyval.x)->a2.i = (yyvsp[0].i) & 0xffff; }
#line 6304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1860 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_dpair((yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1861 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_ec((yyvsp[-5].i), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6316 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1862 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_lc((yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6322 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1863 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_path_mask((yyvsp[0].h)); }
#line 6328 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1877 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct symbol *sym;
     struct f_inst *inst = (yyvsp[-1].x);
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");
     DBG("You are calling function %s\n", (yyvsp[-3].s)->name);
     (yyval.x) = f_new_inst(FI_CALL);
     (yyval.x)->a1.p = inst;
     (yyval.x)->a2.p = (yyvsp[-3].s)->def;
     sym = (yyvsp[-3].s)->aux2;
     while (sym || inst) {
       if (!sym || !inst)
	 cf_error("Wrong number of arguments for function %s.", (yyvsp[-3].s)->name);
       DBG( "You should pass parameter called %s\n", sym->name);
       inst->a1.p = sym;
       sym = sym->aux2;
       inst = inst->next;
     }
   }
#line 6352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1899 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     switch ((yyvsp[0].s)->class & 0xff00) {
       case SYM_CONSTANT: (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); break;
       case SYM_VARIABLE: (yyval.x) = f_new_inst(FI_VARIABLE); break;
       default: cf_error("%s: variable expected.", (yyvsp[0].s)->name);
     }

     (yyval.x)->a1.p = (yyvsp[0].s)->def;
     (yyval.x)->a2.p = (yyvsp[0].s)->name;
   }
#line 6367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1911 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	1); }
#line 6373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1912 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	1); }
#line 6379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1913 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	0); }
#line 6385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1914 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	0); }
#line 6391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1915 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	0); }
#line 6397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1916 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	1); }
#line 6403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1917 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	1); }
#line 6409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1918 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 6415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1919 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	0); }
#line 6421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1923 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 6427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1924 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1925 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1926 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1927 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1928 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1929 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1930 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1931 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1932 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1933 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1934 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT);	(yyval.x)->a1.p = (yyvsp[0].x); (yyval.x)->a2.p = (yyvsp[-2].x); }
#line 6493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1935 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE);	(yyval.x)->a1.p = (yyvsp[0].x); (yyval.x)->a2.p = (yyvsp[-2].x); }
#line 6499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1936 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1937 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH);(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 280:
#line 1938 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT);	(yyval.x)->a1.p = (yyvsp[0].x); }
#line 6517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 281:
#line 1939 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED);	(yyval.x)->a1.p = (yyvsp[-1].x); }
#line 6523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 282:
#line 1941 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 283:
#line 1942 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 284:
#line 1943 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 285:
#line 1945 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 6547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 286:
#line 1947 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst_sa(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 6553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 287:
#line 1949 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst_da(FI_EA_GET, (yyvsp[0].fda)); }
#line 6559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 288:
#line 1951 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IS_V4); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 289:
#line 1952 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_TYPE); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 290:
#line 1953 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP); (yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->aux = T_IP; }
#line 6577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 291:
#line 1954 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER); (yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->aux = T_RD; }
#line 6583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 292:
#line 1955 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LENGTH); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 293:
#line 1956 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_MAXLEN); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 294:
#line 1957 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_ASN); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 295:
#line 1958 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP_MASK); (yyval.x)->a1.p = (yyvsp[-5].x); (yyval.x)->a2.p = (yyvsp[-1].x); }
#line 6607 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 296:
#line 1959 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6613 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 297:
#line 1960 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 298:
#line 1961 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 299:
#line 1971 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_PATH; }
#line 6631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 300:
#line 1972 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_CLIST; }
#line 6637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 301:
#line 1973 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_ECLIST; }
#line 6643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 302:
#line 1974 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_LCLIST; }
#line 6649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 303:
#line 1975 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATH_PREPEND); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); }
#line 6655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 304:
#line 1976 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD_DEL); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); (yyval.x)->aux = 'a'; }
#line 6661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 305:
#line 1977 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD_DEL); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); (yyval.x)->aux = 'd'; }
#line 6667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 306:
#line 1978 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD_DEL); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); (yyval.x)->aux = 'f'; }
#line 6673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 307:
#line 1980 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_roa_check((yyvsp[-1].r), NULL, NULL); }
#line 6679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 308:
#line 1981 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_roa_check((yyvsp[-5].r), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 309:
#line 1983 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT); (yyval.x)->a1.p = (yyvsp[-1].x); }
#line 6691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 310:
#line 1988 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct symbol *sym;
     struct f_inst *inst = (yyvsp[-1].x);
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");
     DBG("You are calling function %s\n", (yyvsp[-3].s)->name);
     (yyval.x) = f_new_inst(FI_CALL);
     (yyval.x)->a1.p = inst;
     (yyval.x)->a2.p = (yyvsp[-3].s)->def;
     sym = (yyvsp[-3].s)->aux2;
     while (sym || inst) {
       if (!sym || !inst)
	 cf_error("Wrong number of arguments for function %s.", (yyvsp[-3].s)->name);
       DBG( "You should pass parameter called %s\n", sym->name);
       inst->a1.p = sym;
       sym = sym->aux2;
       inst = inst->next;
     }
   }
#line 6715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2010 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = F_QUITBIRD; }
#line 6721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2011 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = F_ACCEPT; }
#line 6727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2012 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = F_REJECT; }
#line 6733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2013 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = F_ERROR; }
#line 6739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2014 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = F_NOP; }
#line 6745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2015 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = F_NONL; }
#line 6751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2019 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PRINT); (yyval.x)->a1.p = (yyvsp[0].x); (yyval.x)->a2.p = NULL; }
#line 6757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2022 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 6763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2023 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2024 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[-2].x)) {
       (yyvsp[-2].x)->next = (yyvsp[0].x);
       (yyval.x) = (yyvsp[-2].x);
     } else (yyval.x) = (yyvsp[0].x);
   }
#line 6780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2032 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_SET);
     (yyval.x)->a1.p = NULL;
     (yyval.x)->a2.p = (yyvsp[0].x);
     (yyval.x)->next = NULL;
   }
#line 6791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2038 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_SET);
     (yyval.x)->a1.p = NULL;
     (yyval.x)->a2.p = (yyvsp[-2].x);
     (yyval.x)->next = (yyvsp[0].x);
   }
#line 6802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2046 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 6808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2047 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2051 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION);
     (yyval.x)->a1.p = (yyvsp[-2].x);
     (yyval.x)->a2.p = (yyvsp[0].x);
   }
#line 6824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2056 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct f_inst *i = f_new_inst(FI_CONDITION);
     i->a1.p = (yyvsp[-4].x);
     i->a2.p = (yyvsp[-2].x);
     (yyval.x) = f_new_inst(FI_CONDITION);
     (yyval.x)->a1.p = i;
     (yyval.x)->a2.p = (yyvsp[0].x);
   }
#line 6837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2064 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll set value\n" );
     if (((yyvsp[-3].s)->class & ~T_MASK) != SYM_VARIABLE)
       cf_error( "You may set only variables." );
     (yyval.x) = f_new_inst(FI_SET);
     (yyval.x)->a1.p = (yyvsp[-3].s);
     (yyval.x)->a2.p = (yyvsp[-1].x);
   }
#line 6850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2072 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN);
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 6860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2077 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst_da(FI_EA_SET, (yyvsp[-3].fda));
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 6869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2081 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst_sa(FI_RTA_SET, (yyvsp[-3].fsa));
     if (!(yyval.x)->a1.i)
       cf_error( "This static attribute is read-only.");
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 6880 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2087 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_PREF_SET);
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 6889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2091 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst_da(FI_EA_SET, (yyvsp[-2].fda));
     (yyval.x)->aux = EAF_TYPE_UNDEF | EAF_TEMP;
     (yyval.x)->a1.p = NULL;
   }
#line 6899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2096 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PRINT_AND_DIE); (yyval.x)->a1.p = (yyvsp[-1].x); (yyval.x)->a2.i = (yyvsp[-2].i); }
#line 6905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2097 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 6911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2098 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH);
      (yyval.x)->a1.p = (yyvsp[-3].x);
      (yyval.x)->a2.p = build_tree( (yyvsp[-1].e) );
   }
#line 6921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2104 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 6927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2105 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, 'x', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 6933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2106 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD_DEL, 'a', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 6939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2107 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD_DEL, 'd', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 6945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2108 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD_DEL, 'f', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 6951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2109 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 6957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2113 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 6965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2124 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 6971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2125 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 6977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2129 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 6983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2130 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int((yyvsp[-1].x)); }
#line 6989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2131 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 6995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2132 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 7008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2143 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 7014 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2149 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 7020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2150 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 7026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2151 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 7032 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2152 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 7038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2153 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 7044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2154 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 7050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2155 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 7056 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2156 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 7062 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2157 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 7068 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2158 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 7074 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2168 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2169 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2172 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
   struct rtable_config *cf;
   cf = rt_new_table((yyvsp[-1].s), (yyvsp[-3].i));
   cf->sorted = (yyvsp[0].i);
   }
#line 7096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2184 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 7102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2185 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 7108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2189 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->def = this_proto;
     this_proto->name = s->name;
     }
#line 7119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2195 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[0].s), this_proto->class, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 7128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2199 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->def = this_proto;
     this_proto->name = s->name;

     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");
     proto_copy_config(this_proto, (yyvsp[0].s)->def);
   }
#line 7142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2208 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[-2].s), this_proto->class, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");
     proto_copy_config(this_proto, (yyvsp[0].s)->def);
   }
#line 7154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2219 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 7160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2220 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 7166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2221 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 7172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2222 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 7178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2223 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 7184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2224 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); }
#line 7190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2229 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 7198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2234 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 7208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2239 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 7214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2240 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 7220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2241 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 7226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2242 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 7232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2243 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 7238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2244 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 7244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2245 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 7250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2259 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 7261 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2270 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != SYM_TABLE) cf_error("Table expected");
     (yyval.r) = (yyvsp[0].s)->def;
   }
#line 7270 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2277 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 7276 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2279 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 7282 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2280 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 7288 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2284 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 7294 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2285 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 7300 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2286 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 7306 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2287 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 7312 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2288 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 7318 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2292 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 7324 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2293 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 7330 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2299 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 7336 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2300 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 7342 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2307 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_route; }
#line 7348 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2308 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 7354 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2309 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_base; }
#line 7360 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2310 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_log; }
#line 7366 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2314 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 7372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2315 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 7378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2316 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 7384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2317 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 7390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2318 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 7396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2319 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 7402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2320 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 7408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2321 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 7414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2332 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 7424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2340 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 7430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2341 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 7436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2345 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 7442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2346 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 7448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2360 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 7454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2362 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 7464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2374 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 7470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2375 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 7476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 431:
#line 2381 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 7485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 436:
#line 2392 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 7491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 437:
#line 2396 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 7501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 439:
#line 2410 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 7507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 440:
#line 2411 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 441:
#line 2412 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 7519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 443:
#line 2417 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 7525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 444:
#line 2421 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 7531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 445:
#line 2422 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 7537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 446:
#line 2423 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 7543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 447:
#line 2424 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 7549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 448:
#line 2425 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 7555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 449:
#line 2426 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 7561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 450:
#line 2432 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 7567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 451:
#line 2433 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 452:
#line 2434 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 7579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 454:
#line 2439 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 7585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 455:
#line 2443 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 7591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 456:
#line 2444 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 7597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 463:
#line 2465 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if (!this_p_list) {
	this_p_list = cfg_alloc(sizeof(list));
	init_list(this_p_list);
	password_id = 1;
     }
     this_p_item = cfg_alloc(sizeof (struct password_item));
     this_p_item->password = (yyvsp[0].t);
     this_p_item->length = strlen((yyvsp[0].t));
     this_p_item->genfrom = 0;
     this_p_item->gento = TIME_INFINITY;
     this_p_item->accfrom = 0;
     this_p_item->accto = TIME_INFINITY;
     this_p_item->id = password_id++;
     this_p_item->alg = ALG_UNDEFINED;
     add_tail(this_p_list, &this_p_item->n);
   }
#line 7619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 464:
#line 2485 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { }
#line 7625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 465:
#line 2486 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 7631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 466:
#line 2487 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 7637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 467:
#line 2488 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 7643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 468:
#line 2489 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 7649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 469:
#line 2490 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 7655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 470:
#line 2491 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 7661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 471:
#line 2492 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) <= 0) cf_error("Password ID has to be greated than zero."); }
#line 7667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 472:
#line 2493 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 7673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 473:
#line 2497 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 7679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 474:
#line 2498 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 7685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 475:
#line 2499 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 7691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 476:
#line 2500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 7697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 477:
#line 2501 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 7703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 478:
#line 2502 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 7709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 479:
#line 2503 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 7715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 480:
#line 2504 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 7721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 481:
#line 2505 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 7727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 482:
#line 2506 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 7733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 483:
#line 2513 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 7739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 484:
#line 2516 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 7745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 485:
#line 2519 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 7751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 486:
#line 2522 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 7757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 488:
#line 2526 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 7763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 489:
#line 2530 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { if_show(); }
#line 7769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 490:
#line 2533 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 7775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 491:
#line 2537 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 7781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 492:
#line 2540 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
   }
#line 7791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 493:
#line 2545 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 7801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 494:
#line 2550 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->show_for = 1;
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 7812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 495:
#line 2556 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyvsp[0].s)->class != SYM_TABLE) cf_error("%s is not a table", (yyvsp[0].s)->name);
     rt_show_add_table((yyval.ra), ((struct rtable_config *)(yyvsp[0].s)->def)->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 7823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 496:
#line 2562 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 7835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 497:
#line 2569 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 7845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 498:
#line 2574 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 7855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 499:
#line 2579 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 7864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 500:
#line 2583 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 7873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 501:
#line 2587 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 7882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 502:
#line 2591 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->def;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if ((yyvsp[0].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->running_on_config = c->proto->cf->global;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 7897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 503:
#line 2601 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[-2].s)->def;
     (yyval.ra) = (yyvsp[-4].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if ((yyvsp[-2].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-3].i);
     (yyval.ra)->export_channel = proto_find_channel_by_name(c->proto, (yyvsp[0].t));
     if (!(yyval.ra)->export_channel) cf_error("Export channel not found");
     (yyval.ra)->running_on_config = c->proto->cf->global;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 7913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 504:
#line 2612 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->def;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if ((yyvsp[0].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->running_on_config = c->proto->cf->global;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 7927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 505:
#line 2621 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 7936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 506:
#line 2625 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 7945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 507:
#line 2632 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 7954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 511:
#line 2639 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 7963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 512:
#line 2643 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 7972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 513:
#line 2647 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 7981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 514:
#line 2651 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network expected");
   }
#line 7997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 517:
#line 2667 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 518:
#line 2668 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 519:
#line 2671 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 8015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 520:
#line 2672 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 8021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 521:
#line 2673 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 8027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 522:
#line 2678 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 8033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 523:
#line 2679 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 8039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 524:
#line 2680 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 8045 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 525:
#line 2681 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 8051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 526:
#line 2682 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 8057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 527:
#line 2683 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 8063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 528:
#line 2684 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 8069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 529:
#line 2685 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 8075 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 530:
#line 2686 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 8081 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 531:
#line 2687 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 8087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 532:
#line 2688 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 8093 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 533:
#line 2689 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 8099 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 534:
#line 2690 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 8105 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 535:
#line 2691 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 8111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 536:
#line 2692 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 8117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 537:
#line 2693 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 8123 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 538:
#line 2694 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 8129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 539:
#line 2695 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 8135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 540:
#line 2696 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 8141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 541:
#line 2697 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 8147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 542:
#line 2702 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 8153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 543:
#line 2705 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 8161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 544:
#line 2708 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 8167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 545:
#line 2709 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 8173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 546:
#line 2710 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 8179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 547:
#line 2711 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 8185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 548:
#line 2712 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 8191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 549:
#line 2713 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 8197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 550:
#line 2719 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 8203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 551:
#line 2721 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 8209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 552:
#line 2723 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { io_log_dump(); cli_msg(0, ""); }
#line 8215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 553:
#line 2725 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { if_dump_all(); cli_msg(0, ""); }
#line 8221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 554:
#line 2727 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 8227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 555:
#line 2729 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 8233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 556:
#line 2731 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 8239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 557:
#line 2733 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 8245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 558:
#line 2736 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_eval((yyvsp[-1].x)); }
#line 8251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 559:
#line 2739 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 8260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 560:
#line 2745 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 561:
#line 2746 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 562:
#line 2747 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 2751 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 8284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 2752 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 8293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 565:
#line 2759 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 8299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 2761 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 8305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 567:
#line 2763 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 8311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 2765 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 8317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 2767 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 8323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 2769 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 8329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 2773 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_debug, 1, (yyvsp[-1].i)); }
#line 8335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 2777 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 8341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 2780 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 8347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 2783 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 8353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 575:
#line 2784 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 8359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 576:
#line 2785 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 8365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 577:
#line 2789 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 8371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 2790 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 8377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 579:
#line 2791 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 8383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 2800 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);

  if (bfd_cf)
    cf_error("Only one BFD instance allowed");
  bfd_cf = BFD_CFG;
}
#line 8397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 588:
#line 2827 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 8414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 2841 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 8437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 590:
#line 2861 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 8443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 2862 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 8449 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 592:
#line 2863 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 8455 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 2864 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 8461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 594:
#line 2865 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 8467 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 595:
#line 2866 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 8473 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 596:
#line 2867 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 8479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 597:
#line 2868 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {}
#line 8485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 2872 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 8491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 2873 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 8497 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 600:
#line 2874 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 8503 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 601:
#line 2875 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 8509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 602:
#line 2876 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 8515 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 2877 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 8521 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 609:
#line 2895 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 8527 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 610:
#line 2899 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 8533 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 611:
#line 2900 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 8539 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 2901 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 8545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 613:
#line 2905 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 8551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 614:
#line 2906 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 8557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 615:
#line 2910 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 2911 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 8569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 617:
#line 2915 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 8589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 618:
#line 2934 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { bfd_show_sessions(proto_get_named((yyvsp[-1].s), &proto_bfd)); }
#line 8595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 619:
#line 2940 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 8605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 626:
#line 2962 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 8621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 627:
#line 2976 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);
}
#line 8649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 629:
#line 3002 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 8655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 630:
#line 3003 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 8661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 631:
#line 3004 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 8667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 632:
#line 3005 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 8673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 633:
#line 3006 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 8679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 634:
#line 3007 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 8685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 3008 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 8691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 3009 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 8697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 3010 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 8703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 3011 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 8709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 3012 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 8715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 640:
#line 3013 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 8721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 3014 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 8727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 642:
#line 3015 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 8733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 648:
#line 3036 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { babel_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 8739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 649:
#line 3039 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { babel_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 8745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 3042 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { babel_show_entries(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 8751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 651:
#line 3045 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { babel_show_routes(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 8757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 3050 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->setkey = 1;
     BGP_CFG->check_link = -1;
   }
#line 8786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 654:
#line 3078 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 8792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 655:
#line 3079 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 8798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 657:
#line 3084 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 8804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 3085 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 8810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 3090 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 8816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 3091 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 3096 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 3100 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 8834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 3101 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 8840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 665:
#line 3102 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 8846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 666:
#line 3103 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 8852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 667:
#line 3104 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 8858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 668:
#line 3105 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 8864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 669:
#line 3106 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 8870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 670:
#line 3107 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 8876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 671:
#line 3108 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 8882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 3116 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 8891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 678:
#line 3121 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip))
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 8902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 679:
#line 3127 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 8908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 3128 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 8914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 681:
#line 3129 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 8920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 682:
#line 3130 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 8926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 3131 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 8932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 684:
#line 3132 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 8938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 685:
#line 3133 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 8944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 686:
#line 3134 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 8950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 687:
#line 3135 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 8956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 688:
#line 3136 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 8962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 689:
#line 3137 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 8968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 690:
#line 3138 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 8974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 691:
#line 3139 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 8980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 692:
#line 3140 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 8986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 693:
#line 3141 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 8992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 3142 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 8998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 695:
#line 3143 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 9004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 696:
#line 3144 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 9010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 697:
#line 3145 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 9016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 698:
#line 3146 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 9022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 699:
#line 3147 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 9028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 3148 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 9034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 701:
#line 3149 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 9040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 702:
#line 3150 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 9046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 703:
#line 3151 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 9052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 704:
#line 3152 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 9058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 705:
#line 3153 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 9064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 3154 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 9070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 707:
#line 3155 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 9076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 708:
#line 3156 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 9082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 709:
#line 3157 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 9088 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 710:
#line 3158 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 9094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 711:
#line 3159 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 9100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 712:
#line 3160 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 9106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 713:
#line 3161 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 9112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 714:
#line 3162 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 9118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 715:
#line 3163 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 9124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 3164 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 9130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 717:
#line 3165 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 9136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 3166 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 9142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 3167 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 9148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 720:
#line 3168 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 9154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 721:
#line 3169 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 9160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 722:
#line 3170 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 9166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 723:
#line 3171 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CFG->bfd = (yyvsp[-1].i); cf_check_bfd((yyvsp[-1].i)); }
#line 9172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 724:
#line 3175 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 9178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 725:
#line 3176 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 9184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 726:
#line 3177 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 9190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 727:
#line 3178 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 9196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 728:
#line 3179 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 9202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 729:
#line 3180 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 9208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 730:
#line 3181 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 9214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 731:
#line 3182 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 9220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 3183 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 9226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 733:
#line 3184 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 9232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 3185 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 9238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 3186 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 9244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 3190 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->gr_able = 0xff;	/* undefined */
  }
}
#line 9268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 3212 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 9274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 3213 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = 1; BGP_CC->next_hop_keep = 0; }
#line 9280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 740:
#line 3214 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = 1; BGP_CC->next_hop_self = 0; }
#line 9286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 3215 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_SELF; }
#line 9292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 742:
#line 3216 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_DROP; }
#line 9298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 3217 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_IGNORE; }
#line 9304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 744:
#line 3218 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 9310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 745:
#line 3219 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 9316 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 3220 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 9322 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 747:
#line 3221 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 9328 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 748:
#line 3222 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 9334 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 749:
#line 3223 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 9340 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 3224 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 9346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 3225 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 9352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 3226 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 9368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 3250 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 9379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 759:
#line 3269 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 9385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 3270 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 9391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 3271 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 3275 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
}
#line 9413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 3293 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 3294 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 9425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 3299 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  if (this_channel == proto_cf_main_channel(this_proto))
    OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 9438 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 3312 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 9444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 3313 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 9450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 772:
#line 3314 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 9456 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 3315 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 9462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 3316 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 9468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 3317 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 9474 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 3318 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 9480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 3319 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 9486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 3320 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 9492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 780:
#line 3324 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 9510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 781:
#line 3339 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 9516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 3348 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 9522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 3349 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 9528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 3350 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 9534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 787:
#line 3351 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 9540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 788:
#line 3352 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 9546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 789:
#line 3353 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 9552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 3354 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 9558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 3355 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 9564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 792:
#line 3356 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 9570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 3357 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 9576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 3358 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 9582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 3370 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 9593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 805:
#line 3384 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 9599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 3385 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 9605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 3386 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 9611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 3390 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 9617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 809:
#line 3391 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 9623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 813:
#line 3400 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 9629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 814:
#line 3401 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 9635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 3402 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 9641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 3403 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 9647 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 3404 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 9653 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 3405 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 9659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 819:
#line 3406 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 9665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 3407 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 9671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 821:
#line 3408 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; ospf_check_auth(); }
#line 9677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 822:
#line 3409 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_check_auth(); }
#line 9683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 823:
#line 3413 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 9703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 3431 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 9709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 3432 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 9715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 826:
#line 3433 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 9721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 827:
#line 3434 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 9727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 828:
#line 3435 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 9733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 3436 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 9739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 3437 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 9745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 831:
#line 3438 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 9751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 3439 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 9757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 833:
#line 3440 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 9763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 3441 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 9769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 835:
#line 3442 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 9775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 3443 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 9781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 837:
#line 3444 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 9787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 3445 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 9793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 839:
#line 3446 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 9799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 3447 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 9805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 3448 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 9811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 3449 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 9817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 3450 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 9823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 844:
#line 3451 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 9829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 3452 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 9835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 3453 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 9841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 3454 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 9847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 3456 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 9853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 850:
#line 3457 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 9859 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 3458 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; ospf_check_auth(); }
#line 9865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 3459 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 9871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 3460 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 9877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 3461 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 9883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 3462 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 9889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 3463 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 9895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 857:
#line 3464 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 9901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 3465 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 9907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 3466 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 9913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 3467 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 9919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 861:
#line 3468 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_check_auth(); }
#line 9925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 3479 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 9935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 3488 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 9941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 868:
#line 3489 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 9947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 3498 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 3499 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 9959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 3503 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 9970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 3512 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 9994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 3535 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 10000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 3539 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 10006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 883:
#line 3553 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 10012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 884:
#line 3559 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_sh(proto_get_named((yyvsp[-1].s), &proto_ospf)); }
#line 10018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 3562 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_sh_neigh(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 10024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 3565 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_sh_iface(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 10030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 3570 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 10036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 888:
#line 3573 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 10042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 889:
#line 3578 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 10048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 3581 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 10054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 891:
#line 3585 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_sh_lsadb((yyvsp[-1].ld)); }
#line 10060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 892:
#line 3588 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 10068 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 893:
#line 3591 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 10074 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 894:
#line 3592 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 10080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 3593 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 10086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 3594 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 10092 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 3595 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 10098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 898:
#line 3596 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 10104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 3597 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 10110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 900:
#line 3598 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->name = (yyvsp[0].s); }
#line 10116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 901:
#line 3605 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 10124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 902:
#line 3609 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 10137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 3622 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 10143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 907:
#line 3629 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 10156 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 911:
#line 3642 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 10162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 3643 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 10168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 913:
#line 3643 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 10174 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 914:
#line 3644 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 10180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 3644 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 10186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 3645 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 10192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 3646 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 10198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 921:
#line 3659 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 10224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 922:
#line 3682 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 10230 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 923:
#line 3683 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 10236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 924:
#line 3684 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 10242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 925:
#line 3685 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 10248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 3686 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 10254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 927:
#line 3687 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 10260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 928:
#line 3688 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 10266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 3689 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 10272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 3690 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 10278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 3691 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 10288 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 3696 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 10297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 3700 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 10303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 934:
#line 3701 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 10309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 935:
#line 3702 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 10315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 936:
#line 3703 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 10321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 937:
#line 3704 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 10327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 3705 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 10333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 939:
#line 3705 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 10339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 3706 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 10345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 3706 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 10351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 3707 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 10357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 943:
#line 3708 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 10363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 3712 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 10369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 945:
#line 3713 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 10375 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 3714 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 10381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 947:
#line 3717 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 10422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 3770 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 10436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 3781 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 10442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 3782 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 10448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 956:
#line 3783 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 10454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 3784 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 10463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 958:
#line 3788 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 10472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 3795 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 10484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 3819 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 10496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 3828 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 10505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 969:
#line 3835 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 10511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 970:
#line 3839 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 10527 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 3863 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 10542 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 976:
#line 3875 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 10551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 979:
#line 3882 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 10557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 980:
#line 3886 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 10573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 985:
#line 3910 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 10579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 986:
#line 3911 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 10585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 987:
#line 3915 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 10591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 988:
#line 3916 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 10597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 989:
#line 3924 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 990:
#line 3925 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 991:
#line 3929 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 10625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 994:
#line 3944 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 10631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 995:
#line 3945 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 10637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 996:
#line 3946 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 10643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 3960 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
}
#line 10670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 3984 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 10703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 4014 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 10709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 4015 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 10715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 4016 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 10721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 4017 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 10727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 4018 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 10733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 4019 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 4020 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 10748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 4024 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 10754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 4025 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 10760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 4026 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 10766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 4027 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 10772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 4028 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 10778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 4029 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 10784 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 4030 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 10790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 4031 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 10796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 4032 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 10802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 4033 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 10808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 4034 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 10814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 4035 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 10820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 4036 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 10826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 4037 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 10832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 4038 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 10838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 4039 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 10844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 4040 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 10850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 4041 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 10856 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 4045 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 10862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 4046 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 10868 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 4047 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 10874 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 4048 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 10880 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 4069 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { rip_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 10886 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 4072 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { rip_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 10892 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 4078 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 10903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 4085 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 10909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 4099 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 10920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 4105 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 10931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 4111 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 10942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 4120 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 4121 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 4124 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 10960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 4127 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 10969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 4131 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(sizeof(INET6_ADDRSTRLEN + 1));
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 10982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 4147 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 10992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 4154 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
}
#line 11002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 4166 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 11008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 4167 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 11014 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 4168 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 11020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 4172 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 11029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 4181 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 11038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 4189 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 11044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 4190 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 11050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 4191 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 11063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 4199 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 11069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 4203 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 11079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 4208 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 11089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 4213 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 11097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 4216 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 11105 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 4219 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 11114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 4223 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 11122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 4233 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_last_cmd = &(this_srt->cmds);
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 11135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 4245 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 11144 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 4249 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 11154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 4254 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 11160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 4255 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 11166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 4256 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 11172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 4257 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 11178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 4258 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 11184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 4259 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 11190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 4263 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { *this_srt_last_cmd = (yyvsp[0].x); this_srt_last_cmd = &((yyvsp[0].x)->next); }
#line 11196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 4278 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { static_show(proto_get_named((yyvsp[-1].s), &proto_static)); }
#line 11202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 4284 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 11208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 4285 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 11214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 4296 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
    struct log_config *c = cfg_allocz(sizeof(struct log_config));
    c->fh = (yyvsp[-2].g);
    c->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &c->n);
  }
#line 11225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 4305 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 11231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 4306 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 11237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 4310 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     FILE *f = tracked_fopen(new_config->pool, (yyvsp[0].t), "a");
     if (!f) cf_error("Unable to open log file `%s': %m", (yyvsp[0].t));
     (yyval.g) = f;
   }
#line 11247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 4315 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.g) = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 11253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 4316 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.g) = stderr; }
#line 11259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 4320 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 11265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 4321 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 11271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 4325 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 11277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 4326 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 11283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 4330 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 11289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 4331 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 11295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 4332 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 11301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 4333 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 11307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 4334 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 11313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 4335 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 11319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 4336 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 11325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 4337 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 11331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 4338 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 11337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 4344 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 11343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 4345 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     FILE *f = tracked_fopen(new_config->pool, (yyvsp[-1].t), "a");
     if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
     new_config->mrtdump_file = fileno(f);
   }
#line 11353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 4355 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 11359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 4356 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 11365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 4357 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 11371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 4358 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 11377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 4367 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 11383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 4370 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 11389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 4377 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 11395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 4380 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 11401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 4383 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 11407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 4386 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 11413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 4389 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 11419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 4394 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 4395 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 11431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 4396 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 11437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 4404 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 11445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 4411 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 11451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 4412 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 11457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 4417 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 4418 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 11469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 4419 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 11478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 4423 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 11490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 4430 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 11496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 4431 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 11508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 4443 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 11514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 4450 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 11523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 4457 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 11533 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 4464 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 11539 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 4486 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 11545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 4487 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = (struct f_dynamic_attr) {}; }
#line 11551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 4488 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 11557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 4488 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_BABEL_METRIC); }
#line 11563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 4489 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(EAP_BGP, BA_ORIGIN)); }
#line 11569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 4490 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(EAP_BGP, BA_AS_PATH)); }
#line 11575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 4491 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(EAP_BGP, BA_NEXT_HOP)); }
#line 11581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 4492 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(EAP_BGP, BA_MULTI_EXIT_DISC)); }
#line 11587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 4493 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(EAP_BGP, BA_LOCAL_PREF)); }
#line 11593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 4494 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(EAP_BGP, BA_ATOMIC_AGGR)); }
#line 11599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 4495 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(EAP_BGP, BA_AGGREGATOR)); }
#line 11605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 4496 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(EAP_BGP, BA_COMMUNITY)); }
#line 11611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 4497 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(EAP_BGP, BA_ORIGINATOR_ID)); }
#line 11617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 4498 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(EAP_BGP, BA_CLUSTER_LIST)); }
#line 11623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 4499 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(EAP_BGP, BA_EXT_COMMUNITY)); }
#line 11629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(EAP_BGP, BA_LARGE_COMMUNITY)); }
#line 11635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_OSPF_METRIC1); }
#line 11641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_OSPF_METRIC2); }
#line 11647 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_OSPF_TAG); }
#line 11653 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID | EAF_TEMP, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 11659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 11665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 11671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_RIP_METRIC); }
#line 11677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_RIP_TAG); }
#line 11683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 11689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 11695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 11701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 11707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 11713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 11719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 11725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 11731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 11737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 11743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 11749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 11755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 11761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 11767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 11773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 11779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_MTU); }
#line 11785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_WINDOW); }
#line 11791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_RTT); }
#line 11797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_RTTVAR); }
#line 11803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_SSTHRESH); }
#line 11809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_CWND); }
#line 11815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_ADVMSS); }
#line 11821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_REORDERING); }
#line 11827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_HOPLIMIT); }
#line 11833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_RTO_MIN); }
#line 11839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_FEATURE_ECN); }
#line 11845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_FEATURE_ALLFRAG); }
#line 11851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_KRT_SOURCE); }
#line 11857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 4500 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT | EAF_TEMP, T_INT, EA_KRT_METRIC); }
#line 11863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 4501 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 11869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 4501 "obj/conf/cf-parse.y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 11875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 11879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 4506 "obj/conf/cf-parse.y" /* yacc.c:1906  */

/* C Code from conf/confbase.Y */

/* C Code from conf/flowspec.Y */

/* C Code from nest/config.Y */

/* C Code from proto/bfd/config.Y */

/* C Code from proto/babel/config.Y */

/* C Code from proto/bgp/config.Y */

/* C Code from proto/ospf/config.Y */

/* C Code from proto/pipe/config.Y */

/* C Code from proto/radv/config.Y */

/* C Code from proto/rip/config.Y */

/* C Code from proto/rpki/config.Y */

/* C Code from proto/static/config.Y */

/* C Code from sysdep/linux/netlink.Y */

/* C Code from sysdep/unix/config.Y */

/* C Code from sysdep/unix/krt.Y */

